#include "IIOP-client.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->major);
  flick_cdr_encode_char8(1, _data->minor);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->major);
  flick_cdr_decode_char8(1, _data->minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_Version_swap(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->major);
  flick_cdr_swap_decode_char8(1, _data->minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID_swap(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->context_id);
  flick_cdr_encode_unsigned32(4, _data->context_data._length);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->context_data._length);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->context_data._length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->context_data._buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->context_data._buffer, sizeof(char) * _data->context_data._length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->context_id);
  flick_cdr_decode_unsigned32(4, _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->context_data._length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->context_data._buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->context_data._buffer, sizeof(char) * _data->context_data._length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext_swap(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->context_id);
  flick_cdr_swap_decode_unsigned32(4, _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->context_data._length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->context_data._length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->context_data._buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->context_data._length);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      unsigned long int _t15_array_iter;

      flick_iiop_encode_new_glob(8);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t11_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->_buffer[_t11_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(8);
      flick_iiop_encode_new_glob(1 * _data->_buffer[_t11_array_iter].context_data._length);
#if 0 /* We never byte swap on encoding */
      for (_t15_array_iter = 0; _t15_array_iter < _data->_buffer[_t11_array_iter].context_data._length; _t15_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_unsigned8(0, _data->_buffer[_t11_array_iter].context_data._buffer[_t15_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t11_array_iter].context_data._buffer, sizeof(char) * _data->_buffer[_t11_array_iter].context_data._length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_end_glob(1 * _data->_buffer[_t11_array_iter].context_data._length);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t21_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      unsigned long int _t25_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t21_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->_buffer[_t21_array_iter].context_data._length);
      _data->_buffer[_t21_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t21_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t21_array_iter].context_data._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t25_array_iter = 0; _t25_array_iter < _data->_buffer[_t21_array_iter].context_data._length; _t25_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_unsigned8(0, _data->_buffer[_t21_array_iter].context_data._buffer[_t25_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t21_array_iter].context_data._buffer, sizeof(char) * _data->_buffer[_t21_array_iter].context_data._length, iiop);
#endif
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t21_array_iter].context_data._length);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList_swap(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t31_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      unsigned long int _t35_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t31_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t31_array_iter].context_data._length);
      _data->_buffer[_t31_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t31_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->_buffer[_t31_array_iter].context_data._length);
      for (_t35_array_iter = 0; _t35_array_iter < _data->_buffer[_t31_array_iter].context_data._length; _t35_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t31_array_iter].context_data._buffer[_t35_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->_buffer[_t31_array_iter].context_data._length);
    }
}

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_Principal_swap(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType_swap(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  _t36_array_length = 4;
  flick_iiop_encode_new_glob(12);
#if 0 /* We never byte swap on encoding */
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->magic[_t38_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->magic, sizeof(char) * _t36_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_char8(0, _data->GIOP_version.major);
  flick_cdr_encode_char8(1, _data->GIOP_version.minor);
  flick_cdr_encode_unsigned8(2, _data->byte_order);
  flick_cdr_encode_unsigned8(3, _data->message_type);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->message_size);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  _t39_array_length = 4;
  flick_iiop_decode_new_glob(12);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->magic[_t41_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->magic, sizeof(char) * _t39_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_char8(0, _data->GIOP_version.major);
  flick_cdr_decode_char8(1, _data->GIOP_version.minor);
  flick_cdr_decode_unsigned8(2, _data->byte_order);
  flick_cdr_decode_unsigned8(3, _data->message_type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->message_size);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_GIOP_MessageHeader_swap(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  _t42_array_length = 4;
  flick_iiop_decode_new_glob(12);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->magic[_t44_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_char8(0, _data->GIOP_version.major);
  flick_cdr_swap_decode_char8(1, _data->GIOP_version.minor);
  flick_cdr_swap_decode_unsigned8(2, _data->byte_order);
  flick_cdr_swap_decode_unsigned8(3, _data->message_type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->message_size);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  unsigned long int _t50_array_iter;
  unsigned long int _t56_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->service_context._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t50_array_iter = 0; _t50_array_iter < _data->service_context._length; _t50_array_iter++)
    {
      unsigned long int _t54_array_iter;

      flick_iiop_encode_new_glob(8);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->service_context._buffer[_t50_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->service_context._buffer[_t50_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(8);
      flick_iiop_encode_new_glob(1 * _data->service_context._buffer[_t50_array_iter].context_data._length);
#if 0 /* We never byte swap on encoding */
      for (_t54_array_iter = 0; _t54_array_iter < _data->service_context._buffer[_t50_array_iter].context_data._length; _t54_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_unsigned8(0, _data->service_context._buffer[_t50_array_iter].context_data._buffer[_t54_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->service_context._buffer[_t50_array_iter].context_data._buffer, sizeof(char) * _data->service_context._buffer[_t50_array_iter].context_data._length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_end_glob(1 * _data->service_context._buffer[_t50_array_iter].context_data._length);
    }
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned8(4, _data->response_expected);
  flick_cdr_encode_unsigned32(8, _data->object_key._length);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
#if 0 /* We never byte swap on encoding */
  for (_t56_array_iter = 0; _t56_array_iter < _data->object_key._length; _t56_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->object_key._buffer[_t56_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
  flick_cdr_encode_longstring(_data->operation, null_flick_free, iiop);
  (_stream, &_data->requesting_principal);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t62_array_iter;
  unsigned long int _t68_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->service_context._length);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t62_array_iter = 0; _t62_array_iter < _data->service_context._length; _t62_array_iter++)
    {
      unsigned long int _t66_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->service_context._buffer[_t62_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->service_context._buffer[_t62_array_iter].context_data._length);
      _data->service_context._buffer[_t62_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t62_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t62_array_iter].context_data._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t66_array_iter = 0; _t66_array_iter < _data->service_context._buffer[_t62_array_iter].context_data._length; _t66_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_unsigned8(0, _data->service_context._buffer[_t62_array_iter].context_data._buffer[_t66_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->service_context._buffer[_t62_array_iter].context_data._buffer, sizeof(char) * _data->service_context._buffer[_t62_array_iter].context_data._length, iiop);
#endif
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t62_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned8(4, _data->response_expected);
  flick_cdr_decode_unsigned32(8, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t68_array_iter = 0; _t68_array_iter < _data->object_key._length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->object_key._buffer[_t68_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_cdr_decode_longstring(_data->operation, CORBA_flick_alloc, iiop);
  (_stream, &_data->requesting_principal);
}

void flick_unmarshal_stub_GIOP_RequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t74_array_iter;
  unsigned long int _t80_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->service_context._length);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t74_array_iter = 0; _t74_array_iter < _data->service_context._length; _t74_array_iter++)
    {
      unsigned long int _t78_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->service_context._buffer[_t74_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->service_context._buffer[_t74_array_iter].context_data._length);
      _data->service_context._buffer[_t74_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t74_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->service_context._buffer[_t74_array_iter].context_data._length);
      for (_t78_array_iter = 0; _t78_array_iter < _data->service_context._buffer[_t74_array_iter].context_data._length; _t78_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->service_context._buffer[_t74_array_iter].context_data._buffer[_t78_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->service_context._buffer[_t74_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned8(4, _data->response_expected);
  flick_cdr_swap_decode_unsigned32(8, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  for (_t80_array_iter = 0; _t80_array_iter < _data->object_key._length; _t80_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t80_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
  flick_cdr_swap_decode_longstring(_data->operation, CORBA_flick_alloc, iiop);
  _swap(_stream, &_data->requesting_principal);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType_swap(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t86_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->server_context._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t86_array_iter = 0; _t86_array_iter < _data->server_context._length; _t86_array_iter++)
    {
      unsigned long int _t90_array_iter;

      flick_iiop_encode_new_glob(8);
      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->server_context._buffer[_t86_array_iter].context_id);
      flick_cdr_encode_unsigned32(4, _data->server_context._buffer[_t86_array_iter].context_data._length);
      flick_iiop_encode_end_chunk(8);
      flick_iiop_encode_end_glob(8);
      flick_iiop_encode_new_glob(1 * _data->server_context._buffer[_t86_array_iter].context_data._length);
#if 0 /* We never byte swap on encoding */
      for (_t90_array_iter = 0; _t90_array_iter < _data->server_context._buffer[_t86_array_iter].context_data._length; _t90_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_unsigned8(0, _data->server_context._buffer[_t86_array_iter].context_data._buffer[_t90_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->server_context._buffer[_t86_array_iter].context_data._buffer, sizeof(char) * _data->server_context._buffer[_t86_array_iter].context_data._length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_end_glob(1 * _data->server_context._buffer[_t86_array_iter].context_data._length);
    }
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->reply_status);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t96_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->server_context._length);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t96_array_iter = 0; _t96_array_iter < _data->server_context._length; _t96_array_iter++)
    {
      unsigned long int _t100_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->server_context._buffer[_t96_array_iter].context_id);
      flick_cdr_decode_unsigned32(4, _data->server_context._buffer[_t96_array_iter].context_data._length);
      _data->server_context._buffer[_t96_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t96_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t96_array_iter].context_data._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t100_array_iter = 0; _t100_array_iter < _data->server_context._buffer[_t96_array_iter].context_data._length; _t100_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_unsigned8(0, _data->server_context._buffer[_t96_array_iter].context_data._buffer[_t100_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->server_context._buffer[_t96_array_iter].context_data._buffer, sizeof(char) * _data->server_context._buffer[_t96_array_iter].context_data._length, iiop);
#endif
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t96_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->reply_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_ReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t106_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->server_context._length);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t106_array_iter = 0; _t106_array_iter < _data->server_context._length; _t106_array_iter++)
    {
      unsigned long int _t110_array_iter;

      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->server_context._buffer[_t106_array_iter].context_id);
      flick_cdr_swap_decode_unsigned32(4, _data->server_context._buffer[_t106_array_iter].context_data._length);
      _data->server_context._buffer[_t106_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t106_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_iiop_decode_end_chunk(8);
      flick_iiop_decode_end_glob(8);
      flick_iiop_decode_new_glob(1 * _data->server_context._buffer[_t106_array_iter].context_data._length);
      for (_t110_array_iter = 0; _t110_array_iter < _data->server_context._buffer[_t106_array_iter].context_data._length; _t110_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_unsigned8(0, _data->server_context._buffer[_t106_array_iter].context_data._buffer[_t110_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      flick_iiop_decode_end_glob(1 * _data->server_context._buffer[_t106_array_iter].context_data._length);
    }
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->reply_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t112_array_iter;

  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->object_key._length);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
#if 0 /* We never byte swap on encoding */
  for (_t112_array_iter = 0; _t112_array_iter < _data->object_key._length; _t112_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->object_key._buffer[_t112_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t114_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t114_array_iter = 0; _t114_array_iter < _data->object_key._length; _t114_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->object_key._buffer[_t114_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t116_array_iter;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  for (_t116_array_iter = 0; _t116_array_iter < _data->object_key._length; _t116_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t116_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType_swap(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id);
  flick_cdr_encode_unsigned32(4, _data->locate_status);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id);
  flick_cdr_decode_unsigned32(4, _data->locate_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader_swap(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id);
  flick_cdr_swap_decode_unsigned32(4, _data->locate_status);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
  unsigned long int _t118_array_iter;

  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->iiop_version.major);
  flick_cdr_encode_char8(1, _data->iiop_version.minor);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  flick_cdr_encode_longstring(_data->host, null_flick_free, iiop);
  flick_iiop_encode_new_glob(6);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_unsigned16(0, _data->port);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_encode_unsigned32(0, _data->object_key._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(6);
  flick_iiop_encode_new_glob(1 * _data->object_key._length);
#if 0 /* We never byte swap on encoding */
  for (_t118_array_iter = 0; _t118_array_iter < _data->object_key._length; _t118_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->object_key._buffer[_t118_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  unsigned long int _t120_array_iter;

  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->iiop_version.major);
  flick_cdr_decode_char8(1, _data->iiop_version.minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_decode_longstring(_data->host, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_decode_unsigned16(0, _data->port);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_decode_unsigned32(0, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(6);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t120_array_iter = 0; _t120_array_iter < _data->object_key._length; _t120_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->object_key._buffer[_t120_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody_swap(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  unsigned long int _t122_array_iter;

  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->iiop_version.major);
  flick_cdr_swap_decode_char8(1, _data->iiop_version.minor);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_swap_decode_longstring(_data->host, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_swap_decode_unsigned16(0, _data->port);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(6);
  flick_iiop_decode_new_glob(1 * _data->object_key._length);
  for (_t122_array_iter = 0; _t122_array_iter < _data->object_key._length; _t122_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->object_key._buffer[_t122_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->object_key._length);
}

