#include "array-1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &prog_1234, "prog_1234_instance1");
		CORBA_BOA_obj_is_ready(boa, &prog_1234, "prog_1234_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 16;
  flick_iiop_encode_new_glob(64);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 16;
  flick_iiop_decode_new_glob(64);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(64);
}

void flick_unmarshal_stub_data64_swap(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 16;
  flick_iiop_decode_new_glob(64);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 32;
  flick_iiop_encode_new_glob(128);
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 32;
  flick_iiop_decode_new_glob(128);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(128);
}

void flick_unmarshal_stub_data128_swap(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  _t15_array_length = 32;
  flick_iiop_decode_new_glob(128);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  _t18_array_length = 64;
  flick_iiop_encode_new_glob(256);
#if 0 /* We never byte swap on encoding */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t18_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  _t21_array_length = 64;
  flick_iiop_decode_new_glob(256);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(256);
}

void flick_unmarshal_stub_data256_swap(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  _t24_array_length = 64;
  flick_iiop_decode_new_glob(256);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  _t27_array_length = 128;
  flick_iiop_encode_new_glob(512);
#if 0 /* We never byte swap on encoding */
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t29_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t27_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  _t30_array_length = 128;
  flick_iiop_decode_new_glob(512);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t32_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t30_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(512);
}

void flick_unmarshal_stub_data512_swap(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  _t33_array_length = 128;
  flick_iiop_decode_new_glob(512);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t35_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t36_array_length;
  flick_unsigned16_t _t38_array_iter;

  _t36_array_length = 256;
  flick_iiop_encode_new_glob(1024);
#if 0 /* We never byte swap on encoding */
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t38_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t36_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t39_array_length;
  flick_unsigned16_t _t41_array_iter;

  _t39_array_length = 256;
  flick_iiop_decode_new_glob(1024);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t41_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t39_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_data1K_swap(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t42_array_length;
  flick_unsigned16_t _t44_array_iter;

  _t42_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t44_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t45_array_length;
  flick_unsigned16_t _t47_array_iter;

  _t45_array_length = 512;
  flick_iiop_encode_new_glob(2048);
#if 0 /* We never byte swap on encoding */
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t47_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t45_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t48_array_length;
  flick_unsigned16_t _t50_array_iter;

  _t48_array_length = 512;
  flick_iiop_decode_new_glob(2048);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t50_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t48_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(2048);
}

void flick_unmarshal_stub_data2K_swap(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t51_array_length;
  flick_unsigned16_t _t53_array_iter;

  _t51_array_length = 512;
  flick_iiop_decode_new_glob(2048);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t53_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t54_array_length;
  flick_unsigned16_t _t56_array_iter;

  _t54_array_length = 1024;
  flick_iiop_encode_new_glob(4096);
#if 0 /* We never byte swap on encoding */
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t56_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t54_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t57_array_length;
  flick_unsigned16_t _t59_array_iter;

  _t57_array_length = 1024;
  flick_iiop_decode_new_glob(4096);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t59_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t57_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4096);
}

void flick_unmarshal_stub_data4K_swap(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t60_array_length;
  flick_unsigned16_t _t62_array_iter;

  _t60_array_length = 1024;
  flick_iiop_decode_new_glob(4096);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t62_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t63_array_length;
  flick_unsigned16_t _t65_array_iter;

  _t63_array_length = 2048;
  flick_iiop_encode_new_glob(8192);
#if 0 /* We never byte swap on encoding */
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t65_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t63_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t66_array_length;
  flick_unsigned16_t _t68_array_iter;

  _t66_array_length = 2048;
  flick_iiop_decode_new_glob(8192);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t68_array_iter = 0; _t68_array_iter < _t66_array_length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t68_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t66_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(8192);
}

void flick_unmarshal_stub_data8K_swap(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t69_array_length;
  flick_unsigned16_t _t71_array_iter;

  _t69_array_length = 2048;
  flick_iiop_decode_new_glob(8192);
  for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t71_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t72_array_length;
  flick_unsigned16_t _t74_array_iter;

  _t72_array_length = 4096;
  flick_iiop_encode_new_glob(4 * _t72_array_length);
#if 0 /* We never byte swap on encoding */
  for (_t74_array_iter = 0; _t74_array_iter < _t72_array_length; _t74_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t74_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t72_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _t72_array_length);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t75_array_length;
  flick_unsigned16_t _t77_array_iter;

  _t75_array_length = 4096;
  flick_iiop_decode_new_glob(4 * _t75_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t77_array_iter = 0; _t77_array_iter < _t75_array_length; _t77_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t77_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t75_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _t75_array_length);
}

void flick_unmarshal_stub_data16K_swap(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t78_array_length;
  flick_unsigned16_t _t80_array_iter;

  _t78_array_length = 4096;
  flick_iiop_decode_new_glob(4 * _t78_array_length);
  for (_t80_array_iter = 0; _t80_array_iter < _t78_array_length; _t80_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t80_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t78_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t81_array_length;
  flick_unsigned16_t _t83_array_iter;

  _t81_array_length = 8192;
  flick_iiop_encode_new_glob(4 * _t81_array_length);
#if 0 /* We never byte swap on encoding */
  for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t83_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t81_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _t81_array_length);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t84_array_length;
  flick_unsigned16_t _t86_array_iter;

  _t84_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t84_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t86_array_iter = 0; _t86_array_iter < _t84_array_length; _t86_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t86_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t84_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _t84_array_length);
}

void flick_unmarshal_stub_data32K_swap(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t87_array_length;
  flick_unsigned16_t _t89_array_iter;

  _t87_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t87_array_length);
  for (_t89_array_iter = 0; _t89_array_iter < _t87_array_length; _t89_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t89_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t87_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t90_array_length;
  flick_unsigned16_t _t92_array_iter;

  _t90_array_length = 16384;
  flick_iiop_encode_new_glob(4 * _t90_array_length);
#if 0 /* We never byte swap on encoding */
  for (_t92_array_iter = 0; _t92_array_iter < _t90_array_length; _t92_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t92_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t90_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _t90_array_length);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t93_array_length;
  flick_unsigned16_t _t95_array_iter;

  _t93_array_length = 16384;
  flick_iiop_decode_new_glob(4 * _t93_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t95_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t93_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _t93_array_length);
}

void flick_unmarshal_stub_data64K_swap(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t96_array_length;
  flick_unsigned16_t _t98_array_iter;

  _t96_array_length = 16384;
  flick_iiop_decode_new_glob(4 * _t96_array_length);
  for (_t98_array_iter = 0; _t98_array_iter < _t96_array_length; _t98_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t98_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t96_array_length);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t267_switch_tag;

    flick_iiop_decode_new_glob(4104);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t267_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t267_switch_tag)
      {
      case (signed int) 1:
        {
          {
            data64 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t268_principal;
            data64 _t269_storage;
            flick_unsigned8_t _t270_array_length;
            flick_unsigned8_t _t272_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t268_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t269_storage;
            _t270_array_length = 16;
            flick_iiop_decode_end_chunk(4);
            for (_t272_array_iter = 0; _t272_array_iter < _t270_array_length; _t272_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t272_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            data128 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t273_principal;
            data128 _t274_storage;
            flick_unsigned8_t _t275_array_length;
            flick_unsigned8_t _t277_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t273_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t274_storage;
            _t275_array_length = 32;
            flick_iiop_decode_end_chunk(4);
            for (_t277_array_iter = 0; _t277_array_iter < _t275_array_length; _t277_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t277_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            data256 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t278_principal;
            data256 _t279_storage;
            flick_unsigned8_t _t280_array_length;
            flick_unsigned8_t _t282_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t278_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t279_storage;
            _t280_array_length = 64;
            flick_iiop_decode_end_chunk(4);
            for (_t282_array_iter = 0; _t282_array_iter < _t280_array_length; _t282_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t282_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            data512 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t283_principal;
            data512 _t284_storage;
            flick_unsigned8_t _t285_array_length;
            flick_unsigned8_t _t287_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t283_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t284_storage;
            _t285_array_length = 128;
            flick_iiop_decode_end_chunk(4);
            for (_t287_array_iter = 0; _t287_array_iter < _t285_array_length; _t287_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t287_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            data1K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t288_principal;
            data1K _t289_storage;
            flick_unsigned16_t _t290_array_length;
            flick_unsigned16_t _t292_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t288_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t289_storage;
            _t290_array_length = 256;
            flick_iiop_decode_end_chunk(4);
            for (_t292_array_iter = 0; _t292_array_iter < _t290_array_length; _t292_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t292_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            data2K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t293_principal;
            data2K _t294_storage;
            flick_unsigned16_t _t295_array_length;
            flick_unsigned16_t _t297_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t293_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t294_storage;
            _t295_array_length = 512;
            flick_iiop_decode_end_chunk(4);
            for (_t297_array_iter = 0; _t297_array_iter < _t295_array_length; _t297_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t297_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            data4K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t298_principal;
            data4K _t299_storage;
            flick_unsigned16_t _t300_array_length;
            flick_unsigned16_t _t302_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t298_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t299_storage;
            _t300_array_length = 1024;
            flick_iiop_decode_end_chunk(4);
            for (_t302_array_iter = 0; _t302_array_iter < _t300_array_length; _t302_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t302_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            data8K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t303_principal;
            data8K _t304_storage;
            flick_unsigned16_t _t305_array_length;
            flick_unsigned16_t _t307_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t303_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t304_storage;
            _t305_array_length = 2048;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(8192);
            for (_t307_array_iter = 0; _t307_array_iter < _t305_array_length; _t307_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t307_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(8192);
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            data16K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t308_principal;
            data16K _t309_storage;
            flick_unsigned16_t _t310_array_length;
            flick_unsigned16_t _t312_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t308_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t309_storage;
            _t310_array_length = 4096;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t310_array_length);
            for (_t312_array_iter = 0; _t312_array_iter < _t310_array_length; _t312_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t312_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _t310_array_length);
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            data32K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t313_principal;
            data32K _t314_storage;
            flick_unsigned16_t _t315_array_length;
            flick_unsigned16_t _t317_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t313_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t314_storage;
            _t315_array_length = 8192;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t315_array_length);
            for (_t317_array_iter = 0; _t317_array_iter < _t315_array_length; _t317_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t317_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _t315_array_length);
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            data64K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t318_principal;
            data64K _t319_storage;
            flick_unsigned16_t _t320_array_length;
            flick_unsigned16_t _t322_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t318_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t319_storage;
            _t320_array_length = 16384;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t320_array_length);
            for (_t322_array_iter = 0; _t322_array_iter < _t320_array_length; _t322_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)[_t322_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _t320_array_length);
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(4104);
          break;
        }
      }
  }
  } else {
  {
    signed int _t155_switch_tag;

    flick_iiop_decode_new_glob(4104);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t155_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t155_switch_tag)
      {
      case (signed int) 1:
        {
          {
            data64 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t156_principal;
            data64 _t157_storage;
            flick_unsigned8_t _t158_array_length;
            flick_unsigned8_t _t160_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t156_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t157_storage;
            _t158_array_length = 16;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t160_array_iter = 0; _t160_array_iter < _t158_array_length; _t160_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t160_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t158_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            data128 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t161_principal;
            data128 _t162_storage;
            flick_unsigned8_t _t163_array_length;
            flick_unsigned8_t _t165_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t161_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t162_storage;
            _t163_array_length = 32;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t165_array_iter = 0; _t165_array_iter < _t163_array_length; _t165_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t165_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t163_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            data256 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t166_principal;
            data256 _t167_storage;
            flick_unsigned8_t _t168_array_length;
            flick_unsigned8_t _t170_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t166_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t167_storage;
            _t168_array_length = 64;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t170_array_iter = 0; _t170_array_iter < _t168_array_length; _t170_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t170_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t168_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            data512 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t171_principal;
            data512 _t172_storage;
            flick_unsigned8_t _t173_array_length;
            flick_unsigned8_t _t175_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t171_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t172_storage;
            _t173_array_length = 128;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t175_array_iter = 0; _t175_array_iter < _t173_array_length; _t175_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t175_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t173_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            data1K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t176_principal;
            data1K _t177_storage;
            flick_unsigned16_t _t178_array_length;
            flick_unsigned16_t _t180_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t176_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t177_storage;
            _t178_array_length = 256;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t180_array_iter = 0; _t180_array_iter < _t178_array_length; _t180_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t180_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t178_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            data2K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t181_principal;
            data2K _t182_storage;
            flick_unsigned16_t _t183_array_length;
            flick_unsigned16_t _t185_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t181_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t182_storage;
            _t183_array_length = 512;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t185_array_iter = 0; _t185_array_iter < _t183_array_length; _t185_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t185_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t183_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            data4K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t186_principal;
            data4K _t187_storage;
            flick_unsigned16_t _t188_array_length;
            flick_unsigned16_t _t190_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t186_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t187_storage;
            _t188_array_length = 1024;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t190_array_iter = 0; _t190_array_iter < _t188_array_length; _t190_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t190_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t188_array_length);
#endif
            flick_iiop_decode_end_glob(4104);
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            data8K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t191_principal;
            data8K _t192_storage;
            flick_unsigned16_t _t193_array_length;
            flick_unsigned16_t _t195_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t191_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t192_storage;
            _t193_array_length = 2048;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(8192);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t195_array_iter = 0; _t195_array_iter < _t193_array_length; _t195_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t195_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t193_array_length);
#endif
            flick_iiop_decode_end_glob(8192);
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            data16K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t196_principal;
            data16K _t197_storage;
            flick_unsigned16_t _t198_array_length;
            flick_unsigned16_t _t200_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t196_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t197_storage;
            _t198_array_length = 4096;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t198_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t200_array_iter = 0; _t200_array_iter < _t198_array_length; _t200_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t200_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t198_array_length);
#endif
            flick_iiop_decode_end_glob(4 * _t198_array_length);
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            data32K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t201_principal;
            data32K _t202_storage;
            flick_unsigned16_t _t203_array_length;
            flick_unsigned16_t _t205_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t201_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t202_storage;
            _t203_array_length = 8192;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t203_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t205_array_iter = 0; _t205_array_iter < _t203_array_length; _t205_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t205_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t203_array_length);
#endif
            flick_iiop_decode_end_glob(4 * _t203_array_length);
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            data64K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t206_principal;
            data64K _t207_storage;
            flick_unsigned16_t _t208_array_length;
            flick_unsigned16_t _t210_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t206_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t207_storage;
            _t208_array_length = 16384;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4104);
            flick_iiop_decode_new_glob(4 * _t208_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t210_array_iter = 0; _t210_array_iter < _t208_array_length; _t210_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)[_t210_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_msgptr(_local_arg, sizeof(long) * _t208_array_length);
#endif
            flick_iiop_decode_end_glob(4 * _t208_array_length);
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(4104);
          break;
        }
      }
  }
  }
  return 0;
}
