#include "client-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &Client_server, "Client_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &Client_server, "Client_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Client_swap(flick_marshal_stream_t _stream, Client *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t126_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t126_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t126_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t127_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t127_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t127_switch_tag)
            {
            case 'S':
              {
                char _t128_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t128_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t128_switch_tag)
                  {
                  case 'e':
                    {
                      char _t129_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t129_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t129_switch_tag)
                        {
                        case 't':
                          {
                            char _t130_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t130_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t130_switch_tag)
                              {
                              case 'L':
                                {
                                  char _t131_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t131_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t131_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t132_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t132_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t132_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t133_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t133_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t133_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t134_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t134_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t134_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Client _obj;
                                                            CORBA_long _local_speed;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t135_storage;
                                                            unsigned int _t136_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t135_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(8);
                                                            flick_cdr_swap_decode_unsigned32(0, _t136_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_speed);
                                                            flick_iiop_decode_end_chunk(8);
                                                            flick_iiop_decode_end_glob(24);
                                                            flick_corba_init_environment();
                                                            _return = Client_SetLeft(_obj, _local_speed, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t137_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t137_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t137_switch_tag)
            {
            case 'S':
              {
                char _t138_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t138_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t138_switch_tag)
                  {
                  case 'e':
                    {
                      char _t139_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t139_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t139_switch_tag)
                        {
                        case 't':
                          {
                            char _t140_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t140_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t140_switch_tag)
                              {
                              case 'R':
                                {
                                  char _t141_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t141_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t141_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t142_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t142_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t142_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t143_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t143_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t143_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t144_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t144_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t144_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t145_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t145_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t145_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_long _local_speed;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t146_storage;
                                                                  unsigned int _t147_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t146_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t147_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_speed);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = Client_SetRight(_obj, _local_speed, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t148_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t148_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t148_switch_tag)
                  {
                  case 'e':
                    {
                      char _t149_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t149_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t149_switch_tag)
                        {
                        case 't':
                          {
                            char _t150_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t150_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t150_switch_tag)
                              {
                              case 'P':
                                {
                                  char _t151_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t151_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t151_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t152_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t152_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t152_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t153_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t153_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t153_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t154_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t154_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t154_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t155_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t155_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t155_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t156_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t156_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = Client_GetPhoto(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t157_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t157_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t157_switch_tag)
            {
            case 'G':
              {
                char _t158_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t158_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t158_switch_tag)
                  {
                  case 'e':
                    {
                      char _t159_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t159_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t159_switch_tag)
                        {
                        case 't':
                          {
                            char _t160_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t160_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t160_switch_tag)
                              {
                              case 'B':
                                {
                                  char _t161_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t161_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t161_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t162_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t162_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t162_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t163_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t163_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t163_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t164_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t164_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t164_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t165_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t165_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t165_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t166_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t166_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t166_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Client _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_Environment _t167_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t167_storage;
                                                                        flick_iiop_decode_end_glob(24);
                                                                        flick_corba_init_environment();
                                                                        _return = Client_GetButton(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _return);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t42_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t42_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t42_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t43_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t43_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t43_switch_tag)
            {
            case 'S':
              {
                char _t44_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t44_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t44_switch_tag)
                  {
                  case 'e':
                    {
                      char _t45_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t45_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t45_switch_tag)
                        {
                        case 't':
                          {
                            char _t46_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t46_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t46_switch_tag)
                              {
                              case 'L':
                                {
                                  char _t47_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t47_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t47_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t48_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t48_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t48_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t49_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t49_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t49_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t50_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t50_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t50_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Client _obj;
                                                            CORBA_long _local_speed;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t51_storage;
                                                            unsigned int _t52_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t51_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(8);
                                                            flick_cdr_decode_unsigned32(0, _t52_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_speed);
                                                            flick_iiop_decode_end_chunk(8);
                                                            flick_iiop_decode_end_glob(24);
                                                            flick_corba_init_environment();
                                                            _return = Client_SetLeft(_obj, _local_speed, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t53_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t53_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t53_switch_tag)
            {
            case 'S':
              {
                char _t54_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t54_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t54_switch_tag)
                  {
                  case 'e':
                    {
                      char _t55_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t55_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t55_switch_tag)
                        {
                        case 't':
                          {
                            char _t56_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t56_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t56_switch_tag)
                              {
                              case 'R':
                                {
                                  char _t57_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t57_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t57_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t58_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t58_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t58_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t59_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t59_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t59_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t60_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t60_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t60_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t61_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t61_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t61_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_long _local_speed;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t62_storage;
                                                                  unsigned int _t63_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t62_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t63_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_speed);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = Client_SetRight(_obj, _local_speed, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t64_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t64_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t64_switch_tag)
                  {
                  case 'e':
                    {
                      char _t65_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t65_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t65_switch_tag)
                        {
                        case 't':
                          {
                            char _t66_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t66_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t66_switch_tag)
                              {
                              case 'P':
                                {
                                  char _t67_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t67_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t67_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t68_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t68_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t68_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t69_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t69_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t69_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t70_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t70_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t70_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t71_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t71_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t71_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  Client _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t72_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t72_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = Client_GetPhoto(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t73_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t73_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t73_switch_tag)
            {
            case 'G':
              {
                char _t74_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t74_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t74_switch_tag)
                  {
                  case 'e':
                    {
                      char _t75_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t75_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t75_switch_tag)
                        {
                        case 't':
                          {
                            char _t76_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t76_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t76_switch_tag)
                              {
                              case 'B':
                                {
                                  char _t77_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t77_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t77_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t78_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t78_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t78_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t79_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t79_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t79_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t80_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t80_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t80_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t81_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t81_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t81_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t82_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t82_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t82_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Client _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_Environment _t83_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t83_storage;
                                                                        flick_iiop_decode_end_glob(24);
                                                                        flick_corba_init_environment();
                                                                        _return = Client_GetButton(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _return);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
