#include "ex-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &A_server, "A_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &A_server, "A_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_A_B_swap(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_A_swap(flick_marshal_stream_t _stream, A *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t19_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t19_switch_tag)
            {
            case 'o':
              {
                char _t20_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t20_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t20_switch_tag)
                  {
                  case 'p':
                    {
                      char _t21_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t21_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t21_switch_tag)
                        {
                        case 0:
                          {
                            {
                              A _obj;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              CORBA_Environment _t22_storage;
                              unsigned int _t23_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t22_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(1, _t23_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed16(5, _local_b);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(14);
                              flick_corba_init_environment();
                              _return = A_op(_obj, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                    flick_iiop_encode_end_chunk(1);
                                    switch (_ev->_atomic_user_id)
                                      {
                                      case 0:
                                        {
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_signed16(1, ((A_B *)(_ev->_except))->a);
                                          CORBA_flick_free((A_B *)(_ev->_except));
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(14);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t6_switch_tag;

    flick_iiop_decode_new_glob(14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t6_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t7_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t7_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t7_switch_tag)
            {
            case 'o':
              {
                char _t8_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t8_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t8_switch_tag)
                  {
                  case 'p':
                    {
                      char _t9_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t9_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t9_switch_tag)
                        {
                        case 0:
                          {
                            {
                              A _obj;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              CORBA_Environment _t10_storage;
                              unsigned int _t11_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t10_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(1, _t11_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed16(5, _local_b);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(14);
                              flick_corba_init_environment();
                              _return = A_op(_obj, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                    flick_iiop_encode_end_chunk(1);
                                    switch (_ev->_atomic_user_id)
                                      {
                                      case 0:
                                        {
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_signed16(1, ((A_B *)(_ev->_except))->a);
                                          CORBA_flick_free((A_B *)(_ev->_except));
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(14);
          break;
        }
      }
  }
  }
  return 0;
}
