#include "nest-refs-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence_swap(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData_swap(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t177_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t177_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t177_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t178_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t178_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t178_switch_tag)
            {
            case '_':
              {
                char _t179_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t179_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t179_switch_tag)
                  {
                  case '_':
                    {
                      char _t180_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t180_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t180_switch_tag)
                        {
                        case 'g':
                          {
                            char _t181_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t181_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t181_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t182_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t182_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t182_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t183_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t183_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t183_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t184_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t184_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t184_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t185_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t185_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t185_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t186_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t186_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t186_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  CORBA_Environment *_ev;
                                                                  ReferenceData *_return = 0;
                                                                  CORBA_Environment _t187_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t187_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = test__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t191_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t191_array_iter = 0; _t191_array_iter < _return->_length; _t191_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t191_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t192_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t192_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t192_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t193_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t193_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t193_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t194_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t194_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t194_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t195_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t195_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t195_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t196_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t196_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t196_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t197_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t197_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t197_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t198_storage;
                                                                  unsigned int _t199_principal;
                                                                  ReferenceData _t200_storage;
                                                                  unsigned long int _t202_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t198_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t199_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t200_storage;
                                                                  flick_cdr_swap_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
                                                                  for (_t202_array_iter = 0; _t202_array_iter < _local_id->_length; _t202_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t202_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  test__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t203_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t203_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t203_switch_tag)
            {
            case '_':
              {
                char _t204_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t204_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t204_switch_tag)
                  {
                  case '_':
                    {
                      char _t205_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t205_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t205_switch_tag)
                        {
                        case 'g':
                          {
                            char _t206_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t206_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t206_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t207_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t207_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t207_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t208_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t208_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t208_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t209_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t209_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t209_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t210_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t210_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t210_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t211_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t211_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t211_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t212_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t212_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t212_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t213_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t213_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t213_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              CORBA_Environment *_ev;
                                                                              OctetSequence *_return = 0;
                                                                              CORBA_Environment _t214_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t214_storage;
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_corba_init_environment();
                                                                              _return = test__get_info(_obj, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(8);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t218_array_iter;

                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                                    for (_t218_array_iter = 0; _t218_array_iter < _return->_length; _t218_array_iter++)
                                                                                      {
                                                                                        flick_iiop_encode_new_chunk(1);
                                                                                        flick_cdr_encode_unsigned8(0, _return->_buffer[_t218_array_iter]);
                                                                                        flick_iiop_encode_end_chunk(1);
                                                                                      }
#else /* Always bcopy */
                                                                                    flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                                    flick_iiop_encode_end_glob(1 * _return->_length);
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t219_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t219_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t219_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t220_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t220_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t220_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t221_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t221_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t221_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t222_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t222_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t222_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t223_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t223_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t223_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t224_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t224_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t224_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t225_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t225_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t225_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t226_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t226_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t226_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              OctetSequence *_local_info;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t227_storage;
                                                                              unsigned int _t228_principal;
                                                                              OctetSequence _t229_storage;
                                                                              unsigned long int _t231_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t227_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t228_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_info = &_t229_storage;
                                                                              flick_cdr_swap_decode_unsigned32(5, _local_info->_length);
                                                                              _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(CORBA_octet ));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_iiop_decode_new_glob(1 * _local_info->_length);
                                                                              for (_t231_array_iter = 0; _t231_array_iter < _local_info->_length; _t231_array_iter++)
                                                                                {
                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_unsigned8(0, _local_info->_buffer[_t231_array_iter]);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                }
                                                                              flick_iiop_decode_end_glob(1 * _local_info->_length);
                                                                              flick_corba_init_environment();
                                                                              test__set_info(_obj, _local_info, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t67_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t67_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t67_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t68_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t68_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t68_switch_tag)
            {
            case '_':
              {
                char _t69_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t69_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t69_switch_tag)
                  {
                  case '_':
                    {
                      char _t70_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t70_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t70_switch_tag)
                        {
                        case 'g':
                          {
                            char _t71_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t71_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t71_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t72_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t72_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t72_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t73_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t73_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t73_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t74_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t74_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t74_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t75_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t75_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t75_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t76_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t76_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t76_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  CORBA_Environment *_ev;
                                                                  ReferenceData *_return = 0;
                                                                  CORBA_Environment _t77_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t77_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = test__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t81_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t81_array_iter = 0; _t81_array_iter < _return->_length; _t81_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t81_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t82_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t82_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t82_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t83_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t83_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t83_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t84_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t84_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t84_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t85_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t85_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t85_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t86_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t86_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t86_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t87_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t87_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t87_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t88_storage;
                                                                  unsigned int _t89_principal;
                                                                  ReferenceData _t90_storage;
                                                                  unsigned long int _t92_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t88_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t89_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t90_storage;
                                                                  flick_cdr_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t92_array_iter = 0; _t92_array_iter < _local_id->_length; _t92_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_unsigned8(0, _local_id->_buffer[_t92_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, iiop);
#endif
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  test__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t93_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t93_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t93_switch_tag)
            {
            case '_':
              {
                char _t94_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t94_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t94_switch_tag)
                  {
                  case '_':
                    {
                      char _t95_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t95_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t95_switch_tag)
                        {
                        case 'g':
                          {
                            char _t96_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t96_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t96_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t97_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t97_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t97_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t98_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t98_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t98_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t99_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t99_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t99_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t100_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t100_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t100_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t101_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t101_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t101_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t102_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t102_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t102_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t103_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t103_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t103_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              CORBA_Environment *_ev;
                                                                              OctetSequence *_return = 0;
                                                                              CORBA_Environment _t104_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t104_storage;
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_corba_init_environment();
                                                                              _return = test__get_info(_obj, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(8);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t108_array_iter;

                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                                    for (_t108_array_iter = 0; _t108_array_iter < _return->_length; _t108_array_iter++)
                                                                                      {
                                                                                        flick_iiop_encode_new_chunk(1);
                                                                                        flick_cdr_encode_unsigned8(0, _return->_buffer[_t108_array_iter]);
                                                                                        flick_iiop_encode_end_chunk(1);
                                                                                      }
#else /* Always bcopy */
                                                                                    flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                                    flick_iiop_encode_end_glob(1 * _return->_length);
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t109_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t109_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t109_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t110_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t110_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t110_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t111_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t111_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t111_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t112_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t112_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t112_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t113_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t113_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t113_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t114_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t114_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t114_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t115_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t115_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t115_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t116_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t116_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t116_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              OctetSequence *_local_info;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t117_storage;
                                                                              unsigned int _t118_principal;
                                                                              OctetSequence _t119_storage;
                                                                              unsigned long int _t121_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t117_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t118_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_info = &_t119_storage;
                                                                              flick_cdr_decode_unsigned32(5, _local_info->_length);
                                                                              _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(CORBA_octet ));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_iiop_decode_new_glob(1 * _local_info->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                              for (_t121_array_iter = 0; _t121_array_iter < _local_info->_length; _t121_array_iter++)
                                                                                {
                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_unsigned8(0, _local_info->_buffer[_t121_array_iter]);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                }
#else
                                                                              flick_cdr_decode_bcopy(_local_info->_buffer, sizeof(char) * _local_info->_length, iiop);
#endif
                                                                              flick_iiop_decode_end_glob(1 * _local_info->_length);
                                                                              flick_corba_init_environment();
                                                                              test__set_info(_obj, _local_info, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
