#include "parms-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &parm_2345, "parm_2345_instance1");
		CORBA_BOA_obj_is_ready(boa, &parm_2345, "parm_2345_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int parm_2345(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t57_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t57_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t57_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t58_principal;
            char _t59_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t58_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t59_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t60_principal;
            char _t61_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_unsigned32(0, _t60_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t61_storage;
            flick_cdr_swap_decode_char8(4, *_local_arg);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t62_principal;
            int _t63_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_unsigned32(0, _t62_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t63_storage;
            flick_cdr_swap_decode_unsigned8(4, *_local_arg);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t64_principal;
            short int _t65_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_unsigned32(0, _t64_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t65_storage;
            flick_cdr_swap_decode_signed16(4, *_local_arg);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t66_principal;
            unsigned short int _t67_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_unsigned32(0, _t66_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t67_storage;
            flick_cdr_swap_decode_unsigned16(4, *_local_arg);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t68_principal;
            int _t69_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t69_storage;
            flick_cdr_swap_decode_signed32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t70_principal;
            unsigned int _t71_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t71_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t72_principal;
            float _t73_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t72_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t73_storage;
            flick_cdr_swap_decode_float32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t74_principal;
            double _t75_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t75_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    signed int _t19_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t19_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t19_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t20_principal;
            char _t21_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t21_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t22_principal;
            char _t23_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _t22_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t23_storage;
            flick_cdr_decode_char8(4, *_local_arg);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t24_principal;
            int _t25_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _t24_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t25_storage;
            flick_cdr_decode_unsigned8(4, *_local_arg);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t26_principal;
            short int _t27_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _t26_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t27_storage;
            flick_cdr_decode_signed16(4, *_local_arg);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t28_principal;
            unsigned short int _t29_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _t28_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t29_storage;
            flick_cdr_decode_unsigned16(4, *_local_arg);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t30_principal;
            int _t31_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t30_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t31_storage;
            flick_cdr_decode_signed32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t32_principal;
            unsigned int _t33_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t32_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t33_storage;
            flick_cdr_decode_unsigned32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t34_principal;
            float _t35_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t34_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t35_storage;
            flick_cdr_decode_float32(4, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t36_principal;
            double _t37_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t36_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t37_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return 0;
}
