#include "sequence-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &TestSeq_server, "TestSeq_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &TestSeq_server, "TestSeq_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(24);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(24);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(24);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(24);
}

void flick_unmarshal_stub_c20_swap(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(24);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(24);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t17_array_iter;

  flick_iiop_encode_new_glob(556);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      unsigned long int _t21_array_iter;

      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t17_array_iter]._length);
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t21_array_iter = 0; _t21_array_iter < _data->_buffer[_t17_array_iter]._length; _t21_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, _data->_buffer[_t17_array_iter]._buffer[_t21_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t17_array_iter]._buffer, sizeof(char) * _data->_buffer[_t17_array_iter]._length, iiop);
#endif /* alway bcopy */
      CORBA_flick_free(_data->_buffer[_t17_array_iter]._buffer);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(556);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t27_array_iter;

  flick_iiop_decode_new_glob(556);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_iiop_decode_end_chunk(4);
  for (_t27_array_iter = 0; _t27_array_iter < _data->_length; _t27_array_iter++)
    {
      unsigned long int _t31_array_iter;

      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t27_array_iter]._length);
      _data->_buffer[_t27_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t27_array_iter]._length * sizeof(CORBA_char ));
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t31_array_iter = 0; _t31_array_iter < _data->_buffer[_t27_array_iter]._length; _t31_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _data->_buffer[_t27_array_iter]._buffer[_t31_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t27_array_iter]._buffer, sizeof(char) * _data->_buffer[_t27_array_iter]._length, iiop);
#endif
    }
  flick_iiop_decode_end_glob(556);
}

void flick_unmarshal_stub_cc23_swap(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t37_array_iter;

  flick_iiop_decode_new_glob(556);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_iiop_decode_end_chunk(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      _data->_buffer[_t37_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t37_array_iter]._length * sizeof(CORBA_char ));
      flick_iiop_decode_end_chunk(4);
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
    }
  flick_iiop_decode_end_glob(556);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t43_array_iter;

  flick_iiop_encode_new_glob(28);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t43_array_iter = 0; _t43_array_iter < _data->_length; _t43_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->_buffer[_t43_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(28);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t45_array_iter;

  flick_iiop_decode_new_glob(28);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t45_array_iter = 0; _t45_array_iter < _data->_length; _t45_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->_buffer[_t45_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(28);
}

void flick_unmarshal_stub_c24_swap(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t47_array_iter;

  flick_iiop_decode_new_glob(28);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->_buffer[_t47_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(28);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t53_array_iter;

  flick_iiop_encode_new_glob(444);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  for (_t53_array_iter = 0; _t53_array_iter < _data->_length; _t53_array_iter++)
    {
      unsigned long int _t57_array_iter;

      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t53_array_iter]._length);
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t57_array_iter = 0; _t57_array_iter < _data->_buffer[_t53_array_iter]._length; _t57_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->_buffer[_t53_array_iter]._buffer[_t57_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t53_array_iter]._buffer, sizeof(long) * _data->_buffer[_t53_array_iter]._length, iiop);
#endif /* alway bcopy */
      CORBA_flick_free(_data->_buffer[_t53_array_iter]._buffer);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(444);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t63_array_iter;

  flick_iiop_decode_new_glob(444);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_iiop_decode_end_chunk(4);
  for (_t63_array_iter = 0; _t63_array_iter < _data->_length; _t63_array_iter++)
    {
      unsigned long int _t67_array_iter;

      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t63_array_iter]._length);
      _data->_buffer[_t63_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t63_array_iter]._length * sizeof(CORBA_long ));
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t67_array_iter = 0; _t67_array_iter < _data->_buffer[_t63_array_iter]._length; _t67_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->_buffer[_t63_array_iter]._buffer[_t67_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t63_array_iter]._buffer, sizeof(long) * _data->_buffer[_t63_array_iter]._length, iiop);
#endif
    }
  flick_iiop_decode_end_glob(444);
}

void flick_unmarshal_stub_c30_swap(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t73_array_iter;

  flick_iiop_decode_new_glob(444);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_iiop_decode_end_chunk(4);
  for (_t73_array_iter = 0; _t73_array_iter < _data->_length; _t73_array_iter++)
    {
      unsigned long int _t77_array_iter;

      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t73_array_iter]._length);
      _data->_buffer[_t73_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t73_array_iter]._length * sizeof(CORBA_long ));
      flick_iiop_decode_end_chunk(4);
      for (_t77_array_iter = 0; _t77_array_iter < _data->_buffer[_t73_array_iter]._length; _t77_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t73_array_iter]._buffer[_t77_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
    }
  flick_iiop_decode_end_glob(444);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t79_array_iter;
  unsigned long int _t81_array_iter;

  flick_cdr_encode_longstring(_data->path, CORBA_flick_free, iiop);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->argv._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t79_array_iter = 0; _t79_array_iter < _data->argv._length; _t79_array_iter++)
    {
      flick_cdr_encode_longstring(_data->argv._buffer[_t79_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->argv._buffer);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->envp._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t81_array_iter = 0; _t81_array_iter < _data->envp._length; _t81_array_iter++)
    {
      flick_cdr_encode_longstring(_data->envp._buffer[_t81_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->envp._buffer);
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t83_array_iter;
  unsigned long int _t85_array_iter;

  flick_cdr_decode_longstring(_data->path, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t83_array_iter = 0; _t83_array_iter < _data->argv._length; _t83_array_iter++)
    {
      flick_cdr_decode_longstring(_data->argv._buffer[_t83_array_iter], CORBA_flick_alloc, iiop);
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t85_array_iter = 0; _t85_array_iter < _data->envp._length; _t85_array_iter++)
    {
      flick_cdr_decode_longstring(_data->envp._buffer[_t85_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_TProgram_swap(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t87_array_iter;
  unsigned long int _t89_array_iter;

  flick_cdr_swap_decode_longstring(_data->path, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t87_array_iter = 0; _t87_array_iter < _data->argv._length; _t87_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->argv._buffer[_t87_array_iter], CORBA_flick_alloc, iiop);
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t89_array_iter = 0; _t89_array_iter < _data->envp._length; _t89_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->envp._buffer[_t89_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->f1);
  flick_cdr_encode_char8(4, _data->f2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->f1);
  flick_cdr_decode_char8(4, _data->f2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->f1);
  flick_cdr_swap_decode_char8(4, _data->f2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t90_array_length;
  flick_unsigned8_t _t92_array_iter;

  _t90_array_length = 20;
  flick_iiop_encode_new_glob(100);
  for (_t92_array_iter = 0; _t92_array_iter < _t90_array_length; _t92_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, (*_data)[_t92_array_iter].f1);
      flick_cdr_encode_char8(4, (*_data)[_t92_array_iter].f2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_end_glob(100);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t93_array_length;
  flick_unsigned8_t _t95_array_iter;

  _t93_array_length = 20;
  flick_iiop_decode_new_glob(100);
  for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, (*_data)[_t95_array_iter].f1);
      flick_cdr_decode_char8(4, (*_data)[_t95_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(100);
}

void flick_unmarshal_stub_foo_ar_swap(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t96_array_length;
  flick_unsigned8_t _t98_array_iter;

  _t96_array_length = 20;
  flick_iiop_decode_new_glob(100);
  for (_t98_array_iter = 0; _t98_array_iter < _t96_array_length; _t98_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t98_array_iter].f1);
      flick_cdr_swap_decode_char8(4, (*_data)[_t98_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(100);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t100_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(5 * _data->_length);
  for (_t100_array_iter = 0; _t100_array_iter < _data->_length; _t100_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->_buffer[_t100_array_iter].f1);
      flick_cdr_encode_char8(4, _data->_buffer[_t100_array_iter].f2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_end_glob(5 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t102_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(5 * _data->_length);
  for (_t102_array_iter = 0; _t102_array_iter < _data->_length; _t102_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->_buffer[_t102_array_iter].f1);
      flick_cdr_decode_char8(4, _data->_buffer[_t102_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(5 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded_swap(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t104_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(5 * _data->_length);
  for (_t104_array_iter = 0; _t104_array_iter < _data->_length; _t104_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t104_array_iter].f1);
      flick_cdr_swap_decode_char8(4, _data->_buffer[_t104_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(5 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t112_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(100 * _data->_length);
  for (_t112_array_iter = 0; _t112_array_iter < _data->_length; _t112_array_iter++)
    {
      flick_unsigned8_t _t116_array_length;
      flick_unsigned8_t _t118_array_iter;

      _t116_array_length = 20;
      for (_t118_array_iter = 0; _t118_array_iter < _t116_array_length; _t118_array_iter++)
        {
          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, _data->_buffer[_t112_array_iter][_t118_array_iter].f1);
          flick_cdr_encode_char8(4, _data->_buffer[_t112_array_iter][_t118_array_iter].f2);
          flick_iiop_encode_end_chunk(5);
        }
    }
  flick_iiop_encode_end_glob(100 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t126_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(100 * _data->_length);
  for (_t126_array_iter = 0; _t126_array_iter < _data->_length; _t126_array_iter++)
    {
      flick_unsigned8_t _t130_array_length;
      flick_unsigned8_t _t132_array_iter;

      _t130_array_length = 20;
      for (_t132_array_iter = 0; _t132_array_iter < _t130_array_length; _t132_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_decode_signed32(0, _data->_buffer[_t126_array_iter][_t132_array_iter].f1);
          flick_cdr_decode_char8(4, _data->_buffer[_t126_array_iter][_t132_array_iter].f2);
          flick_iiop_decode_end_chunk(5);
        }
    }
  flick_iiop_decode_end_glob(100 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded_swap(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t140_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(100 * _data->_length);
  for (_t140_array_iter = 0; _t140_array_iter < _data->_length; _t140_array_iter++)
    {
      flick_unsigned8_t _t144_array_length;
      flick_unsigned8_t _t146_array_iter;

      _t144_array_length = 20;
      for (_t146_array_iter = 0; _t146_array_iter < _t144_array_length; _t146_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t140_array_iter][_t146_array_iter].f1);
          flick_cdr_swap_decode_char8(4, _data->_buffer[_t140_array_iter][_t146_array_iter].f2);
          flick_iiop_decode_end_chunk(5);
        }
    }
  flick_iiop_decode_end_glob(100 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t148_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t148_array_iter = 0; _t148_array_iter < _data->_length; _t148_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t148_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t150_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t150_array_iter = 0; _t150_array_iter < _data->_length; _t150_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t150_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10_swap(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t152_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t152_array_iter = 0; _t152_array_iter < _data->_length; _t152_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t152_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t321_switch_tag;

    flick_iiop_decode_new_glob(100);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t321_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t321_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t322_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t322_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t322_switch_tag)
            {
            case 'o':
              {
                char _t323_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t323_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t323_switch_tag)
                  {
                  case 'p':
                    {
                      char _t324_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t324_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t324_switch_tag)
                        {
                        case 0:
                          {
                            {
                              TestSeq _obj;
                              TestSeq_also_vec10 *_local_a;
                              vec10 **_local_b;
                              TestSeq_also_vec10 *_local_c;
                              CORBA_Environment *_ev;
                              vec10 *_return = 0;
                              vec10 *_t325_storage;
                              CORBA_Environment _t326_storage;
                              unsigned int _t327_principal;
                              TestSeq_also_vec10 _t328_storage;
                              unsigned long int _t330_array_iter;
                              TestSeq_also_vec10 _t331_storage;
                              unsigned long int _t333_array_iter;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t325_storage;
                              _ev = &_t326_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t327_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t328_storage;
                              flick_cdr_swap_decode_unsigned32(5, _local_a->_length);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              flick_iiop_decode_end_chunk(9);
                              for (_t330_array_iter = 0; _t330_array_iter < _local_a->_length; _t330_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t330_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _local_c = &_t331_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_c->_length);
                              _local_c->_buffer = CORBA_flick_alloc(_local_c->_length * sizeof(CORBA_long ));
                              flick_iiop_decode_end_chunk(4);
                              for (_t333_array_iter = 0; _t333_array_iter < _local_c->_length; _t333_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_c->_buffer[_t333_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_end_glob(100);
                              flick_corba_init_environment();
                              _return = TestSeq_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    unsigned long int _t341_array_iter;
                                    unsigned long int _t343_array_iter;
                                    unsigned long int _t345_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, (*_local_b)->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t341_array_iter = 0; _t341_array_iter < (*_local_b)->_length; _t341_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, (*_local_b)->_buffer[_t341_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy((*_local_b)->_buffer, sizeof(long) * (*_local_b)->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free((*_local_b)->_buffer);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _local_c->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t343_array_iter = 0; _t343_array_iter < _local_c->_length; _t343_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _local_c->_buffer[_t343_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy(_local_c->_buffer, sizeof(long) * _local_c->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free(_local_c->_buffer);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t345_array_iter = 0; _t345_array_iter < _return->_length; _t345_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_buffer[_t345_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(136);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t346_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t346_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t346_switch_tag)
            {
            case '_':
              {
                char _t347_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t347_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t347_switch_tag)
                  {
                  case '_':
                    {
                      char _t348_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t348_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t348_switch_tag)
                        {
                        case 'g':
                          {
                            char _t349_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t349_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t349_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t350_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t350_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t350_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t351_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t351_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t351_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t352_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t352_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t352_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t353_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t353_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t353_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t354_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t354_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t354_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t355_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t355_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t355_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t356_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t356_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t356_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t357_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t357_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t357_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    f_unbounded *_return = 0;
                                                                                    CORBA_Environment _t358_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t358_storage;
                                                                                    flick_iiop_decode_end_glob(100);
                                                                                    flick_corba_init_environment();
                                                                                    _return = TestSeq__get_fattr(_obj, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(8);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          unsigned long int _t362_array_iter;

                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          flick_iiop_encode_new_glob(5 * _return->_length);
                                                                                          for (_t362_array_iter = 0; _t362_array_iter < _return->_length; _t362_array_iter++)
                                                                                            {
                                                                                              flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                              flick_cdr_encode_signed32(0, _return->_buffer[_t362_array_iter].f1);
                                                                                              flick_cdr_encode_char8(4, _return->_buffer[_t362_array_iter].f2);
                                                                                              flick_iiop_encode_end_chunk(5);
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(5 * _return->_length);
                                                                                          CORBA_flick_free(_return->_buffer);
                                                                                          CORBA_flick_free(_return);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t363_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t363_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t363_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t364_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t364_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t364_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t365_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t365_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t365_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t366_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t366_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t366_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t367_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t367_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t367_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t368_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t368_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t368_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t369_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t369_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t369_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t370_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t370_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t370_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t371_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t371_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t371_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    f_unbounded *_local_fattr;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t372_storage;
                                                                                    unsigned int _t373_principal;
                                                                                    f_unbounded _t374_storage;
                                                                                    unsigned long int _t376_array_iter;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t372_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t373_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_fattr = &_t374_storage;
                                                                                    flick_cdr_swap_decode_unsigned32(4, _local_fattr->_length);
                                                                                    _local_fattr->_buffer = auto_flick_alloc(_local_fattr->_length * sizeof(struct foo ));
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(100);
                                                                                    flick_iiop_decode_new_glob(5 * _local_fattr->_length);
                                                                                    for (_t376_array_iter = 0; _t376_array_iter < _local_fattr->_length; _t376_array_iter++)
                                                                                      {
                                                                                        flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                                        flick_cdr_swap_decode_signed32(0, _local_fattr->_buffer[_t376_array_iter].f1);
                                                                                        flick_cdr_swap_decode_char8(4, _local_fattr->_buffer[_t376_array_iter].f2);
                                                                                        flick_iiop_decode_end_chunk(5);
                                                                                      }
                                                                                    flick_iiop_decode_end_glob(5 * _local_fattr->_length);
                                                                                    flick_corba_init_environment();
                                                                                    TestSeq__set_fattr(_obj, _local_fattr, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(4);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(100);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t209_switch_tag;

    flick_iiop_decode_new_glob(100);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t209_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t209_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t210_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t210_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t210_switch_tag)
            {
            case 'o':
              {
                char _t211_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t211_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t211_switch_tag)
                  {
                  case 'p':
                    {
                      char _t212_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t212_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t212_switch_tag)
                        {
                        case 0:
                          {
                            {
                              TestSeq _obj;
                              TestSeq_also_vec10 *_local_a;
                              vec10 **_local_b;
                              TestSeq_also_vec10 *_local_c;
                              CORBA_Environment *_ev;
                              vec10 *_return = 0;
                              vec10 *_t213_storage;
                              CORBA_Environment _t214_storage;
                              unsigned int _t215_principal;
                              TestSeq_also_vec10 _t216_storage;
                              unsigned long int _t218_array_iter;
                              TestSeq_also_vec10 _t219_storage;
                              unsigned long int _t221_array_iter;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t213_storage;
                              _ev = &_t214_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t215_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t216_storage;
                              flick_cdr_decode_unsigned32(5, _local_a->_length);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              flick_iiop_decode_end_chunk(9);
#if 0 /* are we in the swapping decode or non-swapping decode */
                              for (_t218_array_iter = 0; _t218_array_iter < _local_a->_length; _t218_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_signed32(0, _local_a->_buffer[_t218_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
#else
                              flick_cdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif
                              _local_c = &_t219_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_c->_length);
                              _local_c->_buffer = CORBA_flick_alloc(_local_c->_length * sizeof(CORBA_long ));
                              flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                              for (_t221_array_iter = 0; _t221_array_iter < _local_c->_length; _t221_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_signed32(0, _local_c->_buffer[_t221_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
#else
                              flick_cdr_decode_bcopy(_local_c->_buffer, sizeof(long) * _local_c->_length, iiop);
#endif
                              flick_iiop_decode_end_glob(100);
                              flick_corba_init_environment();
                              _return = TestSeq_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    unsigned long int _t229_array_iter;
                                    unsigned long int _t231_array_iter;
                                    unsigned long int _t233_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, (*_local_b)->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t229_array_iter = 0; _t229_array_iter < (*_local_b)->_length; _t229_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, (*_local_b)->_buffer[_t229_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy((*_local_b)->_buffer, sizeof(long) * (*_local_b)->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free((*_local_b)->_buffer);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _local_c->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t231_array_iter = 0; _t231_array_iter < _local_c->_length; _t231_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _local_c->_buffer[_t231_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy(_local_c->_buffer, sizeof(long) * _local_c->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free(_local_c->_buffer);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                    for (_t233_array_iter = 0; _t233_array_iter < _return->_length; _t233_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_buffer[_t233_array_iter]);
                                        flick_iiop_encode_end_chunk(4);
                                      }
#else /* Always bcopy */
                                    flick_cdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, iiop);
#endif /* alway bcopy */
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(136);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t234_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t234_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t234_switch_tag)
            {
            case '_':
              {
                char _t235_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t235_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t235_switch_tag)
                  {
                  case '_':
                    {
                      char _t236_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t236_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t236_switch_tag)
                        {
                        case 'g':
                          {
                            char _t237_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t237_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t237_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t238_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t238_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t238_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t239_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t239_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t239_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t240_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t240_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t240_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t241_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t241_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t241_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t242_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t242_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t242_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t243_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t243_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t243_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t244_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t244_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t244_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t245_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t245_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t245_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    f_unbounded *_return = 0;
                                                                                    CORBA_Environment _t246_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t246_storage;
                                                                                    flick_iiop_decode_end_glob(100);
                                                                                    flick_corba_init_environment();
                                                                                    _return = TestSeq__get_fattr(_obj, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(8);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          unsigned long int _t250_array_iter;

                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          flick_iiop_encode_new_glob(5 * _return->_length);
                                                                                          for (_t250_array_iter = 0; _t250_array_iter < _return->_length; _t250_array_iter++)
                                                                                            {
                                                                                              flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                              flick_cdr_encode_signed32(0, _return->_buffer[_t250_array_iter].f1);
                                                                                              flick_cdr_encode_char8(4, _return->_buffer[_t250_array_iter].f2);
                                                                                              flick_iiop_encode_end_chunk(5);
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(5 * _return->_length);
                                                                                          CORBA_flick_free(_return->_buffer);
                                                                                          CORBA_flick_free(_return);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t251_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t251_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t251_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t252_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t252_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t252_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t253_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t253_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t253_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t254_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t254_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t254_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t255_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t255_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t255_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t256_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t256_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t256_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t257_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t257_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t257_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t258_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t258_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t258_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t259_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t259_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t259_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    f_unbounded *_local_fattr;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t260_storage;
                                                                                    unsigned int _t261_principal;
                                                                                    f_unbounded _t262_storage;
                                                                                    unsigned long int _t264_array_iter;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t260_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_decode_unsigned32(0, _t261_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_fattr = &_t262_storage;
                                                                                    flick_cdr_decode_unsigned32(4, _local_fattr->_length);
                                                                                    _local_fattr->_buffer = auto_flick_alloc(_local_fattr->_length * sizeof(struct foo ));
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(100);
                                                                                    flick_iiop_decode_new_glob(5 * _local_fattr->_length);
                                                                                    for (_t264_array_iter = 0; _t264_array_iter < _local_fattr->_length; _t264_array_iter++)
                                                                                      {
                                                                                        flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                                        flick_cdr_decode_signed32(0, _local_fattr->_buffer[_t264_array_iter].f1);
                                                                                        flick_cdr_decode_char8(4, _local_fattr->_buffer[_t264_array_iter].f2);
                                                                                        flick_iiop_decode_end_chunk(5);
                                                                                      }
                                                                                    flick_iiop_decode_end_glob(5 * _local_fattr->_length);
                                                                                    flick_corba_init_environment();
                                                                                    TestSeq__set_fattr(_obj, _local_fattr, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(4);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(100);
          break;
        }
      }
  }
  }
  return 0;
}
