#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_seq_swap(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t9_array_iter;

    flick_iiop_encode_new_glob(64);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 'q');
    flick_cdr_encode_char8(7, 'u');
    flick_cdr_encode_char8(8, 'e');
    flick_cdr_encode_char8(9, 'n');
    flick_cdr_encode_char8(10, 'c');
    flick_cdr_encode_char8(11, 'e');
    flick_cdr_encode_char8(12, 'r');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, a->_length);
    flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
    for (_t9_array_iter = 0; _t9_array_iter < a->_length; _t9_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, a->_buffer[_t9_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(a->_buffer, sizeof(long) * a->_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(64);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(50);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t17_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, a->_length);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
            for (_t17_array_iter = 0; _t17_array_iter < a->_length; _t17_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, a->_buffer[_t17_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(50);
    }
  } else {
    {
      flick_iiop_decode_new_glob(50);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t13_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, a->_length);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t13_array_iter = 0; _t13_array_iter < a->_length; _t13_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, a->_buffer[_t13_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(a->_buffer, sizeof(long) * a->_length, iiop);
#endif
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(50);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

