#include "simple-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &simple_server, "simple_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &simple_server, "simple_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &simple2_server, "simple2_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &simple2_server, "simple2_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t30_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t31_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t31_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t31_switch_tag)
            {
            case 'o':
              {
                char _t32_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t32_switch_tag)
                  {
                  case 'p':
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t33_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t33_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t34_storage;
                              CORBA_Environment _t35_storage;
                              unsigned int _t36_principal;
                              CORBA_long _t37_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t34_storage;
                              _ev = &_t35_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_swap_decode_unsigned32(1, _t36_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              _local_c = &_t37_storage;
                              flick_cdr_swap_decode_signed32(9, *_local_c);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_corba_init_environment();
                              _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_port32(0, *_local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                                    flick_cdr_encode_signed32(4, *_local_c);
                                    flick_cdr_encode_signed32(8, _return);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t14_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t14_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t15_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t15_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t15_switch_tag)
            {
            case 'o':
              {
                char _t16_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t16_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t16_switch_tag)
                  {
                  case 'p':
                    {
                      char _t17_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t17_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t17_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t18_storage;
                              CORBA_Environment _t19_storage;
                              unsigned int _t20_principal;
                              CORBA_long _t21_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t18_storage;
                              _ev = &_t19_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_decode_unsigned32(1, _t20_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              _local_c = &_t21_storage;
                              flick_cdr_decode_signed32(9, *_local_c);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_corba_init_environment();
                              _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_port32(0, *_local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                                    flick_cdr_encode_signed32(4, *_local_c);
                                    flick_cdr_encode_signed32(8, _return);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t83_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t83_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t83_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t84_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t84_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t84_switch_tag)
            {
            case 'o':
              {
                char _t85_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t85_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t85_switch_tag)
                  {
                  case 'p':
                    {
                      char _t86_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t86_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t86_switch_tag)
                        {
                        case '2':
                          {
                            char _t87_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t87_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t87_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple2 _obj;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    simple2 _t88_storage;
                                    CORBA_Environment _t89_storage;
                                    unsigned int _t90_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t88_storage;
                                    _ev = &_t89_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t90_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_a);
                                    flick_cdr_swap_decode_port32(8, _local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_b, 1);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(20);
                                    flick_corba_init_environment();
                                    _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_port32(0, *_local_c, 1);
                                          flick_iiop_mark_port_for_cleanup(*_local_c, 1);
                                          flick_cdr_encode_signed32(4, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t91_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t91_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t91_switch_tag)
            {
            case 'o':
              {
                char _t92_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t92_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t92_switch_tag)
                  {
                  case 'p':
                    {
                      char _t93_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t93_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t93_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple2 _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t94_storage;
                              CORBA_Environment _t95_storage;
                              unsigned int _t96_principal;
                              CORBA_long _t97_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t94_storage;
                              _ev = &_t95_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_swap_decode_unsigned32(1, _t96_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              _local_c = &_t97_storage;
                              flick_cdr_swap_decode_signed32(9, *_local_c);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_corba_init_environment();
                              _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_port32(0, *_local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                                    flick_cdr_encode_signed32(4, *_local_c);
                                    flick_cdr_encode_signed32(8, _return);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t53_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t53_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t53_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t54_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t54_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t54_switch_tag)
            {
            case 'o':
              {
                char _t55_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t55_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t55_switch_tag)
                  {
                  case 'p':
                    {
                      char _t56_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t56_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t56_switch_tag)
                        {
                        case '2':
                          {
                            char _t57_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t57_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t57_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple2 _obj;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    simple2 _t58_storage;
                                    CORBA_Environment _t59_storage;
                                    unsigned int _t60_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t58_storage;
                                    _ev = &_t59_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t60_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_a);
                                    flick_cdr_decode_port32(8, _local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_b, 1);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(20);
                                    flick_corba_init_environment();
                                    _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_port32(0, *_local_c, 1);
                                          flick_iiop_mark_port_for_cleanup(*_local_c, 1);
                                          flick_cdr_encode_signed32(4, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t61_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t61_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t61_switch_tag)
            {
            case 'o':
              {
                char _t62_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t62_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t62_switch_tag)
                  {
                  case 'p':
                    {
                      char _t63_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t63_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t63_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple2 _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t64_storage;
                              CORBA_Environment _t65_storage;
                              unsigned int _t66_principal;
                              CORBA_long _t67_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t64_storage;
                              _ev = &_t65_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_decode_unsigned32(1, _t66_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              _local_c = &_t67_storage;
                              flick_cdr_decode_signed32(9, *_local_c);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_corba_init_environment();
                              _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_port32(0, *_local_b, 1);
                                    flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                                    flick_cdr_encode_signed32(4, *_local_c);
                                    flick_cdr_encode_signed32(8, _return);
                                    flick_iiop_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(16);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
