#include "struct-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &foo_server, "foo_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &foo_server, "foo_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &foo2_server, "foo2_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &foo2_server, "foo2_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_cdr_encode_string(_data->b3, CORBA_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_swap_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  flick_cdr_encode_string(_data->b4.b3, CORBA_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar2_swap(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_swap_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_cdr_encode_signed32(8, _data->b3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_cdr_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar3_swap(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_cdr_swap_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2.b3);
  flick_cdr_encode_signed32(8, _data->b2.b4.b1);
  flick_cdr_encode_signed32(12, _data->b2.b4.b2);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
  flick_cdr_encode_string(_data->b2.b4.b3, CORBA_flick_free, iiop, 20);
  flick_iiop_encode_new_glob(20);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_cdr_encode_signed32(12, _data->b4.b3);
  flick_cdr_encode_signed32(16, _data->b5);
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(20);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2.b3);
  flick_cdr_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(20);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_cdr_decode_signed32(12, _data->b4.b3);
  flick_cdr_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(20);
}

void flick_unmarshal_stub_bar4_swap(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2.b3);
  flick_cdr_swap_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_swap_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_swap_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(20);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_cdr_swap_decode_signed32(12, _data->b4.b3);
  flick_cdr_swap_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(20);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, foo *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int foo_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t24_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t24_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t24_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t25_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t25_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t25_switch_tag)
            {
            case 'o':
              {
                char _t26_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t26_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t26_switch_tag)
                  {
                  case 'p':
                    {
                      char _t27_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t27_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t27_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              struct bar2 *_t28_storage;
                              CORBA_Environment _t29_storage;
                              unsigned int _t30_principal;
                              struct bar _t31_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t28_storage;
                              _ev = &_t29_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_swap_decode_unsigned32(1, _t30_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t31_storage;
                              flick_cdr_swap_decode_signed32(5, _local_a->b1);
                              flick_cdr_swap_decode_signed32(9, _local_a->b2);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_cdr_swap_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                              flick_corba_init_environment();
                              _return = foo_op(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, (*_local_b)->b3);
                                    flick_cdr_encode_signed32(4, (*_local_b)->b4.b1);
                                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b2);
                                    flick_iiop_encode_end_chunk(12);
                                    flick_iiop_encode_end_glob(16);
                                    flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t8_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t8_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t9_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t9_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t9_switch_tag)
            {
            case 'o':
              {
                char _t10_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t10_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t10_switch_tag)
                  {
                  case 'p':
                    {
                      char _t11_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t11_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t11_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              struct bar2 *_t12_storage;
                              CORBA_Environment _t13_storage;
                              unsigned int _t14_principal;
                              struct bar _t15_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t12_storage;
                              _ev = &_t13_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_decode_unsigned32(1, _t14_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t15_storage;
                              flick_cdr_decode_signed32(5, _local_a->b1);
                              flick_cdr_decode_signed32(9, _local_a->b2);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(20);
                              flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                              flick_corba_init_environment();
                              _return = foo_op(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, (*_local_b)->b3);
                                    flick_cdr_encode_signed32(4, (*_local_b)->b4.b1);
                                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b2);
                                    flick_iiop_encode_end_chunk(12);
                                    flick_iiop_encode_end_glob(16);
                                    flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_foo2_swap(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int foo2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t89_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t89_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t89_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t90_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t90_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t90_switch_tag)
            {
            case 'o':
              {
                char _t91_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t91_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t91_switch_tag)
                  {
                  case 'p':
                    {
                      char _t92_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t92_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t92_switch_tag)
                        {
                        case '2':
                          {
                            char _t93_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t93_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t93_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    struct bar2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct bar *_return = 0;
                                    CORBA_Environment _t94_storage;
                                    unsigned int _t95_principal;
                                    struct bar2 _t96_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t94_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(16);
                                    flick_cdr_swap_decode_unsigned32(0, _t95_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t96_storage;
                                    flick_cdr_swap_decode_signed32(4, _local_a->b3);
                                    flick_cdr_swap_decode_signed32(8, _local_a->b4.b1);
                                    flick_cdr_swap_decode_signed32(12, _local_a->b4.b2);
                                    flick_iiop_decode_end_chunk(16);
                                    flick_iiop_decode_end_glob(24);
                                    flick_cdr_swap_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, iiop);
                                    flick_corba_init_environment();
                                    _return = foo2_op2(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(0, _return->b1);
                                          flick_cdr_encode_signed32(4, _return->b2);
                                          flick_iiop_encode_end_chunk(8);
                                          flick_iiop_encode_end_glob(12);
                                          flick_cdr_encode_string(_return->b3, CORBA_flick_free, iiop, 20);
                                          CORBA_flick_free(_return);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t97_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t97_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t97_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    CORBA_long _local_a;
                                    CORBA_char *_local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_char _t98_storage;
                                    CORBA_Environment _t99_storage;
                                    unsigned int _t100_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t98_storage;
                                    _ev = &_t99_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t100_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_a);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(24);
                                    flick_corba_init_environment();
                                    _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, *_local_b);
                                          flick_cdr_encode_signed32(4, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t101_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t101_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t101_switch_tag)
            {
            case 'o':
              {
                char _t102_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t102_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t102_switch_tag)
                  {
                  case 'p':
                    {
                      char _t103_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t103_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t103_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo2 _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              struct bar2 *_t104_storage;
                              CORBA_Environment _t105_storage;
                              unsigned int _t106_principal;
                              struct bar _t107_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t104_storage;
                              _ev = &_t105_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_swap_decode_unsigned32(1, _t106_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t107_storage;
                              flick_cdr_swap_decode_signed32(5, _local_a->b1);
                              flick_cdr_swap_decode_signed32(9, _local_a->b2);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(24);
                              flick_cdr_swap_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                              flick_corba_init_environment();
                              _return = foo2_op(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, (*_local_b)->b3);
                                    flick_cdr_encode_signed32(4, (*_local_b)->b4.b1);
                                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b2);
                                    flick_iiop_encode_end_chunk(12);
                                    flick_iiop_encode_end_glob(16);
                                    flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t51_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t51_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t51_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t52_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t52_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t52_switch_tag)
            {
            case 'o':
              {
                char _t53_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t53_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t53_switch_tag)
                  {
                  case 'p':
                    {
                      char _t54_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t54_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t54_switch_tag)
                        {
                        case '2':
                          {
                            char _t55_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t55_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t55_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    struct bar2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct bar *_return = 0;
                                    CORBA_Environment _t56_storage;
                                    unsigned int _t57_principal;
                                    struct bar2 _t58_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t56_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(16);
                                    flick_cdr_decode_unsigned32(0, _t57_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t58_storage;
                                    flick_cdr_decode_signed32(4, _local_a->b3);
                                    flick_cdr_decode_signed32(8, _local_a->b4.b1);
                                    flick_cdr_decode_signed32(12, _local_a->b4.b2);
                                    flick_iiop_decode_end_chunk(16);
                                    flick_iiop_decode_end_glob(24);
                                    flick_cdr_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, iiop);
                                    flick_corba_init_environment();
                                    _return = foo2_op2(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(0, _return->b1);
                                          flick_cdr_encode_signed32(4, _return->b2);
                                          flick_iiop_encode_end_chunk(8);
                                          flick_iiop_encode_end_glob(12);
                                          flick_cdr_encode_string(_return->b3, CORBA_flick_free, iiop, 20);
                                          CORBA_flick_free(_return);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(12);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t59_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t59_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t59_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    CORBA_long _local_a;
                                    CORBA_char *_local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_char _t60_storage;
                                    CORBA_Environment _t61_storage;
                                    unsigned int _t62_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t60_storage;
                                    _ev = &_t61_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t62_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_a);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(24);
                                    flick_corba_init_environment();
                                    _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, *_local_b);
                                          flick_cdr_encode_signed32(4, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t63_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t63_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t63_switch_tag)
            {
            case 'o':
              {
                char _t64_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t64_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t64_switch_tag)
                  {
                  case 'p':
                    {
                      char _t65_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t65_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t65_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo2 _obj;
                              struct bar *_local_a;
                              struct bar2 **_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              struct bar2 *_t66_storage;
                              CORBA_Environment _t67_storage;
                              unsigned int _t68_principal;
                              struct bar _t69_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t66_storage;
                              _ev = &_t67_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(13);
                              flick_cdr_decode_unsigned32(1, _t68_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_a = &_t69_storage;
                              flick_cdr_decode_signed32(5, _local_a->b1);
                              flick_cdr_decode_signed32(9, _local_a->b2);
                              flick_iiop_decode_end_chunk(13);
                              flick_iiop_decode_end_glob(24);
                              flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                              flick_corba_init_environment();
                              _return = foo2_op(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(16);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(12);
                                    flick_cdr_encode_signed32(0, (*_local_b)->b3);
                                    flick_cdr_encode_signed32(4, (*_local_b)->b4.b1);
                                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b2);
                                    flick_iiop_encode_end_chunk(12);
                                    flick_iiop_encode_end_glob(16);
                                    flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                                    CORBA_flick_free(*_local_b);
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(16);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_Coord_swap(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos_swap(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2_swap(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_iiop_encode_new_glob(6);
  flick_iiop_encode_new_chunk(6);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_cdr_encode_unsigned16(4, _data->col2);
  flick_iiop_encode_end_chunk(6);
  flick_iiop_encode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_cdr_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3_swap(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_cdr_swap_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

