#include "structnest_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned8(0, _data->c);
  flick_cdr_encode_signed32(4, _data->d);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned8(0, _data->c);
  flick_cdr_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q_swap(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned8(0, _data->c);
  flick_cdr_swap_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed16(0, _data->c);
  flick_cdr_encode_char8(2, _data->d);
  flick_cdr_encode_unsigned8(3, _data->e.c);
  flick_cdr_encode_signed32(4, _data->e.d);
  flick_cdr_encode_signed16(8, _data->f);
  flick_cdr_encode_unsigned8(10, _data->g.c);
  flick_cdr_encode_signed32(12, _data->g.d);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed16(0, _data->c);
  flick_cdr_decode_char8(2, _data->d);
  flick_cdr_decode_unsigned8(3, _data->e.c);
  flick_cdr_decode_signed32(4, _data->e.d);
  flick_cdr_decode_signed16(8, _data->f);
  flick_cdr_decode_unsigned8(10, _data->g.c);
  flick_cdr_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_b_swap(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed16(0, _data->c);
  flick_cdr_swap_decode_char8(2, _data->d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.d);
  flick_cdr_swap_decode_signed16(8, _data->f);
  flick_cdr_swap_decode_unsigned8(10, _data->g.c);
  flick_cdr_swap_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_q_swap(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->a.b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz_swap(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b.a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b.a.b);
  flick_cdr_encode_signed16(8, _data->z.a);
  flick_cdr_encode_float64(16, _data->z.b);
  flick_iiop_encode_end_chunk(24);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b.a.b);
  flick_cdr_decode_signed16(8, _data->z.a);
  flick_cdr_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_a_z_swap(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b.a.b);
  flick_cdr_swap_decode_signed16(8, _data->z.a);
  flick_cdr_swap_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(100);
  flick_iiop_encode_new_chunk(18);
  flick_cdr_encode_signed16(0, _data->e.c);
  flick_cdr_encode_char8(2, _data->e.d);
  flick_cdr_encode_unsigned8(3, _data->e.e.c);
  flick_cdr_encode_signed32(4, _data->e.e.d);
  flick_cdr_encode_signed16(8, _data->e.f);
  flick_cdr_encode_unsigned8(10, _data->e.g.c);
  flick_cdr_encode_signed32(12, _data->e.g.d);
  flick_cdr_encode_signed16(16, _data->h.a);
  flick_iiop_encode_end_chunk(18);
  flick_iiop_encode_new_chunk_align(76, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->h.b);
  flick_cdr_encode_signed16(8, _data->j.b.a.a);
  flick_cdr_encode_float64(16, _data->j.b.a.b);
  flick_cdr_encode_signed16(24, _data->j.z.a);
  flick_cdr_encode_float64(32, _data->j.z.b);
  flick_cdr_encode_float32(40, _data->f);
  flick_cdr_encode_signed16(44, _data->g.c);
  flick_cdr_encode_char8(46, _data->g.d);
  flick_cdr_encode_unsigned8(47, _data->g.e.c);
  flick_cdr_encode_signed32(48, _data->g.e.d);
  flick_cdr_encode_signed16(52, _data->g.f);
  flick_cdr_encode_unsigned8(54, _data->g.g.c);
  flick_cdr_encode_signed32(56, _data->g.g.d);
  flick_cdr_encode_signed16(60, _data->i.a);
  flick_cdr_encode_float64(68, _data->i.b);
  flick_iiop_encode_end_chunk(76);
  flick_iiop_encode_end_glob(100);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(100);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_decode_signed16(0, _data->e.c);
  flick_cdr_decode_char8(2, _data->e.d);
  flick_cdr_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_decode_signed32(4, _data->e.e.d);
  flick_cdr_decode_signed16(8, _data->e.f);
  flick_cdr_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_decode_signed32(12, _data->e.g.d);
  flick_cdr_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(76, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->h.b);
  flick_cdr_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_decode_float64(16, _data->j.b.a.b);
  flick_cdr_decode_signed16(24, _data->j.z.a);
  flick_cdr_decode_float64(32, _data->j.z.b);
  flick_cdr_decode_float32(40, _data->f);
  flick_cdr_decode_signed16(44, _data->g.c);
  flick_cdr_decode_char8(46, _data->g.d);
  flick_cdr_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_decode_signed32(48, _data->g.e.d);
  flick_cdr_decode_signed16(52, _data->g.f);
  flick_cdr_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_decode_signed32(56, _data->g.g.d);
  flick_cdr_decode_signed16(60, _data->i.a);
  flick_cdr_decode_float64(68, _data->i.b);
  flick_iiop_decode_end_chunk(76);
  flick_iiop_decode_end_glob(100);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(100);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_swap_decode_signed16(0, _data->e.c);
  flick_cdr_swap_decode_char8(2, _data->e.d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.e.d);
  flick_cdr_swap_decode_signed16(8, _data->e.f);
  flick_cdr_swap_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_swap_decode_signed32(12, _data->e.g.d);
  flick_cdr_swap_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(76, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->h.b);
  flick_cdr_swap_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_swap_decode_float64(16, _data->j.b.a.b);
  flick_cdr_swap_decode_signed16(24, _data->j.z.a);
  flick_cdr_swap_decode_float64(32, _data->j.z.b);
  flick_cdr_swap_decode_float32(40, _data->f);
  flick_cdr_swap_decode_signed16(44, _data->g.c);
  flick_cdr_swap_decode_char8(46, _data->g.d);
  flick_cdr_swap_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_swap_decode_signed32(48, _data->g.e.d);
  flick_cdr_swap_decode_signed16(52, _data->g.f);
  flick_cdr_swap_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_swap_decode_signed32(56, _data->g.g.d);
  flick_cdr_swap_decode_signed16(60, _data->i.a);
  flick_cdr_swap_decode_float64(68, _data->i.b);
  flick_iiop_decode_end_chunk(76);
  flick_iiop_decode_end_glob(100);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(17);
  flick_iiop_encode_new_chunk(17);
  flick_cdr_encode_signed16(0, _data->c.c);
  flick_cdr_encode_char8(2, _data->c.d);
  flick_cdr_encode_unsigned8(3, _data->c.e.c);
  flick_cdr_encode_signed32(4, _data->c.e.d);
  flick_cdr_encode_signed16(8, _data->c.f);
  flick_cdr_encode_unsigned8(10, _data->c.g.c);
  flick_cdr_encode_signed32(12, _data->c.g.d);
  flick_cdr_encode_char8(16, _data->d);
  flick_iiop_encode_end_chunk(17);
  flick_iiop_encode_end_glob(17);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_decode_signed16(0, _data->c.c);
  flick_cdr_decode_char8(2, _data->c.d);
  flick_cdr_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_decode_signed32(4, _data->c.e.d);
  flick_cdr_decode_signed16(8, _data->c.f);
  flick_cdr_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_decode_signed32(12, _data->c.g.d);
  flick_cdr_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_swap_decode_signed16(0, _data->c.c);
  flick_cdr_swap_decode_char8(2, _data->c.d);
  flick_cdr_swap_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_swap_decode_signed32(4, _data->c.e.d);
  flick_cdr_swap_decode_signed16(8, _data->c.f);
  flick_cdr_swap_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_swap_decode_signed32(12, _data->c.g.d);
  flick_cdr_swap_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_iiop_decode_new_glob(116);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t36_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t37_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t37_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t37_switch_tag)
            {
            case 'C':
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t38_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t38_switch_tag)
                  {
                  case 'o':
                    {
                      char _t39_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t39_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t39_switch_tag)
                        {
                        case 'p':
                          {
                            char _t40_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t40_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t40_switch_tag)
                              {
                              case 'y':
                                {
                                  char _t41_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t41_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t41_switch_tag)
                                    {
                                    case 'A':
                                      {
                                        char _t42_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t42_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t42_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t43_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t43_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t43_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t44_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t44_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t44_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            struct a *_local_s1;
                                                            CORBA_Environment *_ev;
                                                            struct b _return;
                                                            CORBA_Environment _t45_storage;
                                                            unsigned int _t46_principal;
                                                            struct a _t47_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t45_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(22);
                                                            flick_cdr_swap_decode_unsigned32(0, _t46_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _local_s1 = &_t47_storage;
                                                            flick_cdr_swap_decode_signed16(4, _local_s1->e.c);
                                                            flick_cdr_swap_decode_char8(6, _local_s1->e.d);
                                                            flick_cdr_swap_decode_unsigned8(7, _local_s1->e.e.c);
                                                            flick_cdr_swap_decode_signed32(8, _local_s1->e.e.d);
                                                            flick_cdr_swap_decode_signed16(12, _local_s1->e.f);
                                                            flick_cdr_swap_decode_unsigned8(14, _local_s1->e.g.c);
                                                            flick_cdr_swap_decode_signed32(16, _local_s1->e.g.d);
                                                            flick_cdr_swap_decode_signed16(20, _local_s1->h.a);
                                                            flick_iiop_decode_end_chunk(22);
                                                            flick_iiop_decode_new_chunk_align(76, 3, 2, 2);
                                                            flick_cdr_swap_decode_float64(0, _local_s1->h.b);
                                                            flick_cdr_swap_decode_signed16(8, _local_s1->j.b.a.a);
                                                            flick_cdr_swap_decode_float64(16, _local_s1->j.b.a.b);
                                                            flick_cdr_swap_decode_signed16(24, _local_s1->j.z.a);
                                                            flick_cdr_swap_decode_float64(32, _local_s1->j.z.b);
                                                            flick_cdr_swap_decode_float32(40, _local_s1->f);
                                                            flick_cdr_swap_decode_signed16(44, _local_s1->g.c);
                                                            flick_cdr_swap_decode_char8(46, _local_s1->g.d);
                                                            flick_cdr_swap_decode_unsigned8(47, _local_s1->g.e.c);
                                                            flick_cdr_swap_decode_signed32(48, _local_s1->g.e.d);
                                                            flick_cdr_swap_decode_signed16(52, _local_s1->g.f);
                                                            flick_cdr_swap_decode_unsigned8(54, _local_s1->g.g.c);
                                                            flick_cdr_swap_decode_signed32(56, _local_s1->g.g.d);
                                                            flick_cdr_swap_decode_signed16(60, _local_s1->i.a);
                                                            flick_cdr_swap_decode_float64(68, _local_s1->i.b);
                                                            flick_iiop_decode_end_chunk(76);
                                                            flick_iiop_decode_end_glob(116);
                                                            flick_corba_init_environment();
                                                            _return = test_CopyAdd(_obj, _local_s1, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(21);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(17);
                                                                  flick_cdr_encode_signed16(0, _return.c.c);
                                                                  flick_cdr_encode_char8(2, _return.c.d);
                                                                  flick_cdr_encode_unsigned8(3, _return.c.e.c);
                                                                  flick_cdr_encode_signed32(4, _return.c.e.d);
                                                                  flick_cdr_encode_signed16(8, _return.c.f);
                                                                  flick_cdr_encode_unsigned8(10, _return.c.g.c);
                                                                  flick_cdr_encode_signed32(12, _return.c.g.d);
                                                                  flick_cdr_encode_char8(16, _return.d);
                                                                  flick_iiop_encode_end_chunk(17);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(21);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(116);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_iiop_decode_new_glob(116);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t13_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t13_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t13_switch_tag)
            {
            case 'C':
              {
                char _t14_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t14_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t14_switch_tag)
                  {
                  case 'o':
                    {
                      char _t15_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t15_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t15_switch_tag)
                        {
                        case 'p':
                          {
                            char _t16_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t16_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t16_switch_tag)
                              {
                              case 'y':
                                {
                                  char _t17_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t17_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t17_switch_tag)
                                    {
                                    case 'A':
                                      {
                                        char _t18_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t18_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t18_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t19_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t19_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t19_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t20_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t20_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            struct a *_local_s1;
                                                            CORBA_Environment *_ev;
                                                            struct b _return;
                                                            CORBA_Environment _t21_storage;
                                                            unsigned int _t22_principal;
                                                            struct a _t23_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t21_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(22);
                                                            flick_cdr_decode_unsigned32(0, _t22_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _local_s1 = &_t23_storage;
                                                            flick_cdr_decode_signed16(4, _local_s1->e.c);
                                                            flick_cdr_decode_char8(6, _local_s1->e.d);
                                                            flick_cdr_decode_unsigned8(7, _local_s1->e.e.c);
                                                            flick_cdr_decode_signed32(8, _local_s1->e.e.d);
                                                            flick_cdr_decode_signed16(12, _local_s1->e.f);
                                                            flick_cdr_decode_unsigned8(14, _local_s1->e.g.c);
                                                            flick_cdr_decode_signed32(16, _local_s1->e.g.d);
                                                            flick_cdr_decode_signed16(20, _local_s1->h.a);
                                                            flick_iiop_decode_end_chunk(22);
                                                            flick_iiop_decode_new_chunk_align(76, 3, 2, 2);
                                                            flick_cdr_decode_float64(0, _local_s1->h.b);
                                                            flick_cdr_decode_signed16(8, _local_s1->j.b.a.a);
                                                            flick_cdr_decode_float64(16, _local_s1->j.b.a.b);
                                                            flick_cdr_decode_signed16(24, _local_s1->j.z.a);
                                                            flick_cdr_decode_float64(32, _local_s1->j.z.b);
                                                            flick_cdr_decode_float32(40, _local_s1->f);
                                                            flick_cdr_decode_signed16(44, _local_s1->g.c);
                                                            flick_cdr_decode_char8(46, _local_s1->g.d);
                                                            flick_cdr_decode_unsigned8(47, _local_s1->g.e.c);
                                                            flick_cdr_decode_signed32(48, _local_s1->g.e.d);
                                                            flick_cdr_decode_signed16(52, _local_s1->g.f);
                                                            flick_cdr_decode_unsigned8(54, _local_s1->g.g.c);
                                                            flick_cdr_decode_signed32(56, _local_s1->g.g.d);
                                                            flick_cdr_decode_signed16(60, _local_s1->i.a);
                                                            flick_cdr_decode_float64(68, _local_s1->i.b);
                                                            flick_iiop_decode_end_chunk(76);
                                                            flick_iiop_decode_end_glob(116);
                                                            flick_corba_init_environment();
                                                            _return = test_CopyAdd(_obj, _local_s1, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(21);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(17);
                                                                  flick_cdr_encode_signed16(0, _return.c.c);
                                                                  flick_cdr_encode_char8(2, _return.c.d);
                                                                  flick_cdr_encode_unsigned8(3, _return.c.e.c);
                                                                  flick_cdr_encode_signed32(4, _return.c.e.d);
                                                                  flick_cdr_encode_signed16(8, _return.c.f);
                                                                  flick_cdr_encode_unsigned8(10, _return.c.g.c);
                                                                  flick_cdr_encode_signed32(12, _return.c.g.d);
                                                                  flick_cdr_encode_char8(16, _return.d);
                                                                  flick_iiop_encode_end_chunk(17);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(21);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(116);
          break;
        }
      }
  }
  }
  return 0;
}
