#include "sunstat-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &progname_2, "progname_2_instance1");
		CORBA_BOA_obj_is_ready(boa, &progname_2, "progname_2_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->tv_sec);
  flick_cdr_encode_signed32(4, _data->tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->tv_sec);
  flick_cdr_decode_signed32(4, _data->tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->tv_sec);
  flick_cdr_encode_signed32(4, _data->tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->tv_sec);
  flick_cdr_decode_signed32(4, _data->tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, const struct my_stat *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->st_dev);
  _t0_array_length = 3;
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->st_pad1[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad1, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_unsigned32(0, _data->st_ino);
  flick_cdr_encode_unsigned32(4, _data->st_mode);
  flick_cdr_encode_unsigned32(8, _data->st_nlink);
  flick_cdr_encode_signed32(12, _data->st_uid);
  flick_cdr_encode_signed32(16, _data->st_gid);
  flick_cdr_encode_unsigned32(20, _data->st_rdev);
  _t3_array_length = 2;
  flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad2, sizeof(long) * _t3_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_signed32(0, _data->st_size);
  flick_cdr_encode_signed32(4, _data->st_pad3);
  flick_cdr_encode_signed32(8, _data->st_atime.tv_sec);
  flick_cdr_encode_signed32(12, _data->st_atime.tv_nsec);
  flick_cdr_encode_signed32(16, _data->st_mtime.tv_sec);
  flick_cdr_encode_signed32(20, _data->st_mtime.tv_nsec);
  flick_cdr_encode_signed32(24, _data->st_ctime.tv_sec);
  flick_cdr_encode_signed32(28, _data->st_ctime.tv_nsec);
  flick_cdr_encode_signed32(32, _data->st_blksize);
  flick_cdr_encode_signed32(36, _data->st_blocks);
  _t6_array_length = 16;
  flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->st_fstype[_t8_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_fstype, sizeof(char) * _t6_array_length, iiop);
#endif /* alway bcopy */
  _t9_array_length = 8;
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad4, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->st_dev);
  _t12_array_length = 3;
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->st_pad1[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad1, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(24);
  flick_cdr_decode_unsigned32(0, _data->st_ino);
  flick_cdr_decode_unsigned32(4, _data->st_mode);
  flick_cdr_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_decode_signed32(12, _data->st_uid);
  flick_cdr_decode_signed32(16, _data->st_gid);
  flick_cdr_decode_unsigned32(20, _data->st_rdev);
  _t15_array_length = 2;
  flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->st_pad2[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad2, sizeof(long) * _t15_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_signed32(0, _data->st_size);
  flick_cdr_decode_signed32(4, _data->st_pad3);
  flick_cdr_decode_signed32(8, _data->st_atime.tv_sec);
  flick_cdr_decode_signed32(12, _data->st_atime.tv_nsec);
  flick_cdr_decode_signed32(16, _data->st_mtime.tv_sec);
  flick_cdr_decode_signed32(20, _data->st_mtime.tv_nsec);
  flick_cdr_decode_signed32(24, _data->st_ctime.tv_sec);
  flick_cdr_decode_signed32(28, _data->st_ctime.tv_nsec);
  flick_cdr_decode_signed32(32, _data->st_blksize);
  flick_cdr_decode_signed32(36, _data->st_blocks);
  _t18_array_length = 16;
  flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->st_fstype[_t20_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->st_fstype, sizeof(char) * _t18_array_length, iiop);
#endif
  _t21_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->st_pad4[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad4, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_my_stat_swap(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev);
  _t24_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->st_uid);
  flick_cdr_swap_decode_signed32(16, _data->st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev);
  _t27_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t29_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->st_size);
  flick_cdr_swap_decode_signed32(4, _data->st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->st_atime.tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->st_atime.tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->st_blocks);
  _t30_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->st_fstype[_t32_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t33_array_length = 8;
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t35_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(136);
}

void flick_marshal_stub_entry(flick_marshal_stream_t _stream, const struct entry *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_cdr_encode_string(_data->filename, null_flick_free, iiop, 255);
  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev);
  _t36_array_length = 3;
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->info.st_pad1[_t38_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad1, sizeof(long) * _t36_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_unsigned32(0, _data->info.st_ino);
  flick_cdr_encode_unsigned32(4, _data->info.st_mode);
  flick_cdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_encode_signed32(12, _data->info.st_uid);
  flick_cdr_encode_signed32(16, _data->info.st_gid);
  flick_cdr_encode_unsigned32(20, _data->info.st_rdev);
  _t39_array_length = 2;
  flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->info.st_pad2[_t41_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad2, sizeof(long) * _t39_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_signed32(0, _data->info.st_size);
  flick_cdr_encode_signed32(4, _data->info.st_pad3);
  flick_cdr_encode_signed32(8, _data->info.st_atime.tv_sec);
  flick_cdr_encode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_cdr_encode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_cdr_encode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_cdr_encode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_cdr_encode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_cdr_encode_signed32(32, _data->info.st_blksize);
  flick_cdr_encode_signed32(36, _data->info.st_blocks);
  _t42_array_length = 16;
  flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->info.st_fstype[_t44_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_fstype, sizeof(char) * _t42_array_length, iiop);
#endif /* alway bcopy */
  _t45_array_length = 8;
#if 0 /* We never byte swap on encoding */
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->info.st_pad4[_t47_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad4, sizeof(long) * _t45_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;
  flick_unsigned8_t _t54_array_length;
  flick_unsigned8_t _t56_array_iter;
  flick_unsigned8_t _t57_array_length;
  flick_unsigned8_t _t59_array_iter;

  flick_cdr_decode_string(_data->filename, sun_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev);
  _t48_array_length = 3;
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->info.st_pad1[_t50_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad1, sizeof(long) * _t48_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(24);
  flick_cdr_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_decode_signed32(12, _data->info.st_uid);
  flick_cdr_decode_signed32(16, _data->info.st_gid);
  flick_cdr_decode_unsigned32(20, _data->info.st_rdev);
  _t51_array_length = 2;
  flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->info.st_pad2[_t53_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad2, sizeof(long) * _t51_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_signed32(0, _data->info.st_size);
  flick_cdr_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_decode_signed32(8, _data->info.st_atime.tv_sec);
  flick_cdr_decode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_cdr_decode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_cdr_decode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_cdr_decode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_cdr_decode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_cdr_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_decode_signed32(36, _data->info.st_blocks);
  _t54_array_length = 16;
  flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->info.st_fstype[_t56_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_fstype, sizeof(char) * _t54_array_length, iiop);
#endif
  _t57_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->info.st_pad4[_t59_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad4, sizeof(long) * _t57_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_entry_swap(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;
  flick_unsigned8_t _t66_array_length;
  flick_unsigned8_t _t68_array_iter;
  flick_unsigned8_t _t69_array_length;
  flick_unsigned8_t _t71_array_iter;

  flick_cdr_swap_decode_string(_data->filename, sun_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev);
  _t60_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t62_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid);
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev);
  _t63_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t65_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size);
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks);
  _t66_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t68_array_iter = 0; _t68_array_iter < _t66_array_length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->info.st_fstype[_t68_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t69_array_length = 8;
  for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t71_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(136);
}

void flick_marshal_stub_inner(flick_marshal_stream_t _stream, const struct inner *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_inner_swap(flick_marshal_stream_t _stream, struct inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_outer(flick_marshal_stream_t _stream, const struct outer *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_outer_swap(flick_marshal_stream_t _stream, struct outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_directory(flick_marshal_stream_t _stream, const directory *_data)
{
  unsigned long int _t97_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->directory_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t97_array_iter = 0; _t97_array_iter < _data->directory_len; _t97_array_iter++)
    {
      flick_unsigned8_t _t110_array_length;
      flick_unsigned8_t _t112_array_iter;
      flick_unsigned8_t _t113_array_length;
      flick_unsigned8_t _t115_array_iter;
      flick_unsigned8_t _t116_array_length;
      flick_unsigned8_t _t118_array_iter;
      flick_unsigned8_t _t119_array_length;
      flick_unsigned8_t _t121_array_iter;

      flick_cdr_encode_string(_data->directory_val[_t97_array_iter].filename, null_flick_free, iiop, 255);
      flick_iiop_encode_new_glob(136);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->directory_val[_t97_array_iter].info.st_dev);
      _t110_array_length = 3;
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t112_array_iter = 0; _t112_array_iter < _t110_array_length; _t112_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->directory_val[_t97_array_iter].info.st_pad1[_t112_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->directory_val[_t97_array_iter].info.st_pad1, sizeof(long) * _t110_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, _data->directory_val[_t97_array_iter].info.st_ino);
      flick_cdr_encode_unsigned32(4, _data->directory_val[_t97_array_iter].info.st_mode);
      flick_cdr_encode_unsigned32(8, _data->directory_val[_t97_array_iter].info.st_nlink);
      flick_cdr_encode_signed32(12, _data->directory_val[_t97_array_iter].info.st_uid);
      flick_cdr_encode_signed32(16, _data->directory_val[_t97_array_iter].info.st_gid);
      flick_cdr_encode_unsigned32(20, _data->directory_val[_t97_array_iter].info.st_rdev);
      _t113_array_length = 2;
      flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
      for (_t115_array_iter = 0; _t115_array_iter < _t113_array_length; _t115_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->directory_val[_t97_array_iter].info.st_pad2[_t115_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->directory_val[_t97_array_iter].info.st_pad2, sizeof(long) * _t113_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_new_chunk(40);
      flick_cdr_encode_signed32(0, _data->directory_val[_t97_array_iter].info.st_size);
      flick_cdr_encode_signed32(4, _data->directory_val[_t97_array_iter].info.st_pad3);
      flick_cdr_encode_signed32(8, _data->directory_val[_t97_array_iter].info.st_atime.tv_sec);
      flick_cdr_encode_signed32(12, _data->directory_val[_t97_array_iter].info.st_atime.tv_nsec);
      flick_cdr_encode_signed32(16, _data->directory_val[_t97_array_iter].info.st_mtime.tv_sec);
      flick_cdr_encode_signed32(20, _data->directory_val[_t97_array_iter].info.st_mtime.tv_nsec);
      flick_cdr_encode_signed32(24, _data->directory_val[_t97_array_iter].info.st_ctime.tv_sec);
      flick_cdr_encode_signed32(28, _data->directory_val[_t97_array_iter].info.st_ctime.tv_nsec);
      flick_cdr_encode_signed32(32, _data->directory_val[_t97_array_iter].info.st_blksize);
      flick_cdr_encode_signed32(36, _data->directory_val[_t97_array_iter].info.st_blocks);
      _t116_array_length = 16;
      flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
      for (_t118_array_iter = 0; _t118_array_iter < _t116_array_length; _t118_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, _data->directory_val[_t97_array_iter].info.st_fstype[_t118_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->directory_val[_t97_array_iter].info.st_fstype, sizeof(char) * _t116_array_length, iiop);
#endif /* alway bcopy */
      _t119_array_length = 8;
#if 0 /* We never byte swap on encoding */
      for (_t121_array_iter = 0; _t121_array_iter < _t119_array_length; _t121_array_iter++)
        {
          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, _data->directory_val[_t97_array_iter].info.st_pad4[_t121_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->directory_val[_t97_array_iter].info.st_pad4, sizeof(long) * _t119_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_end_glob(136);
    }
}

void flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned long int _t147_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->directory_len);
  _data->directory_val = sun_flick_alloc(_data->directory_len * sizeof(struct entry ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t147_array_iter = 0; _t147_array_iter < _data->directory_len; _t147_array_iter++)
    {
      flick_unsigned8_t _t160_array_length;
      flick_unsigned8_t _t162_array_iter;
      flick_unsigned8_t _t163_array_length;
      flick_unsigned8_t _t165_array_iter;
      flick_unsigned8_t _t166_array_length;
      flick_unsigned8_t _t168_array_iter;
      flick_unsigned8_t _t169_array_length;
      flick_unsigned8_t _t171_array_iter;

      flick_cdr_decode_string(_data->directory_val[_t147_array_iter].filename, sun_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->directory_val[_t147_array_iter].info.st_dev);
      _t160_array_length = 3;
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t162_array_iter = 0; _t162_array_iter < _t160_array_length; _t162_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->directory_val[_t147_array_iter].info.st_pad1[_t162_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->directory_val[_t147_array_iter].info.st_pad1, sizeof(long) * _t160_array_length, iiop);
#endif
      flick_iiop_decode_new_chunk(24);
      flick_cdr_decode_unsigned32(0, _data->directory_val[_t147_array_iter].info.st_ino);
      flick_cdr_decode_unsigned32(4, _data->directory_val[_t147_array_iter].info.st_mode);
      flick_cdr_decode_unsigned32(8, _data->directory_val[_t147_array_iter].info.st_nlink);
      flick_cdr_decode_signed32(12, _data->directory_val[_t147_array_iter].info.st_uid);
      flick_cdr_decode_signed32(16, _data->directory_val[_t147_array_iter].info.st_gid);
      flick_cdr_decode_unsigned32(20, _data->directory_val[_t147_array_iter].info.st_rdev);
      _t163_array_length = 2;
      flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t165_array_iter = 0; _t165_array_iter < _t163_array_length; _t165_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->directory_val[_t147_array_iter].info.st_pad2[_t165_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->directory_val[_t147_array_iter].info.st_pad2, sizeof(long) * _t163_array_length, iiop);
#endif
      flick_iiop_decode_new_chunk(40);
      flick_cdr_decode_signed32(0, _data->directory_val[_t147_array_iter].info.st_size);
      flick_cdr_decode_signed32(4, _data->directory_val[_t147_array_iter].info.st_pad3);
      flick_cdr_decode_signed32(8, _data->directory_val[_t147_array_iter].info.st_atime.tv_sec);
      flick_cdr_decode_signed32(12, _data->directory_val[_t147_array_iter].info.st_atime.tv_nsec);
      flick_cdr_decode_signed32(16, _data->directory_val[_t147_array_iter].info.st_mtime.tv_sec);
      flick_cdr_decode_signed32(20, _data->directory_val[_t147_array_iter].info.st_mtime.tv_nsec);
      flick_cdr_decode_signed32(24, _data->directory_val[_t147_array_iter].info.st_ctime.tv_sec);
      flick_cdr_decode_signed32(28, _data->directory_val[_t147_array_iter].info.st_ctime.tv_nsec);
      flick_cdr_decode_signed32(32, _data->directory_val[_t147_array_iter].info.st_blksize);
      flick_cdr_decode_signed32(36, _data->directory_val[_t147_array_iter].info.st_blocks);
      _t166_array_length = 16;
      flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t168_array_iter = 0; _t168_array_iter < _t166_array_length; _t168_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _data->directory_val[_t147_array_iter].info.st_fstype[_t168_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->directory_val[_t147_array_iter].info.st_fstype, sizeof(char) * _t166_array_length, iiop);
#endif
      _t169_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t171_array_iter = 0; _t171_array_iter < _t169_array_length; _t171_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_decode_signed32(0, _data->directory_val[_t147_array_iter].info.st_pad4[_t171_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->directory_val[_t147_array_iter].info.st_pad4, sizeof(long) * _t169_array_length, iiop);
#endif
      flick_iiop_decode_end_glob(136);
    }
}

void flick_unmarshal_stub_directory_swap(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned long int _t197_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->directory_len);
  _data->directory_val = sun_flick_alloc(_data->directory_len * sizeof(struct entry ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t197_array_iter = 0; _t197_array_iter < _data->directory_len; _t197_array_iter++)
    {
      flick_unsigned8_t _t210_array_length;
      flick_unsigned8_t _t212_array_iter;
      flick_unsigned8_t _t213_array_length;
      flick_unsigned8_t _t215_array_iter;
      flick_unsigned8_t _t216_array_length;
      flick_unsigned8_t _t218_array_iter;
      flick_unsigned8_t _t219_array_length;
      flick_unsigned8_t _t221_array_iter;

      flick_cdr_swap_decode_string(_data->directory_val[_t197_array_iter].filename, sun_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->directory_val[_t197_array_iter].info.st_dev);
      _t210_array_length = 3;
      flick_iiop_decode_end_chunk(4);
      for (_t212_array_iter = 0; _t212_array_iter < _t210_array_length; _t212_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t197_array_iter].info.st_pad1[_t212_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->directory_val[_t197_array_iter].info.st_ino);
      flick_cdr_swap_decode_unsigned32(4, _data->directory_val[_t197_array_iter].info.st_mode);
      flick_cdr_swap_decode_unsigned32(8, _data->directory_val[_t197_array_iter].info.st_nlink);
      flick_cdr_swap_decode_signed32(12, _data->directory_val[_t197_array_iter].info.st_uid);
      flick_cdr_swap_decode_signed32(16, _data->directory_val[_t197_array_iter].info.st_gid);
      flick_cdr_swap_decode_unsigned32(20, _data->directory_val[_t197_array_iter].info.st_rdev);
      _t213_array_length = 2;
      flick_iiop_decode_end_chunk(24);
      for (_t215_array_iter = 0; _t215_array_iter < _t213_array_length; _t215_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t197_array_iter].info.st_pad2[_t215_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(40);
      flick_cdr_swap_decode_signed32(0, _data->directory_val[_t197_array_iter].info.st_size);
      flick_cdr_swap_decode_signed32(4, _data->directory_val[_t197_array_iter].info.st_pad3);
      flick_cdr_swap_decode_signed32(8, _data->directory_val[_t197_array_iter].info.st_atime.tv_sec);
      flick_cdr_swap_decode_signed32(12, _data->directory_val[_t197_array_iter].info.st_atime.tv_nsec);
      flick_cdr_swap_decode_signed32(16, _data->directory_val[_t197_array_iter].info.st_mtime.tv_sec);
      flick_cdr_swap_decode_signed32(20, _data->directory_val[_t197_array_iter].info.st_mtime.tv_nsec);
      flick_cdr_swap_decode_signed32(24, _data->directory_val[_t197_array_iter].info.st_ctime.tv_sec);
      flick_cdr_swap_decode_signed32(28, _data->directory_val[_t197_array_iter].info.st_ctime.tv_nsec);
      flick_cdr_swap_decode_signed32(32, _data->directory_val[_t197_array_iter].info.st_blksize);
      flick_cdr_swap_decode_signed32(36, _data->directory_val[_t197_array_iter].info.st_blocks);
      _t216_array_length = 16;
      flick_iiop_decode_end_chunk(40);
      for (_t218_array_iter = 0; _t218_array_iter < _t216_array_length; _t218_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->directory_val[_t197_array_iter].info.st_fstype[_t218_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      _t219_array_length = 8;
      for (_t221_array_iter = 0; _t221_array_iter < _t219_array_length; _t221_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t197_array_iter].info.st_pad4[_t221_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_end_glob(136);
    }
}

void flick_marshal_stub_longlist(flick_marshal_stream_t _stream, const longlist *_data)
{
  unsigned long int _t223_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->longlist_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->longlist_len);
#if 0 /* We never byte swap on encoding */
  for (_t223_array_iter = 0; _t223_array_iter < _data->longlist_len; _t223_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->longlist_val[_t223_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->longlist_val, sizeof(long) * _data->longlist_len, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _data->longlist_len);
}

void flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
  unsigned long int _t225_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->longlist_len);
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->longlist_len);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t225_array_iter = 0; _t225_array_iter < _data->longlist_len; _t225_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->longlist_val[_t225_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->longlist_val, sizeof(long) * _data->longlist_len, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _data->longlist_len);
}

void flick_unmarshal_stub_longlist_swap(flick_marshal_stream_t _stream, longlist *_data)
{
  unsigned long int _t227_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->longlist_len);
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->longlist_len);
  for (_t227_array_iter = 0; _t227_array_iter < _data->longlist_len; _t227_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->longlist_val[_t227_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->longlist_len);
}

void flick_marshal_stub_structlist(flick_marshal_stream_t _stream, const structlist *_data)
{
  unsigned long int _t229_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->structlist_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->structlist_len);
  for (_t229_array_iter = 0; _t229_array_iter < _data->structlist_len; _t229_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->structlist_val[_t229_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->structlist_val[_t229_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->structlist_val[_t229_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->structlist_val[_t229_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  flick_iiop_encode_end_glob(16 * _data->structlist_len);
}

void flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned long int _t231_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->structlist_len);
  _data->structlist_val = sun_flick_alloc(_data->structlist_len * sizeof(struct outer ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->structlist_len);
  for (_t231_array_iter = 0; _t231_array_iter < _data->structlist_len; _t231_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->structlist_val[_t231_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->structlist_val[_t231_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->structlist_val[_t231_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->structlist_val[_t231_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->structlist_len);
}

void flick_unmarshal_stub_structlist_swap(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned long int _t233_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->structlist_len);
  _data->structlist_val = sun_flick_alloc(_data->structlist_len * sizeof(struct outer ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->structlist_len);
  for (_t233_array_iter = 0; _t233_array_iter < _data->structlist_len; _t233_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->structlist_val[_t233_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->structlist_val[_t233_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->structlist_val[_t233_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->structlist_val[_t233_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->structlist_len);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t417_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t417_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t417_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t418_principal;
            directory _t419_storage;
            unsigned long int _t445_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t418_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t419_storage;
            flick_cdr_swap_decode_unsigned32(4, _local_arg->directory_len);
            _local_arg->directory_val = auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            for (_t445_array_iter = 0; _t445_array_iter < _local_arg->directory_len; _t445_array_iter++)
              {
                flick_unsigned8_t _t458_array_length;
                flick_unsigned8_t _t460_array_iter;
                flick_unsigned8_t _t461_array_length;
                flick_unsigned8_t _t463_array_iter;
                flick_unsigned8_t _t464_array_length;
                flick_unsigned8_t _t466_array_iter;
                flick_unsigned8_t _t467_array_length;
                flick_unsigned8_t _t469_array_iter;

                flick_cdr_swap_decode_auto_string(_local_arg->directory_val[_t445_array_iter].filename, auto_flick_alloc, iiop);
                flick_iiop_decode_new_glob(136);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t445_array_iter].info.st_dev);
                _t458_array_length = 3;
                flick_iiop_decode_end_chunk(4);
                for (_t460_array_iter = 0; _t460_array_iter < _t458_array_length; _t460_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t445_array_iter].info.st_pad1[_t460_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
                flick_iiop_decode_new_chunk(24);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t445_array_iter].info.st_ino);
                flick_cdr_swap_decode_unsigned32(4, _local_arg->directory_val[_t445_array_iter].info.st_mode);
                flick_cdr_swap_decode_unsigned32(8, _local_arg->directory_val[_t445_array_iter].info.st_nlink);
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t445_array_iter].info.st_uid);
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t445_array_iter].info.st_gid);
                flick_cdr_swap_decode_unsigned32(20, _local_arg->directory_val[_t445_array_iter].info.st_rdev);
                _t461_array_length = 2;
                flick_iiop_decode_end_chunk(24);
                for (_t463_array_iter = 0; _t463_array_iter < _t461_array_length; _t463_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t445_array_iter].info.st_pad2[_t463_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
                flick_iiop_decode_new_chunk(40);
                flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t445_array_iter].info.st_size);
                flick_cdr_swap_decode_signed32(4, _local_arg->directory_val[_t445_array_iter].info.st_pad3);
                flick_cdr_swap_decode_signed32(8, _local_arg->directory_val[_t445_array_iter].info.st_atime.tv_sec);
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t445_array_iter].info.st_atime.tv_nsec);
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t445_array_iter].info.st_mtime.tv_sec);
                flick_cdr_swap_decode_signed32(20, _local_arg->directory_val[_t445_array_iter].info.st_mtime.tv_nsec);
                flick_cdr_swap_decode_signed32(24, _local_arg->directory_val[_t445_array_iter].info.st_ctime.tv_sec);
                flick_cdr_swap_decode_signed32(28, _local_arg->directory_val[_t445_array_iter].info.st_ctime.tv_nsec);
                flick_cdr_swap_decode_signed32(32, _local_arg->directory_val[_t445_array_iter].info.st_blksize);
                flick_cdr_swap_decode_signed32(36, _local_arg->directory_val[_t445_array_iter].info.st_blocks);
                _t464_array_length = 16;
                flick_iiop_decode_end_chunk(40);
                for (_t466_array_iter = 0; _t466_array_iter < _t464_array_length; _t466_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _local_arg->directory_val[_t445_array_iter].info.st_fstype[_t466_array_iter]);
                    flick_iiop_decode_end_chunk(1);
                  }
                _t467_array_length = 8;
                for (_t469_array_iter = 0; _t469_array_iter < _t467_array_length; _t469_array_iter++)
                  {
                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t445_array_iter].info.st_pad4[_t469_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
                flick_iiop_decode_end_glob(136);
              }
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t470_principal;
            longlist _t471_storage;
            unsigned long int _t473_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t470_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t471_storage;
            flick_cdr_swap_decode_unsigned32(4, _local_arg->longlist_len);
            _local_arg->longlist_val = auto_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(4 * _local_arg->longlist_len);
            for (_t473_array_iter = 0; _t473_array_iter < _local_arg->longlist_len; _t473_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->longlist_val[_t473_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _local_arg->longlist_len);
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t474_principal;
            structlist _t475_storage;
            unsigned long int _t477_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t474_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t475_storage;
            flick_cdr_swap_decode_unsigned32(4, _local_arg->structlist_len);
            _local_arg->structlist_val = auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(16 * _local_arg->structlist_len);
            for (_t477_array_iter = 0; _t477_array_iter < _local_arg->structlist_len; _t477_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->structlist_val[_t477_array_iter].a.a);
                flick_cdr_swap_decode_signed32(4, _local_arg->structlist_val[_t477_array_iter].a.b);
                flick_cdr_swap_decode_signed32(8, _local_arg->structlist_val[_t477_array_iter].b.a);
                flick_cdr_swap_decode_signed32(12, _local_arg->structlist_val[_t477_array_iter].b.b);
                flick_iiop_decode_end_chunk(16);
              }
            flick_iiop_decode_end_glob(16 * _local_arg->structlist_len);
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    signed int _t295_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t295_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t295_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t296_principal;
            directory _t297_storage;
            unsigned long int _t323_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t296_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t297_storage;
            flick_cdr_decode_unsigned32(4, _local_arg->directory_len);
            _local_arg->directory_val = auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            for (_t323_array_iter = 0; _t323_array_iter < _local_arg->directory_len; _t323_array_iter++)
              {
                flick_unsigned8_t _t336_array_length;
                flick_unsigned8_t _t338_array_iter;
                flick_unsigned8_t _t339_array_length;
                flick_unsigned8_t _t341_array_iter;
                flick_unsigned8_t _t342_array_length;
                flick_unsigned8_t _t344_array_iter;
                flick_unsigned8_t _t345_array_length;
                flick_unsigned8_t _t347_array_iter;

                flick_cdr_decode_auto_string(_local_arg->directory_val[_t323_array_iter].filename, auto_flick_alloc, iiop);
                flick_iiop_decode_new_glob(136);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_unsigned32(0, _local_arg->directory_val[_t323_array_iter].info.st_dev);
                _t336_array_length = 3;
                flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                for (_t338_array_iter = 0; _t338_array_iter < _t336_array_length; _t338_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, _local_arg->directory_val[_t323_array_iter].info.st_pad1[_t338_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
#else
                flick_cdr_decode_bcopy(_local_arg->directory_val[_t323_array_iter].info.st_pad1, sizeof(long) * _t336_array_length, iiop);
#endif
                flick_iiop_decode_new_chunk(24);
                flick_cdr_decode_unsigned32(0, _local_arg->directory_val[_t323_array_iter].info.st_ino);
                flick_cdr_decode_unsigned32(4, _local_arg->directory_val[_t323_array_iter].info.st_mode);
                flick_cdr_decode_unsigned32(8, _local_arg->directory_val[_t323_array_iter].info.st_nlink);
                flick_cdr_decode_signed32(12, _local_arg->directory_val[_t323_array_iter].info.st_uid);
                flick_cdr_decode_signed32(16, _local_arg->directory_val[_t323_array_iter].info.st_gid);
                flick_cdr_decode_unsigned32(20, _local_arg->directory_val[_t323_array_iter].info.st_rdev);
                _t339_array_length = 2;
                flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
                for (_t341_array_iter = 0; _t341_array_iter < _t339_array_length; _t341_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, _local_arg->directory_val[_t323_array_iter].info.st_pad2[_t341_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
#else
                flick_cdr_decode_bcopy(_local_arg->directory_val[_t323_array_iter].info.st_pad2, sizeof(long) * _t339_array_length, iiop);
#endif
                flick_iiop_decode_new_chunk(40);
                flick_cdr_decode_signed32(0, _local_arg->directory_val[_t323_array_iter].info.st_size);
                flick_cdr_decode_signed32(4, _local_arg->directory_val[_t323_array_iter].info.st_pad3);
                flick_cdr_decode_signed32(8, _local_arg->directory_val[_t323_array_iter].info.st_atime.tv_sec);
                flick_cdr_decode_signed32(12, _local_arg->directory_val[_t323_array_iter].info.st_atime.tv_nsec);
                flick_cdr_decode_signed32(16, _local_arg->directory_val[_t323_array_iter].info.st_mtime.tv_sec);
                flick_cdr_decode_signed32(20, _local_arg->directory_val[_t323_array_iter].info.st_mtime.tv_nsec);
                flick_cdr_decode_signed32(24, _local_arg->directory_val[_t323_array_iter].info.st_ctime.tv_sec);
                flick_cdr_decode_signed32(28, _local_arg->directory_val[_t323_array_iter].info.st_ctime.tv_nsec);
                flick_cdr_decode_signed32(32, _local_arg->directory_val[_t323_array_iter].info.st_blksize);
                flick_cdr_decode_signed32(36, _local_arg->directory_val[_t323_array_iter].info.st_blocks);
                _t342_array_length = 16;
                flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
                for (_t344_array_iter = 0; _t344_array_iter < _t342_array_length; _t344_array_iter++)
                  {
                    flick_iiop_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _local_arg->directory_val[_t323_array_iter].info.st_fstype[_t344_array_iter]);
                    flick_iiop_decode_end_chunk(1);
                  }
#else
                flick_cdr_decode_bcopy(_local_arg->directory_val[_t323_array_iter].info.st_fstype, sizeof(char) * _t342_array_length, iiop);
#endif
                _t345_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
                for (_t347_array_iter = 0; _t347_array_iter < _t345_array_length; _t347_array_iter++)
                  {
                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_decode_signed32(0, _local_arg->directory_val[_t323_array_iter].info.st_pad4[_t347_array_iter]);
                    flick_iiop_decode_end_chunk(4);
                  }
#else
                flick_cdr_decode_bcopy(_local_arg->directory_val[_t323_array_iter].info.st_pad4, sizeof(long) * _t345_array_length, iiop);
#endif
                flick_iiop_decode_end_glob(136);
              }
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t348_principal;
            longlist _t349_storage;
            unsigned long int _t351_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t348_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t349_storage;
            flick_cdr_decode_unsigned32(4, _local_arg->longlist_len);
            _local_arg->longlist_val = auto_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(4 * _local_arg->longlist_len);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t351_array_iter = 0; _t351_array_iter < _local_arg->longlist_len; _t351_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, _local_arg->longlist_val[_t351_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_local_arg->longlist_val, sizeof(long) * _local_arg->longlist_len, iiop);
#endif
            flick_iiop_decode_end_glob(4 * _local_arg->longlist_len);
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t352_principal;
            structlist _t353_storage;
            unsigned long int _t355_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t352_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t353_storage;
            flick_cdr_decode_unsigned32(4, _local_arg->structlist_len);
            _local_arg->structlist_val = auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(16 * _local_arg->structlist_len);
            for (_t355_array_iter = 0; _t355_array_iter < _local_arg->structlist_len; _t355_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->structlist_val[_t355_array_iter].a.a);
                flick_cdr_decode_signed32(4, _local_arg->structlist_val[_t355_array_iter].a.b);
                flick_cdr_decode_signed32(8, _local_arg->structlist_val[_t355_array_iter].b.a);
                flick_cdr_decode_signed32(12, _local_arg->structlist_val[_t355_array_iter].b.b);
                flick_iiop_decode_end_chunk(16);
              }
            flick_iiop_decode_end_glob(16 * _local_arg->structlist_len);
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return 0;
}
