#include "union-2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance1");
		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.one);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.two);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_float32(0, _data->foo_u.four);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.one);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.two);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_float32(0, _data->foo_u.four);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.one);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.two);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_float32(0, _data->foo_u.four);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t9_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t10_principal;
            struct foo _t11_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t10_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t11_storage;
            flick_cdr_swap_decode_signed32(4, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(8);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.two);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_float32(0, _local_arg->foo_u.four);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return->foo_u.one);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return->foo_u.two);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 3:
                      {
                        break;
                      }
                    case 4:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return->foo_u.four);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 5:
                      {
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    signed int _t3_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t4_principal;
            struct foo _t5_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t4_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t5_storage;
            flick_cdr_decode_signed32(4, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(8);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.one);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.two);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_float32(0, _local_arg->foo_u.four);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(16);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return->foo_u.one);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return->foo_u.two);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 3:
                      {
                        break;
                      }
                    case 4:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return->foo_u.four);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case 5:
                      {
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(12);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return 0;
}
