#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->slot_1);
  flick_cdr_encode_signed32(4, _data->slot_2);
  flick_cdr_encode_signed32(8, _data->slot_3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->slot_1);
  flick_cdr_decode_signed32(4, _data->slot_2);
  flick_cdr_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->slot_1);
  flick_cdr_swap_decode_signed32(4, _data->slot_2);
  flick_cdr_swap_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(408);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t3_array_iter;

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->foo_u.one.foo_u_len);
        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.foo_u_len; _t3_array_iter++)
          {
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->foo_u.one.foo_u_val[_t3_array_iter]);
            flick_iiop_encode_end_chunk(4);
          }
#else /* Always bcopy */
        flick_cdr_encode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, iiop);
#endif /* alway bcopy */
        flick_iiop_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_encode_end_glob(408);
        flick_cdr_encode_longstring(_data->foo_u.two, null_flick_free, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(12);
        flick_cdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_encode_end_chunk(12);
        flick_iiop_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t7_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
        for (_t7_array_iter = 0; _t7_array_iter < _data->foo_u.one.foo_u_len; _t7_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->foo_u.one.foo_u_val[_t7_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
#else
        flick_cdr_decode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, iiop);
#endif
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t11_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_iiop_decode_end_chunk(4);
        for (_t11_array_iter = 0; _t11_array_iter < _data->foo_u.one.foo_u_len; _t11_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->foo_u.one.foo_u_val[_t11_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_swap_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_swap_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_swap_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct foo *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(416);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->discriminator);
    flick_iiop_encode_end_chunk(12);
    switch (arg->discriminator)
      {
      case 1:
        {
          unsigned long int _t19_array_iter;

          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_unsigned32(0, arg->foo_u.one.foo_u_len);
          flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
          for (_t19_array_iter = 0; _t19_array_iter < arg->foo_u.one.foo_u_len; _t19_array_iter++)
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, arg->foo_u.one.foo_u_val[_t19_array_iter]);
              flick_iiop_encode_end_chunk(4);
            }
#else /* Always bcopy */
          flick_cdr_encode_bcopy(arg->foo_u.one.foo_u_val, sizeof(long) * arg->foo_u.one.foo_u_len, iiop);
#endif /* alway bcopy */
          flick_iiop_encode_end_glob(416);
          break;
        }
      case 2:
        {
          flick_iiop_encode_end_glob(416);
          flick_cdr_encode_longstring(arg->foo_u.two, null_flick_free, iiop);
          break;
        }
      case 3:
        {
          flick_iiop_encode_new_chunk(12);
          flick_cdr_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_cdr_encode_signed32(4, arg->foo_u.three.slot_2);
          flick_cdr_encode_signed32(8, arg->foo_u.three.slot_3);
          flick_iiop_encode_end_chunk(12);
          flick_iiop_encode_end_glob(416);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
          flick_iiop_encode_end_glob(416);
          break;
        }
      }
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(412);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t35_storage;

            _return = &_t35_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  unsigned long int _t39_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _return->foo_u.one.foo_u_len);
                  _return->foo_u.one.foo_u_val = sun_flick_alloc(_return->foo_u.one.foo_u_len * sizeof(int ));
                  flick_iiop_decode_end_chunk(4);
                  for (_t39_array_iter = 0; _t39_array_iter < _return->foo_u.one.foo_u_len; _t39_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _return->foo_u.one.foo_u_val[_t39_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(412);
                  flick_cdr_swap_decode_longstring(_return->foo_u.two, sun_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _return->foo_u.three.slot_1);
                  flick_cdr_swap_decode_signed32(4, _return->foo_u.three.slot_2);
                  flick_cdr_swap_decode_signed32(8, _return->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            flick_iiop_decode_end_glob(412);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(412);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(412);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t25_storage;

            _return = &_t25_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  unsigned long int _t29_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _return->foo_u.one.foo_u_len);
                  _return->foo_u.one.foo_u_val = sun_flick_alloc(_return->foo_u.one.foo_u_len * sizeof(int ));
                  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                  for (_t29_array_iter = 0; _t29_array_iter < _return->foo_u.one.foo_u_len; _t29_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_signed32(0, _return->foo_u.one.foo_u_val[_t29_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
#else
                  flick_cdr_decode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, iiop);
#endif
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(412);
                  flick_cdr_decode_longstring(_return->foo_u.two, sun_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _return->foo_u.three.slot_1);
                  flick_cdr_decode_signed32(4, _return->foo_u.three.slot_2);
                  flick_cdr_decode_signed32(8, _return->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(412);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            flick_iiop_decode_end_glob(412);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(412);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

