#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->elem1);
  flick_mach3mig_encode_char8(8, _data->elem2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->elem1);
  flick_mach3mig_decode_char8(8, _data->elem2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_char8(0, _data->elem1);
  flick_mach3mig_encode_signed32(8, _data->elem2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_char8(0, _data->elem1);
  flick_mach3mig_decode_signed32(8, _data->elem2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_mach3mig_encode_new_glob(228);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_mach3mig_array_encode_signed32_type(8, _t0_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->data, sizeof(long) * _t0_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float64(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(228);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_mach3mig_decode_new_glob(228);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(8, _t3_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->data, sizeof(long) * _t3_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float64(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(228);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_mach3mig_encode_new_glob(228);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_float64(0, _data->first);
  _t6_array_length = 50;
  flick_mach3mig_array_encode_signed32_type(8, _t6_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->data[_t8_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->data, sizeof(long) * _t6_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(228);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_mach3mig_decode_new_glob(228);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(8, _t9_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->data[_t11_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->data, sizeof(long) * _t9_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(228);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_mach3mig_encode_new_glob(228);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_signed16(0, _data->first);
  _t12_array_length = 50;
  flick_mach3mig_array_encode_signed32_type(8, _t12_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->data[_t14_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->data, sizeof(long) * _t12_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(228);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_mach3mig_decode_new_glob(228);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t15_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(8, _t15_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->data, sizeof(long) * _t15_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(228);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->first);
  _t18_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t20_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t20_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float64(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->first);
  _t21_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t23_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t23_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float64(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float64(0, _data->first);
  _t24_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t26_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t26_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float64(0, _data->first);
  _t27_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t29_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t29_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->first);
  _t30_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t32_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t32_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t33_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t35_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t35_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->first);
  _t36_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t38_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float64(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->first);
  _t39_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t41_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t41_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float64(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t44_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t44_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float64(0, _data->first);
  _t45_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t47_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t47_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_mach3mig_encode_end_chunk(8);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t50_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t50_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t53_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t53_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct cLd _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t60_array_length;
    flick_unsigned8_t _t62_array_iter;
    flick_unsigned8_t _t63_array_length;
    flick_unsigned8_t _t65_array_iter;

    flick_mach3mig_encode_new_glob(536);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'd');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(80, inp->first);
    _t60_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(88, _t60_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
#if 0 /* We don't need to ever to bit translation */
    for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, inp->data[_t62_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(inp->data, sizeof(long) * _t60_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(28);
    flick_mach3mig_encode_float64(0, inp->last);
    flick_mach3mig_encode_char8(8, iop->first);
    _t63_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(16, _t63_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
    for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, iop->data[_t65_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(iop->data, sizeof(long) * _t63_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_float64(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(536);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t95_switch_tag;

    flick_mach3mig_decode_new_glob(780);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t95_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t95_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t96_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t96_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t96_switch_tag)
            {
            case '$':
              {
                char _t97_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t97_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t97_switch_tag)
                  {
                  case 't':
                    {
                      char _t98_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t98_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t98_switch_tag)
                        {
                        case 'e':
                          {
                            char _t99_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t99_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t99_switch_tag)
                              {
                              case 's':
                                {
                                  char _t100_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t100_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t100_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t101_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t101_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t101_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t102_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t102_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t102_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t103_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t103_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t103_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t104_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t104_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t104_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t105_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t105_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t105_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t115_array_length;
                                                                            flick_unsigned8_t _t117_array_iter;
                                                                            flick_unsigned8_t _t118_array_length;
                                                                            flick_unsigned8_t _t120_array_iter;
                                                                            flick_unsigned8_t _t121_array_length;
                                                                            flick_unsigned8_t _t123_array_iter;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_char8(0, iop->first);
                                                                            _t115_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(8, _t115_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t117_array_iter = 0; _t117_array_iter < _t115_array_length; _t117_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, iop->data[_t117_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(iop->data, sizeof(long) * _t115_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_float64(0, iop->last);
                                                                            flick_mach3mig_decode_char8(8, outp->first);
                                                                            _t118_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t118_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t120_array_iter = 0; _t120_array_iter < _t118_array_length; _t120_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, outp->data[_t120_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(outp->data, sizeof(long) * _t118_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_float64(0, outp->last);
                                                                            flick_mach3mig_decode_char8(8, _return.first);
                                                                            _t121_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t121_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t123_array_iter = 0; _t123_array_iter < _t121_array_length; _t123_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, _return.data[_t123_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(_return.data, sizeof(long) * _t121_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_float64(0, _return.last);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(780);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct dLc _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t130_array_length;
    flick_unsigned8_t _t132_array_iter;
    flick_unsigned8_t _t133_array_length;
    flick_unsigned8_t _t135_array_iter;

    flick_mach3mig_encode_new_glob(536);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'c');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(80, inp->first);
    _t130_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(88, _t130_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
#if 0 /* We don't need to ever to bit translation */
    for (_t132_array_iter = 0; _t132_array_iter < _t130_array_length; _t132_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, inp->data[_t132_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(inp->data, sizeof(long) * _t130_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(28);
    flick_mach3mig_encode_char8(0, inp->last);
    flick_mach3mig_encode_float64(8, iop->first);
    _t133_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(16, _t133_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
    for (_t135_array_iter = 0; _t135_array_iter < _t133_array_length; _t135_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, iop->data[_t135_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(iop->data, sizeof(long) * _t133_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(536);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t165_switch_tag;

    flick_mach3mig_decode_new_glob(780);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t165_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t165_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t166_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t166_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t166_switch_tag)
            {
            case '$':
              {
                char _t167_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t167_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t167_switch_tag)
                  {
                  case 't':
                    {
                      char _t168_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t168_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t168_switch_tag)
                        {
                        case 'e':
                          {
                            char _t169_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t169_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t169_switch_tag)
                              {
                              case 's':
                                {
                                  char _t170_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t170_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t170_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t171_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t171_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t171_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t172_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t172_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t172_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t173_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t173_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t173_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t174_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t174_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t174_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t175_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t175_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t175_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t185_array_length;
                                                                            flick_unsigned8_t _t187_array_iter;
                                                                            flick_unsigned8_t _t188_array_length;
                                                                            flick_unsigned8_t _t190_array_iter;
                                                                            flick_unsigned8_t _t191_array_length;
                                                                            flick_unsigned8_t _t193_array_iter;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_float64(0, iop->first);
                                                                            _t185_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(8, _t185_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t187_array_iter = 0; _t187_array_iter < _t185_array_length; _t187_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, iop->data[_t187_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(iop->data, sizeof(long) * _t185_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_char8(0, iop->last);
                                                                            flick_mach3mig_decode_float64(8, outp->first);
                                                                            _t188_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t188_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t190_array_iter = 0; _t190_array_iter < _t188_array_length; _t190_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, outp->data[_t190_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(outp->data, sizeof(long) * _t188_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_char8(0, outp->last);
                                                                            flick_mach3mig_decode_float64(8, _return.first);
                                                                            _t191_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t191_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t193_array_iter = 0; _t193_array_iter < _t191_array_length; _t193_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, _return.data[_t193_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(_return.data, sizeof(long) * _t191_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _return.last);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(780);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct sLs _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t200_array_length;
    flick_unsigned8_t _t202_array_iter;
    flick_unsigned8_t _t203_array_length;
    flick_unsigned8_t _t205_array_iter;

    flick_mach3mig_encode_new_glob(536);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 's');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(80, inp->first);
    _t200_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(88, _t200_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
#if 0 /* We don't need to ever to bit translation */
    for (_t202_array_iter = 0; _t202_array_iter < _t200_array_length; _t202_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, inp->data[_t202_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(inp->data, sizeof(long) * _t200_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(28);
    flick_mach3mig_encode_signed16(0, inp->last);
    flick_mach3mig_encode_signed16(8, iop->first);
    _t203_array_length = 50;
    flick_mach3mig_array_encode_signed32_type(16, _t203_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
    for (_t205_array_iter = 0; _t205_array_iter < _t203_array_length; _t205_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, iop->data[_t205_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(iop->data, sizeof(long) * _t203_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(536);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t235_switch_tag;

    flick_mach3mig_decode_new_glob(780);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t235_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t235_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t236_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t236_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t236_switch_tag)
            {
            case '$':
              {
                char _t237_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t237_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t237_switch_tag)
                  {
                  case 't':
                    {
                      char _t238_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t238_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t238_switch_tag)
                        {
                        case 'e':
                          {
                            char _t239_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t239_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t239_switch_tag)
                              {
                              case 's':
                                {
                                  char _t240_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t240_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t240_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t241_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t241_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t241_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t242_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t242_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t242_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t243_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t243_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t243_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t244_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t244_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t244_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t245_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t245_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t245_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t255_array_length;
                                                                            flick_unsigned8_t _t257_array_iter;
                                                                            flick_unsigned8_t _t258_array_length;
                                                                            flick_unsigned8_t _t260_array_iter;
                                                                            flick_unsigned8_t _t261_array_length;
                                                                            flick_unsigned8_t _t263_array_iter;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_signed16(0, iop->first);
                                                                            _t255_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(8, _t255_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t257_array_iter = 0; _t257_array_iter < _t255_array_length; _t257_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, iop->data[_t257_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(iop->data, sizeof(long) * _t255_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_signed16(0, iop->last);
                                                                            flick_mach3mig_decode_signed16(8, outp->first);
                                                                            _t258_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t258_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t260_array_iter = 0; _t260_array_iter < _t258_array_length; _t260_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, outp->data[_t260_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(outp->data, sizeof(long) * _t258_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(28);
                                                                            flick_mach3mig_decode_signed16(0, outp->last);
                                                                            flick_mach3mig_decode_signed16(8, _return.first);
                                                                            _t261_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(16, _t261_array_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(28);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t263_array_iter = 0; _t263_array_iter < _t261_array_length; _t263_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, _return.data[_t263_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(_return.data, sizeof(long) * _t261_array_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed16(0, _return.last);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(780);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct cLCd _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t270_array_length;
    flick_unsigned8_t _t272_array_iter;
    flick_unsigned8_t _t273_array_length;
    flick_unsigned8_t _t275_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 'd');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(88, inp->first);
    _t270_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t272_array_iter = 0; _t272_array_iter < _t270_array_length; _t272_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t272_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t272_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_float64(0, inp->last);
    flick_mach3mig_encode_char8(8, iop->first);
    _t273_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t275_array_iter = 0; _t275_array_iter < _t273_array_length; _t275_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t275_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t275_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_float64(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t306_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t306_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t306_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t307_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t307_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t307_switch_tag)
            {
            case '$':
              {
                char _t308_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t308_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t308_switch_tag)
                  {
                  case 't':
                    {
                      char _t309_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t309_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t309_switch_tag)
                        {
                        case 'e':
                          {
                            char _t310_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t310_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t310_switch_tag)
                              {
                              case 's':
                                {
                                  char _t311_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t311_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t311_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t312_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t312_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t312_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t313_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t313_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t313_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t314_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t314_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t314_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t315_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t315_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t315_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t316_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t316_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t316_switch_tag)
                                                                  {
                                                                  case 'd':
                                                                    {
                                                                      char _t317_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t317_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t317_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t327_array_length;
                                                                                  flick_unsigned8_t _t329_array_iter;
                                                                                  flick_unsigned8_t _t330_array_length;
                                                                                  flick_unsigned8_t _t332_array_iter;
                                                                                  flick_unsigned8_t _t333_array_length;
                                                                                  flick_unsigned8_t _t335_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, iop->first);
                                                                                  _t327_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t329_array_iter = 0; _t329_array_iter < _t327_array_length; _t329_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t329_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t329_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_float64(0, iop->last);
                                                                                  flick_mach3mig_decode_char8(8, outp->first);
                                                                                  _t330_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t332_array_iter = 0; _t332_array_iter < _t330_array_length; _t332_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t332_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t332_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_float64(0, outp->last);
                                                                                  flick_mach3mig_decode_char8(8, _return.first);
                                                                                  _t333_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t335_array_iter = 0; _t335_array_iter < _t333_array_length; _t335_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t335_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t335_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_float64(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct dLCc _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t342_array_length;
    flick_unsigned8_t _t344_array_iter;
    flick_unsigned8_t _t345_array_length;
    flick_unsigned8_t _t347_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 'c');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(88, inp->first);
    _t342_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t344_array_iter = 0; _t344_array_iter < _t342_array_length; _t344_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t344_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t344_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_char8(0, inp->last);
    flick_mach3mig_encode_float64(8, iop->first);
    _t345_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t347_array_iter = 0; _t347_array_iter < _t345_array_length; _t347_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t347_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t347_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t378_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t378_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t378_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t379_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t379_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t379_switch_tag)
            {
            case '$':
              {
                char _t380_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t380_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t380_switch_tag)
                  {
                  case 't':
                    {
                      char _t381_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t381_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t381_switch_tag)
                        {
                        case 'e':
                          {
                            char _t382_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t382_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t382_switch_tag)
                              {
                              case 's':
                                {
                                  char _t383_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t383_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t383_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t384_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t384_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t384_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t385_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t385_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t385_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t386_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t386_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t386_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t387_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t387_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t387_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t388_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t388_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t388_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t389_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t389_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t389_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t399_array_length;
                                                                                  flick_unsigned8_t _t401_array_iter;
                                                                                  flick_unsigned8_t _t402_array_length;
                                                                                  flick_unsigned8_t _t404_array_iter;
                                                                                  flick_unsigned8_t _t405_array_length;
                                                                                  flick_unsigned8_t _t407_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_float64(0, iop->first);
                                                                                  _t399_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t401_array_iter = 0; _t401_array_iter < _t399_array_length; _t401_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t401_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t401_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_char8(0, iop->last);
                                                                                  flick_mach3mig_decode_float64(8, outp->first);
                                                                                  _t402_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t404_array_iter = 0; _t404_array_iter < _t402_array_length; _t404_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t404_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t404_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_char8(0, outp->last);
                                                                                  flick_mach3mig_decode_float64(8, _return.first);
                                                                                  _t405_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t407_array_iter = 0; _t407_array_iter < _t405_array_length; _t407_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t407_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t407_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct sLCs _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t414_array_length;
    flick_unsigned8_t _t416_array_iter;
    flick_unsigned8_t _t417_array_length;
    flick_unsigned8_t _t419_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 's');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(88, inp->first);
    _t414_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t416_array_iter = 0; _t416_array_iter < _t414_array_length; _t416_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t416_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t416_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, inp->last);
    flick_mach3mig_encode_signed16(8, iop->first);
    _t417_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t419_array_iter = 0; _t419_array_iter < _t417_array_length; _t419_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t419_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t419_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t450_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t450_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t450_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t451_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t451_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t451_switch_tag)
            {
            case '$':
              {
                char _t452_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t452_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t452_switch_tag)
                  {
                  case 't':
                    {
                      char _t453_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t453_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t453_switch_tag)
                        {
                        case 'e':
                          {
                            char _t454_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t454_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t454_switch_tag)
                              {
                              case 's':
                                {
                                  char _t455_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t455_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t455_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t456_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t456_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t456_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t457_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t457_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t457_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t458_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t458_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t458_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t459_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t459_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t459_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t460_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t460_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t460_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t461_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t461_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t461_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t471_array_length;
                                                                                  flick_unsigned8_t _t473_array_iter;
                                                                                  flick_unsigned8_t _t474_array_length;
                                                                                  flick_unsigned8_t _t476_array_iter;
                                                                                  flick_unsigned8_t _t477_array_length;
                                                                                  flick_unsigned8_t _t479_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, iop->first);
                                                                                  _t471_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t473_array_iter = 0; _t473_array_iter < _t471_array_length; _t473_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t473_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t473_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, iop->last);
                                                                                  flick_mach3mig_decode_signed16(8, outp->first);
                                                                                  _t474_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t476_array_iter = 0; _t476_array_iter < _t474_array_length; _t476_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t476_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t476_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, outp->last);
                                                                                  flick_mach3mig_decode_signed16(8, _return.first);
                                                                                  _t477_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t479_array_iter = 0; _t479_array_iter < _t477_array_length; _t479_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t479_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t479_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct cCLd _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t486_array_length;
    flick_unsigned8_t _t488_array_iter;
    flick_unsigned8_t _t489_array_length;
    flick_unsigned8_t _t491_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 'd');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(88, inp->first);
    _t486_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t488_array_iter = 0; _t488_array_iter < _t486_array_length; _t488_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t488_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t488_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_float64(0, inp->last);
    flick_mach3mig_encode_char8(8, iop->first);
    _t489_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t491_array_iter = 0; _t491_array_iter < _t489_array_length; _t491_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t491_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t491_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_float64(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t522_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t522_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t522_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t523_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t523_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t523_switch_tag)
            {
            case '$':
              {
                char _t524_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t524_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t524_switch_tag)
                  {
                  case 't':
                    {
                      char _t525_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t525_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t525_switch_tag)
                        {
                        case 'e':
                          {
                            char _t526_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t526_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t526_switch_tag)
                              {
                              case 's':
                                {
                                  char _t527_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t527_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t527_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t528_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t528_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t528_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t529_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t529_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t529_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t530_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t530_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t530_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t531_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t531_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t531_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t532_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t532_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t532_switch_tag)
                                                                  {
                                                                  case 'd':
                                                                    {
                                                                      char _t533_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t533_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t533_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t543_array_length;
                                                                                  flick_unsigned8_t _t545_array_iter;
                                                                                  flick_unsigned8_t _t546_array_length;
                                                                                  flick_unsigned8_t _t548_array_iter;
                                                                                  flick_unsigned8_t _t549_array_length;
                                                                                  flick_unsigned8_t _t551_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, iop->first);
                                                                                  _t543_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t545_array_iter = 0; _t545_array_iter < _t543_array_length; _t545_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t545_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t545_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_float64(0, iop->last);
                                                                                  flick_mach3mig_decode_char8(8, outp->first);
                                                                                  _t546_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t548_array_iter = 0; _t548_array_iter < _t546_array_length; _t548_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t548_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t548_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_float64(0, outp->last);
                                                                                  flick_mach3mig_decode_char8(8, _return.first);
                                                                                  _t549_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t551_array_iter = 0; _t551_array_iter < _t549_array_length; _t551_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t551_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t551_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_float64(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct dCLc _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t558_array_length;
    flick_unsigned8_t _t560_array_iter;
    flick_unsigned8_t _t561_array_length;
    flick_unsigned8_t _t563_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 'c');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(88, inp->first);
    _t558_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t560_array_iter = 0; _t560_array_iter < _t558_array_length; _t560_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t560_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t560_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_char8(0, inp->last);
    flick_mach3mig_encode_float64(8, iop->first);
    _t561_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t563_array_iter = 0; _t563_array_iter < _t561_array_length; _t563_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t563_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t563_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t594_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t594_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t594_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t595_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t595_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t595_switch_tag)
            {
            case '$':
              {
                char _t596_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t596_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t596_switch_tag)
                  {
                  case 't':
                    {
                      char _t597_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t597_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t597_switch_tag)
                        {
                        case 'e':
                          {
                            char _t598_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t598_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t598_switch_tag)
                              {
                              case 's':
                                {
                                  char _t599_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t599_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t599_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t600_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t600_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t600_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t601_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t601_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t601_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t602_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t602_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t602_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t603_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t603_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t603_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t604_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t604_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t604_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t605_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t605_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t605_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t615_array_length;
                                                                                  flick_unsigned8_t _t617_array_iter;
                                                                                  flick_unsigned8_t _t618_array_length;
                                                                                  flick_unsigned8_t _t620_array_iter;
                                                                                  flick_unsigned8_t _t621_array_length;
                                                                                  flick_unsigned8_t _t623_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_float64(0, iop->first);
                                                                                  _t615_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t617_array_iter = 0; _t617_array_iter < _t615_array_length; _t617_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t617_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t617_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_char8(0, iop->last);
                                                                                  flick_mach3mig_decode_float64(8, outp->first);
                                                                                  _t618_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t620_array_iter = 0; _t620_array_iter < _t618_array_length; _t620_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t620_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t620_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_char8(0, outp->last);
                                                                                  flick_mach3mig_decode_float64(8, _return.first);
                                                                                  _t621_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t623_array_iter = 0; _t623_array_iter < _t621_array_length; _t623_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t623_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t623_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct sCLs _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t630_array_length;
    flick_unsigned8_t _t632_array_iter;
    flick_unsigned8_t _t633_array_length;
    flick_unsigned8_t _t635_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 's');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(88, inp->first);
    _t630_array_length = 50;
    flick_mach3mig_encode_end_chunk(96);
    for (_t632_array_iter = 0; _t632_array_iter < _t630_array_length; _t632_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t632_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t632_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, inp->last);
    flick_mach3mig_encode_signed16(8, iop->first);
    _t633_array_length = 50;
    flick_mach3mig_encode_end_chunk(16);
    for (_t635_array_iter = 0; _t635_array_iter < _t633_array_length; _t635_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t635_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t635_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t666_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t666_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t666_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t667_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t667_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t667_switch_tag)
            {
            case '$':
              {
                char _t668_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t668_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t668_switch_tag)
                  {
                  case 't':
                    {
                      char _t669_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t669_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t669_switch_tag)
                        {
                        case 'e':
                          {
                            char _t670_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t670_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t670_switch_tag)
                              {
                              case 's':
                                {
                                  char _t671_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t671_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t671_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t672_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t672_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t672_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t673_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t673_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t673_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t674_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t674_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t674_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t675_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t675_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t675_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t676_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t676_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t676_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t677_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t677_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t677_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t687_array_length;
                                                                                  flick_unsigned8_t _t689_array_iter;
                                                                                  flick_unsigned8_t _t690_array_length;
                                                                                  flick_unsigned8_t _t692_array_iter;
                                                                                  flick_unsigned8_t _t693_array_length;
                                                                                  flick_unsigned8_t _t695_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, iop->first);
                                                                                  _t687_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t689_array_iter = 0; _t689_array_iter < _t687_array_length; _t689_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t689_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t689_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, iop->last);
                                                                                  flick_mach3mig_decode_signed16(8, outp->first);
                                                                                  _t690_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t692_array_iter = 0; _t692_array_iter < _t690_array_length; _t692_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t692_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t692_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, outp->last);
                                                                                  flick_mach3mig_decode_signed16(8, _return.first);
                                                                                  _t693_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t695_array_iter = 0; _t695_array_iter < _t693_array_length; _t695_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t695_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t695_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return.last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

