#include "client-client.h"

void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long Client_SetLeft(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'L');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 'f');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_signed32(52, speed);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long Client_SetRight(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'R');
    flick_xdr_encode_char8(20, 'i');
    flick_xdr_encode_char8(24, 'g');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, speed);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long Client_GetButton(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 'G');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'B');
    flick_xdr_encode_char8(20, 'u');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long Client_GetPhoto(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'G');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'P');
    flick_xdr_encode_char8(20, 'h');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

