#include "ex-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_A;
	s.vers_num = _VERS_A;

	assert(flick_server_register(s, &A_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t6_switch_tag;

    flick_suntcp_decode_new_glob(36);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t6_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t7_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t7_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t7_switch_tag)
            {
            case 'o':
              {
                char _t8_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t8_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t8_switch_tag)
                  {
                  case 'p':
                    {
                      char _t9_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t9_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t9_switch_tag)
                        {
                        case 0:
                          {
                            {
                              A _obj;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              CORBA_Environment _t10_storage;
                              unsigned int _t11_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t10_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t11_ignore);
                              flick_xdr_decode_unsigned32(4, _t11_ignore);
                              flick_xdr_decode_unsigned32(8, _t11_ignore);
                              flick_xdr_decode_unsigned32(12, _t11_ignore);
                              flick_xdr_decode_signed16(16, _local_b);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(36);
                              flick_corba_init_environment();
                              _return = A_op(_obj, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(12);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed16(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_atomic_user_id)
                                      {
                                      case 0:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed16(0, ((A_B *)(_ev->_except))->a);
                                          CORBA_flick_free((A_B *)(_ev->_except));
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                  }
                                }
                              flick_suntcp_encode_end_glob(12);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(36);
          break;
        }
      }
  }
  return 0;
}
