#include "module-client.h"

void flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, const mod1_mod2_ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex1_m1(mod1_mod2_ex1 _obj, CORBA_long a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, '1');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex1__get_l1(mod1_mod2_ex1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '1');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void mod1_mod2_ex1__set_l1(mod1_mod2_ex1 _obj, CORBA_long l1, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '1');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, l1);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex1__get_l2(mod1_mod2_ex1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '2');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, const mod1_mod2_ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex2_m2(mod1_mod2_ex2 _obj, CORBA_long a, CORBA_long *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed32(0, *b);
            flick_xdr_decode_signed32(4, _return);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex2__get_l3(mod1_mod2_ex2 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '3');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void mod1_mod2_ex2__set_l3(mod1_mod2_ex2 _obj, CORBA_long l3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '3');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, l3);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex2_m1(mod1_mod2_ex2 _obj, CORBA_long a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, '1');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex2__get_l1(mod1_mod2_ex2 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '1');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void mod1_mod2_ex2__set_l1(mod1_mod2_ex2 _obj, CORBA_long l1, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '1');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, l1);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long mod1_mod2_ex2__get_l2(mod1_mod2_ex2 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, '2');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

