#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  ReferenceData *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t11_array_iter;

            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t11_array_iter = 0; _t11_array_iter < _return->_length; _t11_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t11_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t15_array_iter;

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, id->_length);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(4 * id->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t15_array_iter = 0; _t15_array_iter < id->_length; _t15_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, id->_buffer[_t15_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(id->_buffer, sizeof(char) * id->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * id->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  OctetSequence *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'f');
    flick_xdr_encode_char8(40, 'o');
    flick_xdr_encode_char8(44, 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t19_array_iter;

            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t19_array_iter = 0; _t19_array_iter < _return->_length; _t19_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t19_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t23_array_iter;

    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'f');
    flick_xdr_encode_char8(40, 'o');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, info->_length);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_suntcp_encode_new_glob(4 * info->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t23_array_iter = 0; _t23_array_iter < info->_length; _t23_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, info->_buffer[_t23_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(info->_buffer, sizeof(char) * info->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * info->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

