#include "nest-refs-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	assert(flick_server_register(s, &test_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t63_switch_tag;

    flick_suntcp_decode_new_glob(68);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t63_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t63_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t64_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t64_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t64_switch_tag)
            {
            case '_':
              {
                char _t65_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t65_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t65_switch_tag)
                  {
                  case '_':
                    {
                      char _t66_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t66_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t66_switch_tag)
                        {
                        case 'g':
                          {
                            char _t67_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t67_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t67_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t68_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t68_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t68_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t69_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t69_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t69_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t70_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t70_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t70_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t71_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t71_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t71_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t72_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t72_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t72_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  CORBA_Environment *_ev;
                                                                  ReferenceData *_return = 0;
                                                                  CORBA_Environment _t73_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t73_storage;
                                                                  flick_suntcp_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = test__get_id(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t77_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t77_array_iter = 0; _t77_array_iter < _return->_length; _t77_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_unsigned8(0, _return->_buffer[_t77_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t78_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t78_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t78_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t79_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t79_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t79_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t80_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t80_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t80_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t81_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t81_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t81_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t82_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t82_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t82_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t83_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t83_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t83_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t84_storage;
                                                                  unsigned int _t85_ignore;
                                                                  ReferenceData _t86_storage;
                                                                  unsigned long int _t88_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t84_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t85_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t85_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t85_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t85_ignore);
                                                                  _local_id = &_t86_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(68);
                                                                  flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t88_array_iter = 0; _t88_array_iter < _local_id->_length; _t88_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t88_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  test__set_id(_obj, _local_id, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t89_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t89_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t89_switch_tag)
            {
            case '_':
              {
                char _t90_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t90_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t90_switch_tag)
                  {
                  case '_':
                    {
                      char _t91_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t91_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t91_switch_tag)
                        {
                        case 'g':
                          {
                            char _t92_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t92_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t92_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t93_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t93_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t93_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t94_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t94_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t94_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t95_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t95_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t95_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t96_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t96_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t96_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t97_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t97_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t97_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t98_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t98_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t98_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t99_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t99_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t99_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              CORBA_Environment *_ev;
                                                                              OctetSequence *_return = 0;
                                                                              CORBA_Environment _t100_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t100_storage;
                                                                              flick_suntcp_decode_end_glob(68);
                                                                              flick_corba_init_environment();
                                                                              _return = test__get_info(_obj, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(8);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t104_array_iter;

                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    for (_t104_array_iter = 0; _t104_array_iter < _return->_length; _t104_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                        flick_xdr_encode_unsigned8(0, _return->_buffer[_t104_array_iter]);
                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    flick_xdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                                    flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t105_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t105_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t105_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t106_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t106_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t106_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t107_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t107_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t107_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t108_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t108_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t108_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t109_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t109_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t109_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t110_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t110_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t110_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t111_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t111_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t111_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t112_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t112_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t112_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              OctetSequence *_local_info;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t113_storage;
                                                                              unsigned int _t114_ignore;
                                                                              OctetSequence _t115_storage;
                                                                              unsigned long int _t117_array_iter;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t113_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t114_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t114_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t114_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t114_ignore);
                                                                              _local_info = &_t115_storage;
                                                                              flick_xdr_decode_unsigned32(16, _local_info->_length);
                                                                              _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(CORBA_octet ));
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(68);
                                                                              flick_suntcp_decode_new_glob(4 * _local_info->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                              for (_t117_array_iter = 0; _t117_array_iter < _local_info->_length; _t117_array_iter++)
                                                                                {
                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_unsigned8(0, _local_info->_buffer[_t117_array_iter]);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                              flick_xdr_decode_bcopy(_local_info->_buffer, sizeof(char) * _local_info->_length, suntcp);
#endif /* ENDIANness */
                                                                              flick_suntcp_decode_end_glob(4 * _local_info->_length);
                                                                              flick_corba_init_environment();
                                                                              test__set_info(_obj, _local_info, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(68);
          break;
        }
      }
  }
  return 0;
}
