#include "simple-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_simple2;
	s.vers_num = _VERS_simple2;

	assert(flick_server_register(s, &simple2_server));


	s.prog_num = _PROG_simple;
	s.vers_num = _VERS_simple;

	assert(flick_server_register(s, &simple_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_suntcp_decode_new_glob(40);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t12_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t13_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t13_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t13_switch_tag)
            {
            case 'o':
              {
                char _t14_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t14_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t14_switch_tag)
                  {
                  case 'p':
                    {
                      char _t15_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t15_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t15_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t16_storage;
                              CORBA_Environment _t17_storage;
                              unsigned int _t18_ignore;
                              CORBA_long _t19_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _local_b = &_t16_storage;
                              _ev = &_t17_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t18_ignore);
                              flick_xdr_decode_unsigned32(4, _t18_ignore);
                              flick_xdr_decode_unsigned32(8, _t18_ignore);
                              flick_xdr_decode_unsigned32(12, _t18_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _local_c = &_t19_storage;
                              flick_xdr_decode_signed32(20, *_local_c);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(40);
                              flick_corba_init_environment();
                              _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(16);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(12);
                                    flick_xdr_encode_port32(0, *_local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(*_local_b, 1);
                                    flick_xdr_encode_signed32(4, *_local_c);
                                    flick_xdr_encode_signed32(8, _return);
                                    flick_suntcp_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(16);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(40);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t35_switch_tag;

    flick_suntcp_decode_new_glob(44);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t35_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t35_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t36_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t36_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t36_switch_tag)
            {
            case 'o':
              {
                char _t37_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t37_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t37_switch_tag)
                  {
                  case 'p':
                    {
                      char _t38_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t38_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t38_switch_tag)
                        {
                        case '2':
                          {
                            char _t39_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t39_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t39_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple2 _obj;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    simple2 _t40_storage;
                                    CORBA_Environment _t41_storage;
                                    unsigned int _t42_ignore;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_c = &_t40_storage;
                                    _ev = &_t41_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t42_ignore);
                                    flick_xdr_decode_unsigned32(4, _t42_ignore);
                                    flick_xdr_decode_unsigned32(8, _t42_ignore);
                                    flick_xdr_decode_unsigned32(12, _t42_ignore);
                                    flick_xdr_decode_signed32(16, _local_a);
                                    flick_xdr_decode_port32(20, _local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(_local_b, 1);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(44);
                                    flick_corba_init_environment();
                                    _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_port32(0, *_local_c, 1);
                                          flick_suntcp_mark_port_for_cleanup(*_local_c, 1);
                                          flick_xdr_encode_signed32(4, _return);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t43_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t43_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t43_switch_tag)
            {
            case 'o':
              {
                char _t44_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t44_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t44_switch_tag)
                  {
                  case 'p':
                    {
                      char _t45_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t45_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t45_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple2 _obj;
                              CORBA_long _local_a;
                              simple *_local_b;
                              CORBA_long *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              simple _t46_storage;
                              CORBA_Environment _t47_storage;
                              unsigned int _t48_ignore;
                              CORBA_long _t49_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _local_b = &_t46_storage;
                              _ev = &_t47_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t48_ignore);
                              flick_xdr_decode_unsigned32(4, _t48_ignore);
                              flick_xdr_decode_unsigned32(8, _t48_ignore);
                              flick_xdr_decode_unsigned32(12, _t48_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _local_c = &_t49_storage;
                              flick_xdr_decode_signed32(20, *_local_c);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(44);
                              flick_corba_init_environment();
                              _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(16);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(12);
                                    flick_xdr_encode_port32(0, *_local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(*_local_b, 1);
                                    flick_xdr_encode_signed32(4, *_local_c);
                                    flick_xdr_encode_signed32(8, _return);
                                    flick_suntcp_encode_end_chunk(12);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(16);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(44);
          break;
        }
      }
  }
  return 0;
}
