#include "dif2-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_ex4;
	s.vers_num = _VERS_ex4;

	assert(flick_server_register(s, &ex4_server));


	s.prog_num = _PROG_ex3;
	s.vers_num = _VERS_ex3;

	assert(flick_server_register(s, &ex3_server));


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	assert(flick_server_register(s, &ex2_server));


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	assert(flick_server_register(s, &ex1_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t36_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t36_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t36_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t37_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t37_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t37_switch_tag)
            {
            case 'o':
              {
                char _t38_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t38_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t38_switch_tag)
                  {
                  case 'p':
                    {
                      char _t39_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t39_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t39_switch_tag)
                        {
                        case '0':
                          {
                            char _t40_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t40_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t40_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t41_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t41_storage;
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    ex1_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t42_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t42_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t42_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t43_storage;
                                    CORBA_Environment _t44_storage;
                                    unsigned int _t45_ignore;
                                    CORBA_long _t46_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_d = &_t43_storage;
                                    _ev = &_t44_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t45_ignore);
                                    flick_xdr_decode_unsigned32(4, _t45_ignore);
                                    flick_xdr_decode_unsigned32(8, _t45_ignore);
                                    flick_xdr_decode_unsigned32(12, _t45_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_l = &_t46_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, *_local_d);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_float32(12, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t47_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t47_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t47_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t48_storage;
                                    CORBA_Environment _t49_storage;
                                    unsigned int _t50_ignore;
                                    CORBA_short _t51_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_l = &_t48_storage;
                                    _ev = &_t49_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t50_ignore);
                                    flick_xdr_decode_unsigned32(4, _t50_ignore);
                                    flick_xdr_decode_unsigned32(8, _t50_ignore);
                                    flick_xdr_decode_unsigned32(12, _t50_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_s = &_t51_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_float64(8, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t52_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t52_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t52_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t53_storage;
                                    CORBA_Environment _t54_storage;
                                    unsigned int _t55_ignore;
                                    CORBA_unsigned_long _t56_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t53_storage;
                                    _ev = &_t54_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t55_ignore);
                                    flick_xdr_decode_unsigned32(4, _t55_ignore);
                                    flick_xdr_decode_unsigned32(8, _t55_ignore);
                                    flick_xdr_decode_unsigned32(12, _t55_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_ul = &_t56_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, *_local_s);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_signed32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t57_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t57_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t57_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t58_storage;
                                    CORBA_Environment _t59_storage;
                                    unsigned int _t60_ignore;
                                    CORBA_unsigned_short _t61_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_ul = &_t58_storage;
                                    _ev = &_t59_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t60_ignore);
                                    flick_xdr_decode_unsigned32(4, _t60_ignore);
                                    flick_xdr_decode_unsigned32(8, _t60_ignore);
                                    flick_xdr_decode_unsigned32(12, _t60_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_us = &_t61_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_signed16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t62_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t62_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t62_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t63_storage;
                                    CORBA_Environment _t64_storage;
                                    unsigned int _t65_ignore;
                                    CORBA_unsigned_long _t66_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_c = &_t63_storage;
                                    _ev = &_t64_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t65_ignore);
                                    flick_xdr_decode_unsigned32(4, _t65_ignore);
                                    flick_xdr_decode_unsigned32(8, _t65_ignore);
                                    flick_xdr_decode_unsigned32(12, _t65_ignore);
                                    _local_ul = &_t66_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t67_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t67_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t67_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t68_storage;
                                    CORBA_Environment _t69_storage;
                                    unsigned int _t70_ignore;
                                    CORBA_char _t71_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_us = &_t68_storage;
                                    _ev = &_t69_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t70_ignore);
                                    flick_xdr_decode_unsigned32(4, _t70_ignore);
                                    flick_xdr_decode_unsigned32(8, _t70_ignore);
                                    flick_xdr_decode_unsigned32(12, _t70_ignore);
                                    _local_c = &_t71_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, *_local_us);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t139_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t139_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t139_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t140_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t140_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t140_switch_tag)
            {
            case 'o':
              {
                char _t141_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t141_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t141_switch_tag)
                  {
                  case 'p':
                    {
                      char _t142_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t142_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t142_switch_tag)
                        {
                        case '7':
                          {
                            char _t143_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t143_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t143_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t144_storage;
                                    CORBA_Environment _t145_storage;
                                    unsigned int _t146_ignore;
                                    CORBA_octet _t147_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_b = &_t144_storage;
                                    _ev = &_t145_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t146_ignore);
                                    flick_xdr_decode_unsigned32(4, _t146_ignore);
                                    flick_xdr_decode_unsigned32(8, _t146_ignore);
                                    flick_xdr_decode_unsigned32(12, _t146_ignore);
                                    flick_xdr_decode_char8(16, _local_c);
                                    _local_o = &_t147_storage;
                                    flick_xdr_decode_unsigned8(20, *_local_o);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned8(0, *_local_b);
                                          flick_xdr_encode_unsigned8(4, *_local_o);
                                          flick_xdr_encode_char8(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t148_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t148_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t148_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t149_storage;
                                    CORBA_Environment _t150_storage;
                                    unsigned int _t151_ignore;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_b = &_t149_storage;
                                    _ev = &_t150_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t151_ignore);
                                    flick_xdr_decode_unsigned32(4, _t151_ignore);
                                    flick_xdr_decode_unsigned32(8, _t151_ignore);
                                    flick_xdr_decode_unsigned32(12, _t151_ignore);
                                    flick_xdr_decode_unsigned8(16, _local_o);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, *_local_b);
                                          flick_xdr_encode_unsigned8(4, _return);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t152_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t152_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t152_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t153_storage;
                                    CORBA_Environment _t154_storage;
                                    unsigned int _t155_ignore;
                                    CORBA_octet _t156_storage;
                                    CORBA_long _t157_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t153_storage;
                                    _ev = &_t154_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t155_ignore);
                                    flick_xdr_decode_unsigned32(4, _t155_ignore);
                                    flick_xdr_decode_unsigned32(8, _t155_ignore);
                                    flick_xdr_decode_unsigned32(12, _t155_ignore);
                                    _local_o = &_t156_storage;
                                    flick_xdr_decode_unsigned8(16, *_local_o);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_xdr_decode_auto_string(_local_ls, auto_flick_alloc, suntcp);
                                    _local_l = &_t157_storage;
                                    flick_suntcp_decode_new_glob(4);
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_xdr_decode_signed32(0, *_local_l);
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_unsigned8(0, *_local_o);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(8);
                                          flick_xdr_encode_longstring(*_local_s, CORBA_flick_free, suntcp);
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_unsigned8(4, _return);
                                          flick_suntcp_encode_end_chunk(8);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t158_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t158_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t158_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t159_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t159_storage;
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    ex2_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t160_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t160_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t160_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t161_storage;
                                    CORBA_Environment _t162_storage;
                                    unsigned int _t163_ignore;
                                    CORBA_long _t164_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_d = &_t161_storage;
                                    _ev = &_t162_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t163_ignore);
                                    flick_xdr_decode_unsigned32(4, _t163_ignore);
                                    flick_xdr_decode_unsigned32(8, _t163_ignore);
                                    flick_xdr_decode_unsigned32(12, _t163_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_l = &_t164_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, *_local_d);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_float32(12, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t165_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t165_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t165_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t166_storage;
                                    CORBA_Environment _t167_storage;
                                    unsigned int _t168_ignore;
                                    CORBA_short _t169_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_l = &_t166_storage;
                                    _ev = &_t167_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t168_ignore);
                                    flick_xdr_decode_unsigned32(4, _t168_ignore);
                                    flick_xdr_decode_unsigned32(8, _t168_ignore);
                                    flick_xdr_decode_unsigned32(12, _t168_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_s = &_t169_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_float64(8, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t170_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t170_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t170_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t171_storage;
                                    CORBA_Environment _t172_storage;
                                    unsigned int _t173_ignore;
                                    CORBA_unsigned_long _t174_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t171_storage;
                                    _ev = &_t172_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t173_ignore);
                                    flick_xdr_decode_unsigned32(4, _t173_ignore);
                                    flick_xdr_decode_unsigned32(8, _t173_ignore);
                                    flick_xdr_decode_unsigned32(12, _t173_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_ul = &_t174_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, *_local_s);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_signed32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t175_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t175_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t175_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t176_storage;
                                    CORBA_Environment _t177_storage;
                                    unsigned int _t178_ignore;
                                    CORBA_unsigned_short _t179_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_ul = &_t176_storage;
                                    _ev = &_t177_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t178_ignore);
                                    flick_xdr_decode_unsigned32(4, _t178_ignore);
                                    flick_xdr_decode_unsigned32(8, _t178_ignore);
                                    flick_xdr_decode_unsigned32(12, _t178_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_us = &_t179_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_signed16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t180_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t180_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t180_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t181_storage;
                                    CORBA_Environment _t182_storage;
                                    unsigned int _t183_ignore;
                                    CORBA_unsigned_long _t184_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_c = &_t181_storage;
                                    _ev = &_t182_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t183_ignore);
                                    flick_xdr_decode_unsigned32(4, _t183_ignore);
                                    flick_xdr_decode_unsigned32(8, _t183_ignore);
                                    flick_xdr_decode_unsigned32(12, _t183_ignore);
                                    _local_ul = &_t184_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t185_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t185_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t185_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t186_storage;
                                    CORBA_Environment _t187_storage;
                                    unsigned int _t188_ignore;
                                    CORBA_char _t189_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_us = &_t186_storage;
                                    _ev = &_t187_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t188_ignore);
                                    flick_xdr_decode_unsigned32(4, _t188_ignore);
                                    flick_xdr_decode_unsigned32(8, _t188_ignore);
                                    flick_xdr_decode_unsigned32(12, _t188_ignore);
                                    _local_c = &_t189_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_corba_init_environment();
                                    _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, *_local_us);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t190_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t190_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t190_switch_tag)
            {
            case 'o':
              {
                char _t191_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t191_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t191_switch_tag)
                  {
                  case 'p':
                    {
                      char _t192_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t192_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t192_switch_tag)
                        {
                        case '1':
                          {
                            char _t193_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t193_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t193_switch_tag)
                              {
                              case '0':
                                {
                                  char _t194_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t194_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t194_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t195_storage;
                                          CORBA_Environment _t196_storage;
                                          unsigned int _t197_ignore;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_ls = &_t195_storage;
                                          _ev = &_t196_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t197_ignore);
                                          flick_xdr_decode_unsigned32(4, _t197_ignore);
                                          flick_xdr_decode_unsigned32(8, _t197_ignore);
                                          flick_xdr_decode_unsigned32(12, _t197_ignore);
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_xdr_decode_auto_string(_local_s, auto_flick_alloc, suntcp);
                                          flick_corba_init_environment();
                                          _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t198_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t198_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t198_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t199_storage;
                                          CORBA_Environment _t200_storage;
                                          unsigned int _t201_ignore;
                                          CORBA_char *_t202_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_l = &_t199_storage;
                                          _ev = &_t200_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t201_ignore);
                                          flick_xdr_decode_unsigned32(4, _t201_ignore);
                                          flick_xdr_decode_unsigned32(8, _t201_ignore);
                                          flick_xdr_decode_unsigned32(12, _t201_ignore);
                                          _local_ls = &_t202_storage;
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_xdr_decode_string(*_local_ls, CORBA_flick_alloc, suntcp, 10);
                                          flick_corba_init_environment();
                                          _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_suntcp_encode_new_glob(4);
                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_xdr_encode_signed32(0, *_local_l);
                                                flick_suntcp_encode_end_chunk(4);
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t203_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t203_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t203_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t204_storage;
                                          unsigned int _t205_ignore;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _ev = &_t204_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t205_ignore);
                                          flick_xdr_decode_unsigned32(4, _t205_ignore);
                                          flick_xdr_decode_unsigned32(8, _t205_ignore);
                                          flick_xdr_decode_unsigned32(12, _t205_ignore);
                                          flick_xdr_decode_signed32(16, _local_l);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_corba_init_environment();
                                          _return = ex2_op12(_obj, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(8);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t401_switch_tag;

    flick_suntcp_decode_new_glob(124);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t401_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t401_switch_tag)
      {
      case (unsigned int) 22:
        {
          char _t402_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t402_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t402_switch_tag)
            {
            case '_':
              {
                char _t403_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t403_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t403_switch_tag)
                  {
                  case '_':
                    {
                      char _t404_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t404_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t404_switch_tag)
                        {
                        case 'g':
                          {
                            char _t405_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t405_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t405_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t406_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t406_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t406_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t407_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t407_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t407_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t408_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t408_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t408_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t409_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t409_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t409_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t410_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t410_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t410_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t411_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t411_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t411_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t412_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t412_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t412_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t413_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t413_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t413_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t414_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t414_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t414_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t415_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t415_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t415_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t416_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t416_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t416_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t417_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t417_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t417_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t418_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t418_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t418_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t419_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t419_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t419_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t420_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t420_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t420_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t421_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t421_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t421_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t422_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t422_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t422_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t423_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t423_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t423_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t424_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t424_storage;
                                                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_float32(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t425_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t425_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t425_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t426_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t426_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t426_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t427_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t427_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t427_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t428_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t428_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t428_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t429_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t429_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t429_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t430_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t430_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t430_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t431_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t431_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t431_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t432_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t432_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t432_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t433_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t433_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t433_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t434_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t434_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t434_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t435_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t435_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t435_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t436_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t436_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t436_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t437_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t437_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t437_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t438_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t438_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t438_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t439_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t439_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t439_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t440_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t440_storage;
                                                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed16(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t441_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t441_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t441_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t442_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t442_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t442_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t443_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t443_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t443_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t444_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t444_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t444_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t445_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t445_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t445_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t446_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t446_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t446_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t447_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t447_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t447_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t448_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t448_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t448_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t449_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t449_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t449_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t450_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t450_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t450_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t451_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t451_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t451_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t452_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t452_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t452_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t453_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t453_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t453_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t454_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t454_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t454_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t455_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t455_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t455_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t456_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t456_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t456_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t457_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t457_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t457_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t458_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t458_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t458_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t459_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t459_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t459_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t460_storage;
                                                                                                                                                unsigned int _t461_ignore;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t460_storage;
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(20);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t461_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t461_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t461_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t461_ignore);
                                                                                                                                                flick_xdr_decode_signed16(16, _local_short_attribute);
                                                                                                                                                flick_suntcp_decode_end_chunk(20);
                                                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t462_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t462_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t462_switch_tag)
            {
            case '_':
              {
                char _t463_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t463_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t463_switch_tag)
                  {
                  case '_':
                    {
                      char _t464_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t464_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t464_switch_tag)
                        {
                        case 'g':
                          {
                            char _t465_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t465_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t465_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t466_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t466_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t466_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t467_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t467_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t467_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t468_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t468_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t468_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t469_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t469_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t469_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t470_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t470_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t470_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t471_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t471_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t471_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t472_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t472_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t472_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t473_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t473_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t473_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t474_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t474_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t474_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t475_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t475_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t475_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t476_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t476_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t476_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t477_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t477_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t477_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t478_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t478_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t478_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t479_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t479_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t479_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t480_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t480_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t480_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t481_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t481_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t481_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t482_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t482_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t482_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t483_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t483_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t483_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t484_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t484_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t484_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t485_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t485_storage;
                                                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex3__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(12);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_suntcp_encode_new_chunk(8);
                                                                                                                                                            flick_xdr_encode_float64(0, _return);
                                                                                                                                                            flick_suntcp_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(12);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t486_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t486_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t486_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t487_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t487_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t487_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t488_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t488_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t488_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t489_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t489_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t489_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t490_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t490_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t490_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t491_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t491_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t491_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t492_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t492_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t492_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t493_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t493_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t493_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t494_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t494_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t494_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t495_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t495_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t495_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t496_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t496_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t496_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t497_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t497_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t497_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t498_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t498_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t498_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t499_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t499_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t499_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t500_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t500_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t500_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t501_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t501_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t501_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t502_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t502_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t502_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t503_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t503_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t503_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t504_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t504_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t504_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t505_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t505_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t505_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t506_storage;
                                                                                                                                                      unsigned int _t507_ignore;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t506_storage;
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(24);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t507_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t507_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t507_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t507_ignore);
                                                                                                                                                      flick_xdr_decode_float64(16, _local_double_attribute);
                                                                                                                                                      flick_suntcp_decode_end_chunk(24);
                                                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t508_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t508_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t508_switch_tag)
            {
            case '_':
              {
                char _t509_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t509_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t509_switch_tag)
                  {
                  case '_':
                    {
                      char _t510_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t510_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t510_switch_tag)
                        {
                        case 'g':
                          {
                            char _t511_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t511_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t511_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t512_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t512_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t512_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t513_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t513_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t513_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t514_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t514_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t514_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t515_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t515_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t515_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t516_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t516_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t516_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t517_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t517_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t517_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t518_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t518_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t518_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t519_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t519_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t519_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t520_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t520_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t520_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t521_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t521_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t521_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t522_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t522_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t522_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t523_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t523_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t523_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t524_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t524_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t524_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t525_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t525_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t525_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t526_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t526_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t526_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t527_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t527_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t527_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t528_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t528_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t528_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t529_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t529_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex3__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t530_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t530_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t530_switch_tag)
            {
            case '_':
              {
                char _t531_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t531_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t531_switch_tag)
                  {
                  case '_':
                    {
                      char _t532_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t532_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t532_switch_tag)
                        {
                        case 'g':
                          {
                            char _t533_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t533_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t533_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t534_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t534_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t534_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t535_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t535_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t535_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t536_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t536_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t536_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t537_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t537_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t537_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t538_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t538_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t538_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t539_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t539_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t539_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t540_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t540_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t540_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t541_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t541_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t541_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t542_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t542_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t542_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t543_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t543_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t543_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t544_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t544_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t544_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t545_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t545_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t545_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t546_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t546_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t546_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t547_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t547_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t547_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t548_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t548_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t548_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t549_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t549_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t549_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t550_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t550_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t550_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t551_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t551_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t551_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t552_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t552_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t552_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t553_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t553_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t553_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t554_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t554_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t554_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t555_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t555_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t555_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t556_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t556_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t556_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t557_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t557_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t557_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t558_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t558_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t558_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t559_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t559_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t559_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex3 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t560_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t560_storage;
                                                                                                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(124);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(124);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(124);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(124);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(124);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(124);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(124);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(124);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(124);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(124);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(124);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(124);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(124);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t561_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t561_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t561_switch_tag)
            {
            case 'o':
              {
                char _t562_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t562_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t562_switch_tag)
                  {
                  case 'p':
                    {
                      char _t563_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t563_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t563_switch_tag)
                        {
                        case '0':
                          {
                            char _t564_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t564_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t564_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t565_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t565_storage;
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    ex3_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t566_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t566_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t566_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t567_storage;
                                    CORBA_Environment _t568_storage;
                                    unsigned int _t569_ignore;
                                    CORBA_long _t570_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_d = &_t567_storage;
                                    _ev = &_t568_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t569_ignore);
                                    flick_xdr_decode_unsigned32(4, _t569_ignore);
                                    flick_xdr_decode_unsigned32(8, _t569_ignore);
                                    flick_xdr_decode_unsigned32(12, _t569_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_l = &_t570_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, *_local_d);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_float32(12, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t571_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t571_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t571_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t572_storage;
                                    CORBA_Environment _t573_storage;
                                    unsigned int _t574_ignore;
                                    CORBA_short _t575_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_l = &_t572_storage;
                                    _ev = &_t573_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t574_ignore);
                                    flick_xdr_decode_unsigned32(4, _t574_ignore);
                                    flick_xdr_decode_unsigned32(8, _t574_ignore);
                                    flick_xdr_decode_unsigned32(12, _t574_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_s = &_t575_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_float64(8, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t576_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t576_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t576_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t577_storage;
                                    CORBA_Environment _t578_storage;
                                    unsigned int _t579_ignore;
                                    CORBA_unsigned_long _t580_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t577_storage;
                                    _ev = &_t578_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t579_ignore);
                                    flick_xdr_decode_unsigned32(4, _t579_ignore);
                                    flick_xdr_decode_unsigned32(8, _t579_ignore);
                                    flick_xdr_decode_unsigned32(12, _t579_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_ul = &_t580_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, *_local_s);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_signed32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t581_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t581_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t581_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t582_storage;
                                    CORBA_Environment _t583_storage;
                                    unsigned int _t584_ignore;
                                    CORBA_unsigned_short _t585_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_ul = &_t582_storage;
                                    _ev = &_t583_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t584_ignore);
                                    flick_xdr_decode_unsigned32(4, _t584_ignore);
                                    flick_xdr_decode_unsigned32(8, _t584_ignore);
                                    flick_xdr_decode_unsigned32(12, _t584_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_us = &_t585_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_signed16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t586_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t586_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t586_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t587_storage;
                                    CORBA_Environment _t588_storage;
                                    unsigned int _t589_ignore;
                                    CORBA_unsigned_long _t590_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_c = &_t587_storage;
                                    _ev = &_t588_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t589_ignore);
                                    flick_xdr_decode_unsigned32(4, _t589_ignore);
                                    flick_xdr_decode_unsigned32(8, _t589_ignore);
                                    flick_xdr_decode_unsigned32(12, _t589_ignore);
                                    _local_ul = &_t590_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t591_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t591_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t591_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t592_storage;
                                    CORBA_Environment _t593_storage;
                                    unsigned int _t594_ignore;
                                    CORBA_char _t595_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_us = &_t592_storage;
                                    _ev = &_t593_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t594_ignore);
                                    flick_xdr_decode_unsigned32(4, _t594_ignore);
                                    flick_xdr_decode_unsigned32(8, _t594_ignore);
                                    flick_xdr_decode_unsigned32(12, _t594_ignore);
                                    _local_c = &_t595_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(124);
                                    flick_corba_init_environment();
                                    _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, *_local_us);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(124);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex4_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t1023_switch_tag;

    flick_suntcp_decode_new_glob(148);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t1023_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t1023_switch_tag)
      {
      case (unsigned int) 31:
        {
          char _t1024_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1024_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1024_switch_tag)
            {
            case '_':
              {
                char _t1025_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1025_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1025_switch_tag)
                  {
                  case '_':
                    {
                      char _t1026_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1026_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1026_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1027_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1027_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1027_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1028_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1028_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1028_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1029_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1029_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1029_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1030_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1030_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1030_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1031_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1031_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1031_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1032_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1032_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1032_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1033_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1033_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1033_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1034_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1034_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1034_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1035_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1035_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1035_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1036_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1036_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1036_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1037_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1037_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1037_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1038_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1038_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1038_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1039_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1039_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1039_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t1040_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1040_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1040_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t1041_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1041_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1041_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t1042_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1042_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1042_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t1043_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1043_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1043_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1044_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1044_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1044_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1045_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1045_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1045_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1046_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1046_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1046_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1047_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1047_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1047_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1048_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1048_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1048_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1049_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1049_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1049_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1050_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1050_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1050_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1051_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1051_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1051_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1052_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1052_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1052_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1053_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1053_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1053_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1054_switch_tag;

                                                                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                              flick_xdr_decode_char8(0, _t1054_switch_tag);
                                                                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                              switch (_t1054_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_unsigned_short _return = 0;
                                                                                                                                                                                                      CORBA_Environment _t1055_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1055_storage;
                                                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                            flick_xdr_encode_unsigned16(0, _return);
                                                                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t1056_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1056_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1056_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t1057_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1057_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1057_switch_tag)
                                                            {
                                                            case 'm':
                                                              {
                                                                char _t1058_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1058_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1058_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1059_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1059_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1059_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1060_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1060_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1060_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1061_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1061_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1061_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1062_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1062_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1062_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1063_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1063_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1063_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1064_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1064_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1064_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1065_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1065_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1065_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1066_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1066_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1066_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1067_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1067_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1067_switch_tag)
                                                                                                                        {
                                                                                                                        case 'n':
                                                                                                                          {
                                                                                                                            char _t1068_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1068_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1068_switch_tag)
                                                                                                                              {
                                                                                                                              case 'g':
                                                                                                                                {
                                                                                                                                  char _t1069_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1069_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1069_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1070_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1070_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1070_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1071_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1071_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1071_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1072_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1072_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1072_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1073_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1073_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1073_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1074_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1074_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1074_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1075_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1075_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1075_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1076_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1076_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1076_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1077_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1077_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1077_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1078_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1078_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1078_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1079_switch_tag;

                                                                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                              flick_xdr_decode_char8(0, _t1079_switch_tag);
                                                                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                              switch (_t1079_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                                                                      CORBA_Environment _t1080_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1080_storage;
                                                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                            flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1081_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1081_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1081_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1082_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1082_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1082_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1083_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1083_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1083_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1084_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1084_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1084_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1085_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1085_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1085_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1086_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1086_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1086_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1087_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1087_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1087_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1088_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1088_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1088_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1089_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1089_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1089_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1090_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1090_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1090_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1091_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1091_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1091_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1092_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1092_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1092_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1093_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1093_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1093_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t1094_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1094_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1094_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t1095_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1095_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1095_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t1096_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1096_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1096_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t1097_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1097_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1097_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1098_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1098_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1098_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1099_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1099_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1099_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1100_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1100_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1100_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1101_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1101_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1101_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1102_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1102_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1102_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1103_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1103_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1103_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1104_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1104_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1104_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1105_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1105_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1105_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1106_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1106_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1106_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1107_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1107_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1107_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1108_switch_tag;

                                                                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                              flick_xdr_decode_char8(0, _t1108_switch_tag);
                                                                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                              switch (_t1108_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_unsigned_short _local_unsigned_short_attribute;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_Environment _t1109_storage;
                                                                                                                                                                                                      unsigned int _t1110_ignore;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1109_storage;
                                                                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                      flick_suntcp_decode_new_chunk(20);
                                                                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1110_ignore);
                                                                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1110_ignore);
                                                                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1110_ignore);
                                                                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1110_ignore);
                                                                                                                                                                                                      flick_xdr_decode_unsigned16(16, _local_unsigned_short_attribute);
                                                                                                                                                                                                      flick_suntcp_decode_end_chunk(20);
                                                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1111_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1111_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1111_switch_tag)
            {
            case '_':
              {
                char _t1112_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1112_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1112_switch_tag)
                  {
                  case '_':
                    {
                      char _t1113_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1113_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1113_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1114_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1114_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1114_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1115_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1115_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1115_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1116_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1116_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1116_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1117_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1117_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1117_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t1118_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1118_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1118_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1119_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1119_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1119_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t1120_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1120_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1120_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1121_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1121_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1121_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1122_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1122_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1122_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1123_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1123_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1123_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1124_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1124_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1124_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1125_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1125_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1125_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1126_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1126_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1126_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1127_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1127_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1127_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1128_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1128_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1128_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1129_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1129_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1129_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1130_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1130_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1130_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1131_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1131_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1131_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char _return = 0;
                                                                                                                                          CORBA_Environment _t1132_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1132_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_char_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_char8(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t1133_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1133_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1133_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1134_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1134_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1134_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t1135_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1135_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1135_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1136_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1136_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1136_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1137_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1137_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1137_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1138_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1138_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1138_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1139_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1139_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1139_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1140_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1140_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1140_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1141_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1141_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1141_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1142_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1142_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1142_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1143_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1143_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1143_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1144_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1144_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1144_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1145_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1145_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1145_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1146_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1146_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1146_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t1147_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1147_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t1148_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1148_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1148_switch_tag)
            {
            case '_':
              {
                char _t1149_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1149_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1149_switch_tag)
                  {
                  case '_':
                    {
                      char _t1150_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1150_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1150_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1151_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1151_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1151_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1152_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1152_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1152_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1153_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1153_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1153_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1154_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1154_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1154_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t1155_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1155_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1155_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1156_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1156_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1156_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1157_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1157_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1157_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1158_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1158_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1158_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1159_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1159_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1159_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1160_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1160_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1160_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t1161_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1161_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1161_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1162_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1162_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1162_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1163_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1163_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1163_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1164_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1164_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1164_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t1165_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1165_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1165_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1166_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1166_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1166_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t1167_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1167_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1167_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t1168_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1168_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1168_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t1169_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1169_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1169_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1170_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1170_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1170_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t1171_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1171_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1171_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_boolean _return = 0;
                                                                                                                                                            CORBA_Environment _t1172_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1172_storage;
                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = ex4__get_boolean_attribute(_obj, _ev);
                                                                                                                                                            flick_suntcp_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            flick_suntcp_encode_new_glob(8);
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                  flick_xdr_encode_unsigned8(0, _return);
                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                                            flick_suntcp_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1173_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1173_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1173_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1174_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1174_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1174_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1175_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1175_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1175_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1176_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1176_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1176_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t1177_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1177_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1177_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1178_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1178_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1178_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1179_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1179_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1179_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1180_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1180_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1180_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1181_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1181_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1181_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1182_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1182_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1182_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t1183_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1183_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1183_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1184_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1184_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1184_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1185_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1185_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1185_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1186_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1186_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1186_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t1187_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1187_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1187_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1188_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1188_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1188_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t1189_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1189_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1189_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t1190_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1190_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1190_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t1191_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1191_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1191_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1192_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1192_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1192_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t1193_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1193_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1193_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_boolean _local_boolean_attribute;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t1194_storage;
                                                                                                                                                            unsigned int _t1195_ignore;

                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1194_storage;
                                                                                                                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                            flick_suntcp_decode_new_chunk(20);
                                                                                                                                                            flick_xdr_decode_unsigned32(0, _t1195_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(4, _t1195_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(8, _t1195_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(12, _t1195_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned8(16, _local_boolean_attribute);
                                                                                                                                                            flick_suntcp_decode_end_chunk(20);
                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                                                                                                                            flick_suntcp_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            flick_suntcp_encode_new_glob(4);
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                            flick_suntcp_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t1196_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1196_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1196_switch_tag)
            {
            case '_':
              {
                char _t1197_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1197_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1197_switch_tag)
                  {
                  case '_':
                    {
                      char _t1198_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1198_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1198_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1199_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1199_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1199_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1200_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1200_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1200_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1201_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1201_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1201_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1202_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1202_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1202_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1203_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1203_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1203_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1204_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1204_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1204_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1205_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1205_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1205_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1206_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1206_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1206_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1207_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1207_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1207_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1208_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1208_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1208_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1209_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1209_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1209_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1210_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1210_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1210_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1211_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1211_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1211_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1212_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1212_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1212_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1213_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1213_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1213_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1214_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1214_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1214_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1215_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1215_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1215_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1216_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1216_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1216_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1217_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1217_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1217_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_octet _return = 0;
                                                                                                                                                CORBA_Environment _t1218_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1218_storage;
                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_unsigned8(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'f':
                                                  {
                                                    char _t1219_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1219_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1219_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t1220_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1220_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1220_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1221_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1221_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1221_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t1222_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1222_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1222_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1223_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1223_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1223_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1224_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1224_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1224_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1225_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1225_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1225_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1226_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1226_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1226_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1227_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1227_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1227_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1228_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1228_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1228_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1229_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1229_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1229_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1230_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1230_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1230_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1231_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1231_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1231_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1232_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1232_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1232_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1233_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1233_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1233_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t1234_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1234_storage;
                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_float32(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t1235_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1235_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1235_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1236_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1236_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1236_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1237_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1237_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1237_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1238_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1238_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1238_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1239_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1239_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1239_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1240_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1240_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1240_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1241_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1241_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1241_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1242_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1242_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1242_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1243_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1243_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1243_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1244_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1244_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1244_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1245_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1245_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1245_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1246_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1246_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1246_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1247_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1247_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1247_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1248_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1248_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1248_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1249_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1249_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1249_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t1250_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1250_storage;
                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed16(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1251_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1251_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1251_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1252_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1252_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1252_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1253_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1253_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1253_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1254_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1254_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1254_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1255_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1255_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1255_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1256_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1256_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1256_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1257_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1257_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1257_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1258_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1258_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1258_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1259_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1259_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1259_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1260_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1260_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1260_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1261_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1261_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1261_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1262_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1262_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1262_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1263_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1263_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1263_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1264_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1264_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1264_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1265_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1265_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1265_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1266_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1266_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1266_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1267_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1267_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1267_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1268_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1268_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1268_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1269_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1269_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1269_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1270_storage;
                                                                                                                                                unsigned int _t1271_ignore;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1270_storage;
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(20);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1271_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1271_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1271_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1271_ignore);
                                                                                                                                                flick_xdr_decode_signed16(16, _local_short_attribute);
                                                                                                                                                flick_suntcp_decode_end_chunk(20);
                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t1272_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1272_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1272_switch_tag)
            {
            case '_':
              {
                char _t1273_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1273_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1273_switch_tag)
                  {
                  case '_':
                    {
                      char _t1274_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1274_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1274_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1275_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1275_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1275_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1276_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1276_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1276_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1277_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1277_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1277_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1278_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1278_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1278_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1279_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1279_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1279_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1280_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1280_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1280_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1281_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1281_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1281_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1282_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1282_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1282_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1283_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1283_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1283_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t1284_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1284_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1284_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1285_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1285_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1285_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1286_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1286_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1286_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1287_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1287_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1287_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1288_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1288_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1288_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1289_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1289_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1289_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1290_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1290_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1290_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1291_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1291_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1291_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1292_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1292_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1292_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1293_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1293_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1293_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1294_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1294_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1294_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                      CORBA_Environment _t1295_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1295_storage;
                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_string_attribute(_obj, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t1296_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1296_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1296_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1297_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1297_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1297_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1298_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1298_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1298_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1299_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1299_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1299_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1300_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1300_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1300_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1301_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1301_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1301_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1302_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1302_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1302_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1303_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1303_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1303_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1304_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1304_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1304_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1305_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1305_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1305_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1306_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1306_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1306_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1307_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1307_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1307_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1308_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1308_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1308_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1309_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1309_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1309_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1310_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1310_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1310_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1311_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1311_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1311_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t1312_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1312_storage;
                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(12);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_suntcp_encode_new_chunk(8);
                                                                                                                                                            flick_xdr_encode_float64(0, _return);
                                                                                                                                                            flick_suntcp_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(12);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1313_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1313_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1313_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1314_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1314_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1314_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1315_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1315_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1315_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1316_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1316_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1316_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1317_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1317_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1317_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1318_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1318_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1318_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1319_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1319_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1319_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1320_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1320_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1320_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1321_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1321_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1321_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t1322_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1322_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1322_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1323_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1323_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1323_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1324_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1324_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1324_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1325_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1325_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1325_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1326_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1326_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1326_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1327_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1327_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1327_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1328_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1328_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1328_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1329_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1329_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1329_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1330_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1330_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1330_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1331_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1331_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1331_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1332_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1332_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1332_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_char *_local_string_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1333_storage;
                                                                                                                                                      unsigned int _t1334_ignore;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1333_storage;
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1334_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1334_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1334_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1334_ignore);
                                                                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                      flick_xdr_decode_auto_string(_local_string_attribute, auto_flick_alloc, suntcp);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t1335_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1335_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1335_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1336_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1336_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1336_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1337_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1337_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1337_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1338_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1338_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1338_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1339_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1339_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1339_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1340_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1340_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1340_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1341_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1341_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1341_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1342_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1342_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1342_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1343_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1343_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1343_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1344_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1344_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1344_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1345_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1345_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1345_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1346_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1346_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1346_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1347_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1347_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1347_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1348_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1348_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1348_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1349_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1349_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1349_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1350_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1350_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1350_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1351_storage;
                                                                                                                                                      unsigned int _t1352_ignore;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1351_storage;
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(24);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1352_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1352_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1352_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1352_ignore);
                                                                                                                                                      flick_xdr_decode_float64(16, _local_double_attribute);
                                                                                                                                                      flick_suntcp_decode_end_chunk(24);
                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t1353_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1353_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1353_switch_tag)
            {
            case 'o':
              {
                char _t1354_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1354_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1354_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1355_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1355_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1355_switch_tag)
                        {
                        case '7':
                          {
                            char _t1356_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1356_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1356_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t1357_storage;
                                    CORBA_Environment _t1358_storage;
                                    unsigned int _t1359_ignore;
                                    CORBA_octet _t1360_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_b = &_t1357_storage;
                                    _ev = &_t1358_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1359_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1359_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1359_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1359_ignore);
                                    flick_xdr_decode_char8(16, _local_c);
                                    _local_o = &_t1360_storage;
                                    flick_xdr_decode_unsigned8(20, *_local_o);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned8(0, *_local_b);
                                          flick_xdr_encode_unsigned8(4, *_local_o);
                                          flick_xdr_encode_char8(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t1361_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1361_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1361_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t1362_storage;
                                    CORBA_Environment _t1363_storage;
                                    unsigned int _t1364_ignore;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_b = &_t1362_storage;
                                    _ev = &_t1363_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1364_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1364_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1364_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1364_ignore);
                                    flick_xdr_decode_unsigned8(16, _local_o);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, *_local_b);
                                          flick_xdr_encode_unsigned8(4, _return);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t1365_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1365_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1365_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t1366_storage;
                                    CORBA_Environment _t1367_storage;
                                    unsigned int _t1368_ignore;
                                    CORBA_octet _t1369_storage;
                                    CORBA_long _t1370_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t1366_storage;
                                    _ev = &_t1367_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1368_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1368_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1368_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1368_ignore);
                                    _local_o = &_t1369_storage;
                                    flick_xdr_decode_unsigned8(16, *_local_o);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_xdr_decode_auto_string(_local_ls, auto_flick_alloc, suntcp);
                                    _local_l = &_t1370_storage;
                                    flick_suntcp_decode_new_glob(4);
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_xdr_decode_signed32(0, *_local_l);
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_unsigned8(0, *_local_o);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(8);
                                          flick_xdr_encode_longstring(*_local_s, CORBA_flick_free, suntcp);
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_unsigned8(4, _return);
                                          flick_suntcp_encode_end_chunk(8);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t1371_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1371_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1371_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1372_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t1372_storage;
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    ex4_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t1373_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1373_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1373_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t1374_storage;
                                    CORBA_Environment _t1375_storage;
                                    unsigned int _t1376_ignore;
                                    CORBA_long _t1377_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_d = &_t1374_storage;
                                    _ev = &_t1375_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1376_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_l = &_t1377_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, *_local_d);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_float32(12, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t1378_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1378_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1378_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t1379_storage;
                                    CORBA_Environment _t1380_storage;
                                    unsigned int _t1381_ignore;
                                    CORBA_short _t1382_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_l = &_t1379_storage;
                                    _ev = &_t1380_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1381_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_s = &_t1382_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_float64(8, _return);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t1383_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1383_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1383_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t1384_storage;
                                    CORBA_Environment _t1385_storage;
                                    unsigned int _t1386_ignore;
                                    CORBA_unsigned_long _t1387_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_s = &_t1384_storage;
                                    _ev = &_t1385_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1386_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1386_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1386_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1386_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_ul = &_t1387_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, *_local_s);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_signed32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t1388_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1388_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1388_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t1389_storage;
                                    CORBA_Environment _t1390_storage;
                                    unsigned int _t1391_ignore;
                                    CORBA_unsigned_short _t1392_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_ul = &_t1389_storage;
                                    _ev = &_t1390_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1391_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_us = &_t1392_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_signed16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t1393_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1393_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1393_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t1394_storage;
                                    CORBA_Environment _t1395_storage;
                                    unsigned int _t1396_ignore;
                                    CORBA_unsigned_long _t1397_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_c = &_t1394_storage;
                                    _ev = &_t1395_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1396_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1396_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1396_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1396_ignore);
                                    _local_ul = &_t1397_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, *_local_ul);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned32(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t1398_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1398_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1398_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t1399_storage;
                                    CORBA_Environment _t1400_storage;
                                    unsigned int _t1401_ignore;
                                    CORBA_char _t1402_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _local_us = &_t1399_storage;
                                    _ev = &_t1400_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1401_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1401_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1401_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1401_ignore);
                                    _local_c = &_t1402_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(148);
                                    flick_corba_init_environment();
                                    _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, *_local_us);
                                          flick_xdr_encode_char8(4, *_local_c);
                                          flick_xdr_encode_unsigned16(8, _return);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t1403_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1403_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1403_switch_tag)
            {
            case 'o':
              {
                char _t1404_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1404_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1404_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1405_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1405_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1405_switch_tag)
                        {
                        case '1':
                          {
                            char _t1406_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1406_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1406_switch_tag)
                              {
                              case '0':
                                {
                                  char _t1407_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1407_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1407_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t1408_storage;
                                          CORBA_Environment _t1409_storage;
                                          unsigned int _t1410_ignore;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_ls = &_t1408_storage;
                                          _ev = &_t1409_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t1410_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1410_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1410_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1410_ignore);
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(148);
                                          flick_xdr_decode_auto_string(_local_s, auto_flick_alloc, suntcp);
                                          flick_corba_init_environment();
                                          _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t1411_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1411_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1411_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t1412_storage;
                                          CORBA_Environment _t1413_storage;
                                          unsigned int _t1414_ignore;
                                          CORBA_char *_t1415_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_l = &_t1412_storage;
                                          _ev = &_t1413_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t1414_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1414_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1414_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1414_ignore);
                                          _local_ls = &_t1415_storage;
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(148);
                                          flick_xdr_decode_string(*_local_ls, CORBA_flick_alloc, suntcp, 10);
                                          flick_corba_init_environment();
                                          _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_suntcp_encode_new_glob(4);
                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_xdr_encode_signed32(0, *_local_l);
                                                flick_suntcp_encode_end_chunk(4);
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t1416_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1416_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1416_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t1417_storage;
                                          unsigned int _t1418_ignore;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _ev = &_t1417_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t1418_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1418_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1418_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1418_ignore);
                                          flick_xdr_decode_signed32(16, _local_l);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(148);
                                          flick_corba_init_environment();
                                          _return = ex4_op12(_obj, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(8);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t1419_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1419_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1419_switch_tag)
            {
            case '_':
              {
                char _t1420_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1420_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1420_switch_tag)
                  {
                  case '_':
                    {
                      char _t1421_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1421_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1421_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1422_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1422_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1422_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1423_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1423_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1423_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1424_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1424_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1424_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1425_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1425_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1425_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1426_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1426_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1426_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1427_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1427_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1427_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1428_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1428_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1428_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1429_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1429_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1429_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1430_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1430_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1430_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1431_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1431_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1431_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1432_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1432_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1432_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1433_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1433_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1433_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1434_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1434_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1434_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t1435_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1435_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1435_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1436_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1436_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1436_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t1437_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1437_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1437_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t1438_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1438_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1438_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1439_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1439_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1439_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1440_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1440_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1440_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1441_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1441_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1441_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1442_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1442_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1442_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1443_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1443_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1443_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1444_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1444_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1444_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1445_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1445_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1445_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1446_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1446_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1446_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1447_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1447_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1447_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1448_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1448_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1448_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t1449_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t1449_storage;
                                                                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(148);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(148);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(148);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(148);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(148);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(148);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(148);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(148);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(148);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(148);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(148);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(148);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(148);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(148);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(148);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(148);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(148);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(148);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(148);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(148);
          break;
        }
      }
  }
  return 0;
}
