#include "impldef-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_ActivationImplDef;
	s.vers_num = _VERS_ActivationImplDef;

	assert(flick_server_register(s, &CORBA_ActivationImplDef_server));


	s.prog_num = _PROG_Activator;
	s.vers_num = _VERS_Activator;

	assert(flick_server_register(s, &CORBA_Activator_server));


	s.prog_num = _PROG_CreationImplDef;
	s.vers_num = _VERS_CreationImplDef;

	assert(flick_server_register(s, &CORBA_CreationImplDef_server));


	s.prog_num = _PROG_ImplementationDef;
	s.vers_num = _VERS_ImplementationDef;

	assert(flick_server_register(s, &CORBA_ImplementationDef_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Object(flick_marshal_stream_t _stream, const Object *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Object(flick_marshal_stream_t _stream, Object *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t1_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t3_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t11_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  unsigned long int _t13_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t13_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t15_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t15_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t17_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t17_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t19_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t19_array_iter = 0; _t19_array_iter < _data->_length; _t19_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t19_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  unsigned long int _t21_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t21_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t23_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int CORBA_ImplementationDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t128_switch_tag;

    flick_suntcp_decode_new_glob(104);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t128_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t128_switch_tag)
      {
      case (unsigned int) 21:
        {
          char _t129_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t129_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t129_switch_tag)
            {
            case '_':
              {
                char _t130_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t130_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t130_switch_tag)
                  {
                  case '_':
                    {
                      char _t131_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t131_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t131_switch_tag)
                        {
                        case 'g':
                          {
                            char _t132_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t132_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t132_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t133_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t133_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t133_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t134_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t134_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t134_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t135_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t135_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t135_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t136_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t136_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t136_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t137_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t137_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t137_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t138_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t138_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t138_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t139_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t139_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t139_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t140_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t140_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t140_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t141_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t141_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t141_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t142_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t142_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t142_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t143_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t143_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t143_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t144_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t144_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t144_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t145_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t145_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t145_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t146_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t146_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t146_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t147_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t147_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t147_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t148_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t148_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t148_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t149_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t149_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t149_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t150_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t150_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t151_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t151_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t151_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t152_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t152_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t152_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t153_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t153_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t153_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t154_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t154_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t154_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t155_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t155_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t155_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t156_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t156_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t156_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t157_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t157_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t157_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t158_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t158_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t158_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t159_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t159_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t159_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t160_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t160_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t160_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t161_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t161_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t161_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t162_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t162_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t162_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t163_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t163_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t163_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t164_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t164_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t164_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t165_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t165_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t165_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t166_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t166_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t166_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t167_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t167_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t167_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t168_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t168_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t168_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t169_storage;
                                                                                                                                          unsigned int _t170_ignore;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t169_storage;
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t170_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t170_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t170_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t170_ignore);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                                                          flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t171_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t171_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t171_switch_tag)
            {
            case '_':
              {
                char _t172_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t172_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t172_switch_tag)
                  {
                  case '_':
                    {
                      char _t173_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t173_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t173_switch_tag)
                        {
                        case 'g':
                          {
                            char _t174_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t174_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t174_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t175_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t175_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t175_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t176_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t176_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t176_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t177_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t177_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t177_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t178_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t178_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t178_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t179_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t179_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t179_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t180_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t180_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t180_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t181_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t181_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t181_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t182_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t182_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t182_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t183_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t183_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t183_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t184_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t184_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t184_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t185_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t185_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t185_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t186_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t186_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t186_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t187_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t187_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t187_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t188_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t188_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t188_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t189_storage;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t189_storage;
                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t190_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t190_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t190_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t191_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t191_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t191_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t192_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t192_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t192_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t193_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t193_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t193_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t194_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t194_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t194_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t195_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t195_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t195_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t196_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t196_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t196_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t197_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t197_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t197_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t198_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t198_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t198_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t199_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t199_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t199_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t200_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t200_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t200_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t201_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t201_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t201_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t202_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t202_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t202_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t203_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t203_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t203_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t204_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t204_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t204_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t205_storage;
                                                                                                                        unsigned int _t206_ignore;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t205_storage;
                                                                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                        flick_suntcp_decode_new_chunk(16);
                                                                                                                        flick_xdr_decode_unsigned32(0, _t206_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(4, _t206_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(8, _t206_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(12, _t206_ignore);
                                                                                                                        flick_suntcp_decode_end_chunk(16);
                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                        flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t207_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t207_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t207_switch_tag)
            {
            case '_':
              {
                char _t208_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t208_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t208_switch_tag)
                  {
                  case '_':
                    {
                      char _t209_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t209_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t209_switch_tag)
                        {
                        case 'g':
                          {
                            char _t210_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t210_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t210_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t211_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t211_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t211_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t212_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t212_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t212_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t213_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t213_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t213_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t214_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t214_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t214_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t215_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t215_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t215_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t216_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t216_storage;
                                                                  flick_suntcp_decode_end_glob(104);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t220_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t220_array_iter = 0; _t220_array_iter < _return->_length; _t220_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_unsigned8(0, _return->_buffer[_t220_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t221_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t221_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t221_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t222_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t222_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t222_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t223_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t223_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t223_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t224_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t224_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t224_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t225_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t225_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t225_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t226_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t226_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t226_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t227_storage;
                                                                  unsigned int _t228_ignore;
                                                                  CORBA_ReferenceData _t229_storage;
                                                                  unsigned long int _t231_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t227_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t228_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t228_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t228_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t228_ignore);
                                                                  _local_id = &_t229_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(104);
                                                                  flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t231_array_iter = 0; _t231_array_iter < _local_id->_length; _t231_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t231_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(104);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int CORBA_CreationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t472_switch_tag;

    flick_suntcp_decode_new_glob(120);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t472_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t472_switch_tag)
      {
      case (unsigned int) 16:
        {
          char _t473_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t473_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t473_switch_tag)
            {
            case '_':
              {
                char _t474_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t474_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t474_switch_tag)
                  {
                  case '_':
                    {
                      char _t475_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t475_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t475_switch_tag)
                        {
                        case 'g':
                          {
                            char _t476_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t476_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t476_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t477_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t477_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t477_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t478_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t478_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t478_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t479_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t479_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t479_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t480_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t480_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t480_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t481_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t481_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t481_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t482_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t482_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t482_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t483_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t483_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t483_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t484_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t484_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t484_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t485_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t485_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t485_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t486_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t486_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t486_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t487_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t487_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t487_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t488_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t488_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t488_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_char *_return = 0;
                                                                                                            CORBA_Environment _t489_storage;

                                                                                                            {
                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                            }
                                                                                                            _ev = &_t489_storage;
                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                            flick_corba_init_environment();
                                                                                                            _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                                                                                            flick_suntcp_server_start_encode();
                                                                                                            {
                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                            }
                                                                                                            flick_suntcp_encode_new_glob(4);
                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                  flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_suntcp_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t490_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t490_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t490_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t491_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t491_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t491_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t492_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t492_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t492_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t493_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t493_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t493_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t494_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t494_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t494_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t495_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t495_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t495_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t496_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t496_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t496_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t497_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t497_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t497_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t498_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t498_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t498_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t499_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t499_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t499_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t500_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t500_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t500_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t501_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t501_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t501_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t502_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t502_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t502_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_char *_local_path_name;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_Environment _t503_storage;
                                                                                                            unsigned int _t504_ignore;

                                                                                                            {
                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                            }
                                                                                                            _ev = &_t503_storage;
                                                                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                            flick_suntcp_decode_new_chunk(16);
                                                                                                            flick_xdr_decode_unsigned32(0, _t504_ignore);
                                                                                                            flick_xdr_decode_unsigned32(4, _t504_ignore);
                                                                                                            flick_xdr_decode_unsigned32(8, _t504_ignore);
                                                                                                            flick_xdr_decode_unsigned32(12, _t504_ignore);
                                                                                                            flick_suntcp_decode_end_chunk(16);
                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                            flick_xdr_decode_auto_string(_local_path_name, auto_flick_alloc, suntcp);
                                                                                                            flick_corba_init_environment();
                                                                                                            CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                                                                                            flick_suntcp_server_start_encode();
                                                                                                            {
                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                            }
                                                                                                            flick_suntcp_encode_new_glob(4);
                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                            flick_suntcp_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t505_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t505_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t505_switch_tag)
            {
            case '_':
              {
                char _t506_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t506_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t506_switch_tag)
                  {
                  case '_':
                    {
                      char _t507_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t507_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t507_switch_tag)
                        {
                        case 'g':
                          {
                            char _t508_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t508_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t508_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t509_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t509_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t509_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t510_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t510_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t510_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t511_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t511_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t511_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t512_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t512_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t512_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t513_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t513_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t513_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t514_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t514_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t514_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t515_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t515_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t515_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t516_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t516_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t516_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t517_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t517_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t517_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t518_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t518_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t518_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t519_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t519_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t519_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t520_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t520_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t520_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t521_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t521_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t521_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t522_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t522_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t522_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t523_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t523_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t523_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t524_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t524_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t524_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t525_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t525_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t525_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t526_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t526_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t526_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t527_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t527_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t527_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t528_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t528_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t528_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Policy _return;
                                                                                                                                                            CORBA_Environment _t529_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t529_storage;
                                                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                                                                                                                            flick_suntcp_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            flick_suntcp_encode_new_glob(8);
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                  flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                                            flick_suntcp_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t530_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t530_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t530_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t531_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t531_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t531_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t532_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t532_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t532_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t533_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t533_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t533_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t534_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t534_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t534_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t535_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t535_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t535_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t536_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t536_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t536_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t537_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t537_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t537_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t538_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t538_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t538_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t539_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t539_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t539_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t540_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t540_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t540_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t541_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t541_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t541_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t542_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t542_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t542_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t543_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t543_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t543_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t544_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t544_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t544_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t545_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t545_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t545_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t546_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t546_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t546_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t547_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t547_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t547_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t548_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t548_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t548_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t549_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t549_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t549_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t550_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t550_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t550_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Policy _local_activation_policy;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t551_storage;
                                                                                                                                                            unsigned int _t552_ignore;

                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t551_storage;
                                                                                                                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                            flick_suntcp_decode_new_chunk(20);
                                                                                                                                                            flick_xdr_decode_unsigned32(0, _t552_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(4, _t552_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(8, _t552_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(12, _t552_ignore);
                                                                                                                                                            flick_xdr_decode_unsigned32(16, _local_activation_policy);
                                                                                                                                                            flick_suntcp_decode_end_chunk(20);
                                                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                                                                                                                            flick_suntcp_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                            }
                                                                                                                                                            flick_suntcp_encode_new_glob(4);
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                                                                            flick_suntcp_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t553_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t553_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t553_switch_tag)
            {
            case '_':
              {
                char _t554_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t554_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t554_switch_tag)
                  {
                  case '_':
                    {
                      char _t555_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t555_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t555_switch_tag)
                        {
                        case 'g':
                          {
                            char _t556_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t556_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t556_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t557_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t557_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t557_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t558_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t558_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t558_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t559_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t559_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t559_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t560_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t560_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t560_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t561_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t561_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t561_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t562_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t562_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t562_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t563_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t563_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t563_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_StringSequence *_return = 0;
                                                                              CORBA_Environment _t564_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t564_storage;
                                                                              flick_suntcp_decode_end_glob(120);
                                                                              flick_corba_init_environment();
                                                                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(8);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t568_array_iter;

                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    for (_t568_array_iter = 0; _t568_array_iter < _return->_length; _t568_array_iter++)
                                                                                      {
                                                                                        flick_xdr_encode_longstring(_return->_buffer[_t568_array_iter], CORBA_flick_free, suntcp);
                                                                                      }
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t569_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t569_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t569_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t570_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t570_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t570_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t571_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t571_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t571_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t572_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t572_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t572_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t573_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t573_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t573_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t574_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t574_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t574_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t575_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t575_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t575_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t576_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t576_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t576_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_StringSequence *_local_args;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t577_storage;
                                                                              unsigned int _t578_ignore;
                                                                              CORBA_StringSequence _t579_storage;
                                                                              unsigned long int _t581_array_iter;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t577_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t578_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t578_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t578_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t578_ignore);
                                                                              _local_args = &_t579_storage;
                                                                              flick_xdr_decode_unsigned32(16, _local_args->_length);
                                                                              _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(120);
                                                                              for (_t581_array_iter = 0; _t581_array_iter < _local_args->_length; _t581_array_iter++)
                                                                                {
                                                                                  flick_xdr_decode_auto_string(_local_args->_buffer[_t581_array_iter], auto_flick_alloc, suntcp);
                                                                                }
                                                                              flick_corba_init_environment();
                                                                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t582_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t582_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t582_switch_tag)
            {
            case '_':
              {
                char _t583_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t583_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t583_switch_tag)
                  {
                  case '_':
                    {
                      char _t584_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t584_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t584_switch_tag)
                        {
                        case 'g':
                          {
                            char _t585_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t585_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t585_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t586_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t586_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t586_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t587_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t587_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t587_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t588_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t588_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t588_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t589_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t589_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t589_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t590_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t590_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t590_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t591_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t591_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t591_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_StringSequence *_return = 0;
                                                                        CORBA_Environment _t592_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t592_storage;
                                                                        flick_suntcp_decode_end_glob(120);
                                                                        flick_corba_init_environment();
                                                                        _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t596_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_unsigned32(0, _return->_length);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              for (_t596_array_iter = 0; _t596_array_iter < _return->_length; _t596_array_iter++)
                                                                                {
                                                                                  flick_xdr_encode_longstring(_return->_buffer[_t596_array_iter], CORBA_flick_free, suntcp);
                                                                                }
                                                                              CORBA_flick_free(_return->_buffer);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t597_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t597_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t597_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t598_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t598_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t598_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t599_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t599_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t599_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t600_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t600_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t600_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t601_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t601_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t601_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t602_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t602_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t602_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t603_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t603_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t603_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_StringSequence *_local_env;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t604_storage;
                                                                        unsigned int _t605_ignore;
                                                                        CORBA_StringSequence _t606_storage;
                                                                        unsigned long int _t608_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t604_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t605_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t605_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t605_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t605_ignore);
                                                                        _local_env = &_t606_storage;
                                                                        flick_xdr_decode_unsigned32(16, _local_env->_length);
                                                                        _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(120);
                                                                        for (_t608_array_iter = 0; _t608_array_iter < _local_env->_length; _t608_array_iter++)
                                                                          {
                                                                            flick_xdr_decode_auto_string(_local_env->_buffer[_t608_array_iter], auto_flick_alloc, suntcp);
                                                                          }
                                                                        flick_corba_init_environment();
                                                                        CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t609_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t609_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t609_switch_tag)
            {
            case '_':
              {
                char _t610_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t610_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t610_switch_tag)
                  {
                  case '_':
                    {
                      char _t611_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t611_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t611_switch_tag)
                        {
                        case 'g':
                          {
                            char _t612_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t612_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t612_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t613_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t613_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t613_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t614_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t614_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t614_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t615_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t615_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t615_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t616_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t616_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t616_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t617_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t617_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t617_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t618_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t618_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t618_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t619_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t619_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t619_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t620_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t620_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t620_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t621_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t621_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t621_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t622_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t622_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t622_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t623_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t623_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t623_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t624_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t624_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t624_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t625_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t625_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t625_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t626_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t626_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t626_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t627_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t627_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t627_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t628_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t628_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t628_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t629_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t629_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t629_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t630_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t630_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t631_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t631_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t631_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t632_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t632_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t632_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t633_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t633_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t633_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t634_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t634_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t634_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t635_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t635_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t635_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t636_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t636_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t636_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t637_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t637_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t637_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t638_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t638_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t638_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t639_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t639_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t639_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t640_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t640_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t640_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t641_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t641_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t641_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t642_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t642_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t642_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t643_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t643_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t643_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t644_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t644_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t644_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t645_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t645_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t645_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t646_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t646_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t646_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t647_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t647_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t647_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t648_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t648_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t648_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t649_storage;
                                                                                                                                          unsigned int _t650_ignore;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t649_storage;
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t650_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t650_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t650_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t650_ignore);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                                                          flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(120);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t651_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t651_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t651_switch_tag)
            {
            case '_':
              {
                char _t652_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t652_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t652_switch_tag)
                  {
                  case '_':
                    {
                      char _t653_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t653_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t653_switch_tag)
                        {
                        case 'g':
                          {
                            char _t654_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t654_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t654_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t655_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t655_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t655_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t656_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t656_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t656_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t657_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t657_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t657_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t658_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t658_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t658_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t659_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t659_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t659_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t660_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t660_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t660_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t661_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t661_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t661_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t662_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t662_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t662_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t663_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t663_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t663_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t664_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t664_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t664_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t665_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t665_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t665_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t666_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t666_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t666_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t667_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t667_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t667_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t668_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t668_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t668_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t669_storage;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t669_storage;
                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t670_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t670_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t670_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t671_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t671_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t671_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t672_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t672_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t672_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t673_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t673_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t673_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t674_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t674_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t674_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t675_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t675_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t675_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t676_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t676_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t676_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t677_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t677_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t677_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t678_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t678_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t678_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t679_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t679_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t679_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t680_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t680_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t680_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t681_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t681_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t681_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t682_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t682_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t682_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t683_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t683_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t683_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t684_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t684_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t684_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t685_storage;
                                                                                                                        unsigned int _t686_ignore;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t685_storage;
                                                                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                        flick_suntcp_decode_new_chunk(16);
                                                                                                                        flick_xdr_decode_unsigned32(0, _t686_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(4, _t686_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(8, _t686_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(12, _t686_ignore);
                                                                                                                        flick_suntcp_decode_end_chunk(16);
                                                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                                                        flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(120);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(120);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(120);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t687_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t687_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t687_switch_tag)
            {
            case '_':
              {
                char _t688_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t688_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t688_switch_tag)
                  {
                  case '_':
                    {
                      char _t689_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t689_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t689_switch_tag)
                        {
                        case 'g':
                          {
                            char _t690_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t690_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t690_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t691_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t691_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t691_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t692_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t692_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t692_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t693_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t693_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t693_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t694_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t694_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t694_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t695_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t695_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t695_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t696_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t696_storage;
                                                                  flick_suntcp_decode_end_glob(120);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t700_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t700_array_iter = 0; _t700_array_iter < _return->_length; _t700_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_unsigned8(0, _return->_buffer[_t700_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t701_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t701_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t701_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t702_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t702_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t702_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t703_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t703_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t703_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t704_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t704_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t704_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t705_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t705_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t705_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t706_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t706_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t706_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t707_storage;
                                                                  unsigned int _t708_ignore;
                                                                  CORBA_ReferenceData _t709_storage;
                                                                  unsigned long int _t711_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t707_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t708_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t708_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t708_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t708_ignore);
                                                                  _local_id = &_t709_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(120);
                                                                  flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t711_array_iter = 0; _t711_array_iter < _local_id->_length; _t711_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t711_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(120);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int CORBA_Activator_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t737_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t737_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t737_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t738_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t738_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t738_switch_tag)
            {
            case 'a':
              {
                char _t739_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t739_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t739_switch_tag)
                  {
                  case 'c':
                    {
                      char _t740_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t740_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t740_switch_tag)
                        {
                        case 't':
                          {
                            char _t741_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t741_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t741_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t742_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t742_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t742_switch_tag)
                                    {
                                    case 'v':
                                      {
                                        char _t743_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t743_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t743_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t744_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t744_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t744_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t745_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t745_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t745_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t746_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t746_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t746_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_Activator _obj;
                                                                  CORBA_ImplementationDef _local_impl;
                                                                  CORBA_Environment *_ev;
                                                                  Object _return;
                                                                  CORBA_Environment _t747_storage;
                                                                  unsigned int _t748_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t747_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t748_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t748_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t748_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t748_ignore);
                                                                  flick_xdr_decode_port32(16, _local_impl, 1);
                                                                  flick_suntcp_mark_port_for_cleanup(_local_impl, 1);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(72);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_port32(0, _return, 1);
                                                                        flick_suntcp_mark_port_for_cleanup(_return, 1);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t749_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t749_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t749_switch_tag)
            {
            case 'd':
              {
                char _t750_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t750_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t750_switch_tag)
                  {
                  case 'e':
                    {
                      char _t751_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t751_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t751_switch_tag)
                        {
                        case 'a':
                          {
                            char _t752_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t752_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t752_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t753_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t753_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t753_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t754_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t754_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t754_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t755_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t755_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t755_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t756_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t756_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t756_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t757_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t757_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t757_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t758_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t758_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t758_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t759_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t759_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t759_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_Activator _obj;
                                                                              Object _local_obj;
                                                                              CORBA_ImplementationDef _local_impl;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t760_storage;
                                                                              unsigned int _t761_ignore;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t760_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t761_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t761_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t761_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t761_ignore);
                                                                              flick_xdr_decode_port32(16, _local_obj, 1);
                                                                              flick_suntcp_mark_port_for_cleanup(_local_obj, 1);
                                                                              flick_xdr_decode_port32(20, _local_impl, 1);
                                                                              flick_suntcp_mark_port_for_cleanup(_local_impl, 1);
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(72);
                                                                              flick_corba_init_environment();
                                                                              CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int CORBA_ActivationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t906_switch_tag;

    flick_suntcp_decode_new_glob(104);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t906_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t906_switch_tag)
      {
      case (unsigned int) 20:
        {
          char _t907_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t907_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t907_switch_tag)
            {
            case '_':
              {
                char _t908_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t908_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t908_switch_tag)
                  {
                  case '_':
                    {
                      char _t909_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t909_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t909_switch_tag)
                        {
                        case 'g':
                          {
                            char _t910_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t910_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t910_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t911_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t911_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t911_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t912_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t912_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t912_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t913_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t913_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t913_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t914_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t914_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t914_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t915_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t915_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t915_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t916_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t916_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t916_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t917_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t917_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t917_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t918_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t918_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t918_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t919_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t919_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t919_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t920_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t920_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t920_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t921_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t921_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t921_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t922_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t922_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t922_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t923_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t923_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t923_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t924_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t924_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t924_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t925_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t925_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t925_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t926_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t926_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t926_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Activator _return;
                                                                                                                                    CORBA_Environment _t927_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t927_storage;
                                                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_port32(0, _return, 1);
                                                                                                                                          flick_suntcp_mark_port_for_cleanup(_return, 1);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t928_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t928_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t928_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t929_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t929_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t929_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t930_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t930_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t930_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t931_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t931_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t931_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t932_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t932_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t932_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t933_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t933_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t933_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t934_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t934_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t934_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t935_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t935_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t935_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t936_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t936_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t936_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t937_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t937_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t937_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t938_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t938_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t938_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t939_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t939_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t939_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t940_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t940_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t940_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t941_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t941_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t941_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t942_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t942_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t942_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t943_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t943_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t943_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t944_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t944_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t944_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Activator _local_activator_obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t945_storage;
                                                                                                                                    unsigned int _t946_ignore;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t945_storage;
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t946_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t946_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t946_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t946_ignore);
                                                                                                                                    flick_xdr_decode_port32(16, _local_activator_obj, 1);
                                                                                                                                    flick_suntcp_mark_port_for_cleanup(_local_activator_obj, 1);
                                                                                                                                    flick_suntcp_decode_end_chunk(20);
                                                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t947_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t947_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t947_switch_tag)
            {
            case '_':
              {
                char _t948_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t948_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t948_switch_tag)
                  {
                  case '_':
                    {
                      char _t949_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t949_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t949_switch_tag)
                        {
                        case 'g':
                          {
                            char _t950_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t950_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t950_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t951_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t951_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t951_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t952_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t952_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t952_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t953_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t953_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t953_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t954_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t954_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t954_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t955_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t955_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t955_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t956_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t956_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t956_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t957_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t957_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t957_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t958_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t958_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t958_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t959_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t959_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t959_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t960_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t960_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t960_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t961_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t961_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t961_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t962_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t962_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t962_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t963_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t963_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t963_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t964_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t964_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t964_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t965_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t965_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t965_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t966_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t966_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t966_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t967_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t967_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t967_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t968_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t968_storage;
                                                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t969_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t969_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t969_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t970_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t970_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t970_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t971_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t971_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t971_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t972_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t972_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t972_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t973_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t973_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t973_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t974_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t974_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t974_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t975_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t975_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t975_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t976_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t976_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t976_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t977_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t977_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t977_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t978_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t978_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t978_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t979_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t979_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t979_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t980_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t980_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t980_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t981_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t981_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t981_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t982_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t982_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t982_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t983_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t983_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t983_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t984_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t984_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t984_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t985_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t985_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t985_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t986_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t986_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t986_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t987_storage;
                                                                                                                                          unsigned int _t988_ignore;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t987_storage;
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t988_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t988_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t988_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t988_ignore);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                                                          flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(104);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t989_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t989_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t989_switch_tag)
            {
            case '_':
              {
                char _t990_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t990_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t990_switch_tag)
                  {
                  case '_':
                    {
                      char _t991_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t991_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t991_switch_tag)
                        {
                        case 'g':
                          {
                            char _t992_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t992_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t992_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t993_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t993_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t993_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t994_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t994_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t994_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t995_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t995_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t995_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t996_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t996_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t996_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t997_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t997_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t997_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t998_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t998_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t998_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t999_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t999_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t999_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1000_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1000_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1000_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1001_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1001_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1001_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1002_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1002_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1002_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1003_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1003_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1003_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1004_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1004_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1004_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1005_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1005_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1005_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1006_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1006_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1006_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t1007_storage;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1007_storage;
                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1008_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1008_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1008_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1009_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1009_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1009_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1010_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1010_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1010_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1011_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1011_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1011_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1012_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1012_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1012_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t1013_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1013_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1013_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t1014_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1014_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1014_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1015_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1015_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1015_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1016_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1016_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1016_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1017_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1017_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1017_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1018_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1018_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1018_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1019_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1019_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1019_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1020_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1020_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1020_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1021_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1021_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1021_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1022_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1022_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1022_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t1023_storage;
                                                                                                                        unsigned int _t1024_ignore;

                                                                                                                        {
                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1023_storage;
                                                                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                        flick_suntcp_decode_new_chunk(16);
                                                                                                                        flick_xdr_decode_unsigned32(0, _t1024_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(4, _t1024_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(8, _t1024_ignore);
                                                                                                                        flick_xdr_decode_unsigned32(12, _t1024_ignore);
                                                                                                                        flick_suntcp_decode_end_chunk(16);
                                                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                                                        flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_suntcp_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                        }
                                                                                                                        flick_suntcp_encode_new_glob(4);
                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_suntcp_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(104);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(104);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(104);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(104);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(104);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(104);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t1025_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1025_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1025_switch_tag)
            {
            case '_':
              {
                char _t1026_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1026_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1026_switch_tag)
                  {
                  case '_':
                    {
                      char _t1027_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1027_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1027_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1028_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1028_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1028_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1029_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1029_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1029_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1030_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1030_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1030_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1031_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1031_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1031_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1032_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1032_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1032_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1033_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1033_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1033_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t1034_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t1034_storage;
                                                                  flick_suntcp_decode_end_glob(104);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t1038_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t1038_array_iter = 0; _t1038_array_iter < _return->_length; _t1038_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_unsigned8(0, _return->_buffer[_t1038_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1039_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1039_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1039_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1040_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1040_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1040_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1041_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1041_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1041_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1042_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1042_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1042_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1043_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1043_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1043_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1044_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1044_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1044_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t1045_storage;
                                                                  unsigned int _t1046_ignore;
                                                                  CORBA_ReferenceData _t1047_storage;
                                                                  unsigned long int _t1049_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t1045_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t1046_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t1046_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t1046_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t1046_ignore);
                                                                  _local_id = &_t1047_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(104);
                                                                  flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t1049_array_iter = 0; _t1049_array_iter < _local_id->_length; _t1049_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t1049_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(104);
          break;
        }
      }
  }
  return 0;
}
